insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('1', '麻黄', (select PK_ID from SYNDROME_SUBJECT where NAME = '__辛温解表'), '', 'MH', '克', '辛、微苦，温。归肺、膀胱经。', '发汗解表，宣肺平喘，利水消肿。', '1．风寒感冒。\n2．咳嗽气喘。\n3．风水水肿。', '', '4', '【用法用量】煎服，2～9g。发汗解表宜生用，止咳平喘多炙用。\n【使用注意】本品发汗宣肺力强，凡表虚自汗、阴虚盗汗及肺肾虚喘者均当慎用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('2', '桂枝', (select PK_ID from SYNDROME_SUBJECT where NAME = '__辛温解表'), '', 'GZ', '克', '辛、甘，温。归心、肺、膀胱经。', '发汗解肌，温通经脉，助阳化气。', '1．风寒感冒。\n2．寒凝血滞诸痛证。\n3．痰饮、蓄水证。\n4．心悸。', '', '3', '【用法用量】煎服，3～9g。\n【使用注意】本品辛温助热，易伤阴动血，凡外感热病、阴虚火旺、血热妄行等证，均当忌用。孕妇及月经过多者慎用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('3', '紫苏', (select PK_ID from SYNDROME_SUBJECT where NAME = '__辛温解表'), '', 'ZS', '克', '辛，温。归肺、脾经。', '解表散寒，行气宽中。', '1．风寒感冒。\n2．脾胃气滞，胸闷呕吐。', '', '3', '【用法用量】煎服，5～9g，不宜久煎。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('4', '生姜', (select PK_ID from SYNDROME_SUBJECT where NAME = '__辛温解表'), '', 'SJ', '克', '辛，温。归肺、脾、胃经。', '解表散寒，温中止呕，温肺止咳。', '1．风寒感冒。\n2．脾胃寒证。\n3．胃寒呕吐。\n4．肺寒咳嗽。', '', '3', '【用法用量】煎服，3～9g，或捣汁服。\n【使用注意】本品助火伤阴，故热盛及阴虚内热者忌服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('5', '香薷', (select PK_ID from SYNDROME_SUBJECT where NAME = '__辛温解表'), '', 'XR', '克', '辛，微温。归肺、脾、胃经。', '发汗解表，化湿和中，利水消肿。', '1．风寒感冒。\n2．水肿脚气。', '', '3', '【用法用量】煎服，3～9g。用于发表，量不宜过大，且不宜久煎；用于利水消肿，量宜稍大，且须浓煎。\n【使用注意】本品辛温发汗之力较强，表虚有汗及暑热证当忌用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('6', '荆芥', (select PK_ID from SYNDROME_SUBJECT where NAME = '__辛温解表'), '', 'JJ', '克', '辛，微温。归肺、肝经。', '祛风解表，透疹消疮，止血。', '1．外感表证。\n2．麻疹不透、风疹瘙痒。\n3．疮疡初起兼有表证。\n4．吐衄下血。', '', '3', '【用法用量】煎服，4.5～9g，不宜久煎。发表透疹消疮宜生用；止血宜炒用。荆芥穗更长于祛风。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('7', '黑芥穗', (select PK_ID from SYNDROME_SUBJECT where NAME = '__辛温解表'), '荆芥穗炭', 'HJS,JJST', '克', '辛，微温。归肺、肝经。', '祛风解表，止血。', '1．外感表证。\n2．吐衄下血。', '', '3', '');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('8', '防风', (select PK_ID from SYNDROME_SUBJECT where NAME = '__辛温解表'), '', 'FF', '克', '辛、甘，微温。归膀胱、肝、脾经。', '祛风解表，胜湿止痛，止痉。', '1．外感表证。\n2．风疹瘙痒。\n3．风湿痹痛。\n4．破伤风证。', '荆芥', '3', '【用法用量】煎服，4.5～9g。\n【使用注意】本品药性偏温，阴血亏虚、热病动风者不宜使用。\n【鉴别用药】荆芥与防风均味辛性微温，温而不燥，长于发表散风，对于外感表证，无论是风寒感冒，恶寒发热、头痛无汗，还是风热感冒，发热、微恶风寒、头痛、咽痛等，两者均可使用。同时，两者也都可用于风疹瘙痒。但荆芥质轻透散，发汗之力较防风为强，风寒感冒、风热感冒均常选用；又能透疹、消疮、止血。防风质松而润，祛风之力较强，为“风药之润剂”、“治风之通用药”，又能胜湿、止痛、止痉，又可用于外感风湿，头痛如裹、身重肢痛等证。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('9', '羌活', (select PK_ID from SYNDROME_SUBJECT where NAME = '__辛温解表'), '', 'QH', '克', '辛、苦，温。归膀胱、肾经。', '解表散寒，祛风胜湿，止痛。', '1．风寒感冒。\n2．风寒湿痹。', '', '3', '【用法用量】煎服，3～9g。\n【使用注意】本品辛香温燥之性较烈，故阴血亏虚者慎用。用量过多，易致呕吐，脾胃虚弱者不宜服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('10', '白芷', (select PK_ID from SYNDROME_SUBJECT where NAME = '__辛温解表'), '', 'BZ', '克', '辛，温。归肺、胃、大肠经。', '解表散寒，祛风止痛，通鼻窍，燥湿止带，消肿排脓。', '1．风寒感冒。\n2．头痛，牙痛，痹痛等多种疼痛证。\n3．鼻渊。\n4．带下证。\n5．疮痈肿毒。', '', '3', '【用法用量】煎服，3～9g。外用适量。\n【使用注意】本品辛香温燥，阴虚血热者忌服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('11', '细辛', (select PK_ID from SYNDROME_SUBJECT where NAME = '__辛温解表'), '', 'XX', '克', '辛,温。有小毒。归肺、肾、心经。', '解表散寒，祛风止痛，通窍，温肺化饮。', '1．风寒感冒。\n2．头痛，牙痛，风湿痹痛。\n3．鼻渊。\n4．肺寒咳喘。', '', '3', '【用法用量】煎服，1～3g；散剂每次服0.5～1g。\n【使用注意】阴虚阳亢头痛，肺燥伤阴干咳者忌用。不宜与藜芦同用。\n【鉴别用药】细辛、麻黄、桂枝皆为辛温解表、发散风寒常用药，均可用治风寒感冒。然麻黄发汗作用较强，主治风寒感冒重证；桂枝发汗解表作用较为和缓，凡风寒感冒，无论表实无汗，表虚有汗均可用之；细辛辛温走窜，达表入里，发汗之力不如麻黄、桂枝，但散寒力胜，适当配伍还常用治寒犯少阴之阳虚外感。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('12', '藁本', (select PK_ID from SYNDROME_SUBJECT where NAME = '__辛温解表'), '', 'GB', '克', '辛，温。归膀胱经。', '祛风散寒，除湿止痛。', '1．风寒感冒，巅顶疼痛。\n2．风寒湿痹。\n', '', '3', '【用法用量】煎服，3～9g。 【使用注意】本品辛温香燥，凡阴血亏虚、肝阳上亢、火热内盛之头痛者忌服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('13', '苍耳子', (select PK_ID from SYNDROME_SUBJECT where NAME = '__辛温解表'), '', 'CEZ', '克', '辛、苦，温。有毒。归肺经。', '发散风寒，通鼻窍，祛风湿，止痛。', '1．风寒感冒。\n2．鼻渊。\n3．风湿痹痛。', '', '6', '【用法用量】煎服，3～9g。或入丸、散。  【使用注意】血虚头痛不宜服用。过量服用易致中毒。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('14', '辛夷', (select PK_ID from SYNDROME_SUBJECT where NAME = '__辛温解表'), '', 'XY', '克', '辛，温。归肺、胃经。', '发散风寒，通鼻窍。', '1．风寒感冒。\n2．鼻渊。', '', '3', '【用法用量】煎服，3～9g；本品有毛，易刺激咽喉，入汤剂宜用纱布包煎。 【使用注意】鼻病因于阴虚火旺者忌服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('15', '葱白', (select PK_ID from SYNDROME_SUBJECT where NAME = '__辛温解表'), '', 'CB', '克', '辛，温。归肺、胃经。', '发汗解表，散寒通阳。', '1．风寒感冒。\n2．阴盛格阳。', '', '3', '【用法用量】煎服，3～9g。外用适量。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('16', '鹅不食草', (select PK_ID from SYNDROME_SUBJECT where NAME = '__辛温解表'), '', 'EBSC', '克', '辛，温。归肺、肝经。', '发散风寒，通鼻窍，止咳，解毒。', '1．风寒感冒。\n2．鼻塞不通。\n3．寒痰咳喘。\n4．疮痈肿毒。', '', '3', '【用法用量】煎服，6～10g。外用适量。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('17', '胡荽', (select PK_ID from SYNDROME_SUBJECT where NAME = '__辛温解表'), '', 'HS', '克', '辛，温。归肺、胃经。', '发表透疹，开胃消食。', '1．麻疹不透。\n2．饮食不消，纳食不佳。', '', '3', '【用法用量】煎服，3～6g。外用适量。\n【使用注意】热毒壅盛而疹出不畅者忌服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('18', '柽柳', (select PK_ID from SYNDROME_SUBJECT where NAME = '__辛温解表'), '', 'CL', '克', '辛，平。归肺、胃、心经。', '发表透疹，祛风除湿。', '1．麻疹不透，风疹瘙痒。\n2．风湿痹痛。', '', '3', '【用法用量】煎服，3～10g。外用适量。\n【使用注意】麻疹已透者不宜使用。用量过大易致心烦、呕吐。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('19', '薄荷', (select PK_ID from SYNDROME_SUBJECT where NAME = '__辛凉解表'), '', 'BH', '克', '辛，凉。归肺、肝经。', '疏散风热，清利头目，利咽透疹，疏肝行气。', '1．风热感冒，温病初起。\n2．头痛眩晕，目赤多泪，咽喉肿痛。\n3．麻疹不透，风疹瘙痒。\n4．肝郁气滞，胸闷胁痛。', '', '3', '【用法用量】煎服，3～6g；宜后下。\n【使用注意】本品芳香辛散，发汗耗气，故体虚多汗者不宜使用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('20', '牛蒡子', (select PK_ID from SYNDROME_SUBJECT where NAME = '__辛凉解表'), '', 'NBZ,LBZ', '克', '辛、苦，寒。归肺、胃经。', '疏散风热，宣肺祛痰，利咽透疹，解毒消肿。', '1．风热感冒，温病初起。\n2．麻疹不透，风疹瘙痒。\n3．痈肿疮毒，丹毒，痄腮喉痹。', '', '3', '【用法用量】煎服，6～12g。炒用可使其苦寒及滑肠之性略减。\n【使用注意】本品性寒，滑肠通便，气虚便溏者慎用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('21', '蝉蜕', (select PK_ID from SYNDROME_SUBJECT where NAME = '__辛凉解表'), '', 'CT', '克', '甘，寒。归肺、肝经。', '疏散风热，利咽开音，透疹，明目退翳，息风止痉。', '1．风热感冒，温病初起，咽痛音哑。\n2．麻疹不透，风疹瘙痒。\n3．目赤翳障。\n4．急慢惊风，破伤风证。', '', '3', '【用法用量】煎服，3～10g，或单味研末冲服。一般病证用量宜小；止痉则需大量。\n【使用注意】《名医别录》有“主妇人生子不下”的记载，故孕妇当慎用。\n【鉴别用药】薄荷、牛蒡子与蝉蜕三药皆能疏散风热、透疹、利咽，均可用于外感风热或温病初起，发热、微恶风寒、头痛；麻疹初起，透发不畅；风疹瘙痒；风热上攻，咽喉肿痛等证。但薄荷辛凉芳香，清轻凉散，发汗之力较强，故外感风热、发热无汗者薄荷首选。且薄荷又能清利头目、疏肝行气。牛蒡子辛散苦泄，性寒滑利，兼能宣肺祛痰，故外感风热、发热、咳嗽、咯痰不畅者，牛蒡子尤为适宜。同时，牛蒡子外散风热，内解热毒，有清热解毒散肿之功。蝉蜕甘寒质轻，既能疏散肺经风热而利咽、透疹、止痒，又长于疏散肝经风热而明目退翳，凉肝息风止痉。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('22', '桑叶', (select PK_ID from SYNDROME_SUBJECT where NAME = '__辛凉解表'), '', 'SY', '克', '甘、苦，寒。归肺、肝经。', '疏散风热，清肺润燥，平抑肝阳，清肝明目。', '1．风热感冒，温病初起。\n2．肺热咳嗽、燥热咳嗽。\n3．肝阳上亢。\n4．目赤昏花。', '', '3', '【用法用量】煎服，5～9g；或入丸、散。外用煎水洗眼。桑叶蜜制能增强润肺止咳的作用，故肺燥咳嗽多用蜜制桑叶。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('23', '菊花', (select PK_ID from SYNDROME_SUBJECT where NAME = '__辛凉解表'), '', 'JH', '克', '辛、甘、苦，微寒。归肺、肝经。', '疏散风热，平抑肝阳，清肝明目，清热解毒。', '1．风热感冒，温病初起。\n2．肝阳上亢。\n3．目赤昏花。\n4．疮痈肿毒。', '桑叶', '3', '【用法用量】煎服，5～9g。疏散风热宜用黄菊花，平肝、清肝明目宜用白菊花。\n【鉴别用药】桑叶与菊花皆能疏散风热，平抑肝阳，清肝明目，同可用治风热感冒或温病初起，发热、微恶风寒、头痛；肝阳上亢，头痛眩晕；风热上攻或肝火上炎所致的目赤肿痛，以及肝肾精血不足，目暗昏花等证。但桑叶疏散风热之力较强，又能清肺润燥，凉血止血。菊花平肝、清肝明目之力较强，又能清热解毒。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('24', '蔓荆子', (select PK_ID from SYNDROME_SUBJECT where NAME = '__辛凉解表'), '', 'MJZ', '克', '辛、苦，微寒。归膀胱、肝、胃经。', '疏散风热，清利头目。', '1．风热感冒，头昏头痛。\n2．目赤肿痛。', '', '3', '【用法用量】煎服，5～9g。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('25', '柴胡', (select PK_ID from SYNDROME_SUBJECT where NAME = '__辛凉解表'), '', 'CH', '克', '苦、辛，微寒。归肝、胆经。', '解表退热，疏肝解郁，升举阳气。', '1．表证发热及少阳证。\n2．肝郁气滞。\n3．气虚下陷，脏器脱垂。', '', '3', '【用法用量】煎服，3～9g。解表退热宜生用，且用量宜稍重；疏肝解郁宜醋炙，升阳可生用或酒炙，其用量均宜稍轻。\n【使用注意】柴胡其性升散，古人有“柴胡劫肝阴”之说，阴虚阳亢，肝风内动，阴虚火旺及气机上逆者忌用或慎用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('26', '升麻', (select PK_ID from SYNDROME_SUBJECT where NAME = '__辛凉解表'), '', 'SM', '克', '辛、微甘，微寒。归肺、脾、胃、大肠经。', '解表透疹，清热解毒，升举阳气。', '1．外感表证。\n2．麻疹不透。\n3．齿痛口疮，咽喉肿痛，温毒发斑。\n4．气虚下陷，脏器脱垂，崩漏下血。', '', '3', '【用法用量】煎服，3～9g。发表透疹、清热解毒宣生用，升阳举陷宜炙用。\n【使用注意】麻疹已透，阴虚火旺，以及阴虚阳亢者，均当忌用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('27', '葛根', (select PK_ID from SYNDROME_SUBJECT where NAME = '__辛凉解表'), '干葛', 'GG', '克', '甘、辛，凉。归脾、胃经。', '解肌退热，透疹，生津止渴，升阳止泻。', '1．表证发热，项背强痛。\n2．麻疹不透。\n3．热病口渴，消渴证。\n4．热泄热痢，脾虚泄泻。', '', '3', '【用法用量】煎服，9～15g。解肌退热、透疹、生津宜生用，升阳止泻宜煨用。\n【鉴别用药】柴胡、升麻、葛根三者皆能发表、升阳，均可用治风热感冒、发热、头痛，以及清阳不升等证。其中：柴胡、升麻两者均能升阳举陷，用治气虚下陷，食少便溏、久泻脱肛、胃下垂、肾下垂、子宫脱垂等脏器脱垂；升麻、葛根两者又能透疹，常用治麻疹初起、透发不畅。但柴胡主升肝胆之气，长于疏散少阳半表半里之邪、退热，疏肝解郁，为治疗少阳证的要药。又常用于伤寒邪在少阳，寒热往来、胸胁苦满、口苦咽干、目眩；感冒发热；肝郁气滞，胸胁胀痛、月经不调、痛经等证。升麻主升脾胃清阳之气，其升提（升阳举陷）之力较柴胡为强，并善于清热解毒，又常用于多种热毒病证。葛根主升脾胃清阳之气而达到生津止渴、止泻之功，常用于热病烦渴，阴虚消渴；热泄热痢，脾虚泄泻。同时，葛根解肌退热，对于外感表证，发热恶寒、头痛无汗、项背强痛，无论风寒表证、风热表证，均可使用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('28', '淡豆豉', (select PK_ID from SYNDROME_SUBJECT where NAME = '__辛凉解表'), '豆豉,香豉', 'DDC,DDQ,DQ,XQ', '克', '苦、辛，凉。归肺、胃经。', '解表，除烦，宣发郁热。', '1．外感表证。\n2．热病烦闷。', '', '3', '【用法用量】煎服，6～12g。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('29', '浮萍', (select PK_ID from SYNDROME_SUBJECT where NAME = '__辛凉解表'), '', 'FP', '克', '辛，寒。归肺、膀胱经。', '发汗解表，透疹止痒，利尿消肿。', '1．风热感冒。\n2．麻疹不透。\n3．风疹瘙痒。\n4．水肿尿少。', '', '3', '【用法用量】煎服3～9g。外用适量，煎汤浸洗。 【使用注意】表虚自汗者不宜使用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('30', '木贼', (select PK_ID from SYNDROME_SUBJECT where NAME = '__辛凉解表'), '', 'MZ', '克', '甘、苦，平。归肺、肝经。', '疏散风热，明目退翳。', '1．风热目赤，迎风流泪，目生翳障。\n2．出血证。', '', '3', '【用法用量】煎服，3～9g。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('31', '石膏', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清气分热'), '', 'SG', '克', '甘、辛，大寒。归肺、胃经。', '生用：清热泻火，除烦止渴；\n煅用：敛疮生肌，收湿，止血。', '1．温热病气分实热证。\n2．肺热喘咳证。\n3．胃火牙痛、头痛、消渴证。\n4．溃疡不敛、湿疹瘙痒、水火烫伤、外伤出血。', '', '3', '【用法用量】生石膏煎服，15-60g, 宜先煎。 煅石膏适量外用，研末撒敷患处。\n【使用注意】脾胃虚寒及阴虚内热者忌用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('32', '寒水石', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清气分热'), '', 'HSS', '克', '辛、咸，寒。归心、胃、肾经。', '清热泻火。', '1．热病烦渴、癫狂。\n2．口疮、热毒疮肿、丹毒烫伤。', '', '3', '【用法用量】煎服，10—15g。外用适量。\n【使用注意】脾胃虚寒者忌服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('33', '知母', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清气分热'), '', 'ZM', '克', '苦、甘，寒。归肺、胃、肾经。', '清热泻火，生津润燥。', '1．热病烦渴。\n2．肺热燥咳。\n3．骨蒸潮热。\n4．内热消渴。\n5．肠燥便秘。', '石膏', '3', '【用法用量】煎服，6—12g。\n【使用注意】本品性寒质润，有滑肠作用，故脾虚便溏者不宜用。\n【鉴别用药】石膏、知母均能清热泻火，可用治温热病气分热盛及肺热咳嗽等证。但石膏泻火之中长于清解，重在清泻肺胃实火，肺热喘咳、胃火头痛牙痛多用石膏；知母泻火之中长于清润，肺热燥咳、内热骨蒸、消渴多选知母。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('34', '芦根', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清气分热'), '', 'LG', '克', '甘，寒。归肺、胃经。', '清热泻火，生津止渴，除烦，止呕，利尿。', '1．热病烦渴。\n2．胃热呕哕。\n3．肺热咳嗽，肺痈吐脓。\n4．热淋涩痛。', '', '3', '【用法用量】煎服，干品15—30g；鲜品加倍，或捣汁用。\n【使用注意】脾胃虚寒者忌服。\n【鉴别用药】芦根为芦苇的根茎，苇茎为芦苇的嫩茎。二者出自同一种植物，功效相近。但芦根长于生津止渴，苇茎长于清透肺热，略有侧重。药市中多无苇茎供应，可以芦根代之。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('35', '天花粉', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清气分热'), '', 'THF', '克', '甘、微苦，微寒。归肺、胃经。', '清热泻火，生津止渴，消肿排脓。', '1．热病烦渴。\n2．肺热燥咳。\n3．内热消渴。\n4．疮疡肿毒。', '', '3', '【用法用量】煎服，10-15g。\n【使用注意】不宜于乌头类药材同用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('36', '栝蒌实', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清热化痰'), '', 'GLS', '克', '味苦，气寒，降也，阴也，无毒。\n入肺、胃二经。', '下气涤秽，尤消郁开胃.', '治伤寒结胸，祛痰，又解渴生滓，下乳。', '', '6', '【使用注意】切戒轻用，必积秽滞气结在胸上，而不肯不者，始可用之以荡涤，否则，万万不可孟浪。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('37', '竹叶', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清气分热'), '', 'ZY', '克', '甘、辛、淡，寒。归心、胃、小肠经。', '清热泻火，除烦，生津，利尿。', '1．热病烦渴。\n2．口疮尿赤。', '', '3', '【用法用量】煎服，6—15g；鲜品15—30g。\n【使用注意】阴虚火旺，骨蒸潮热者忌用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('38', '淡竹叶', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清气分热'), '', 'DZY', '克', '甘、淡，寒。归心、胃、小肠经。', '清热泻火，除烦，利尿。', '1．热病烦渴。\n 2．口疮尿赤、热淋涩痛。', '', '3', '【用法用量】煎服，6—9g。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('39', '鸭跖草', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清气分热'), '', 'YZC', '克', '甘、淡，寒。归肺、胃、小肠经。', '清热泻火，解毒，利水消肿。', '1．风热感冒、高热烦渴。\n2．咽喉肿痛、痈疮疔毒。\n3．水肿尿少、热淋涩痛。', '', '3', '【用法用量】煎服，15—30g。鲜品60-90g。\n【使用注意】脾胃虚弱者，用量宜少。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('40', '栀子', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清气分热'), '', 'ZZ', '克', '苦，寒。归心、肺、三焦经。', '泻火除烦，清热利湿，凉血解毒。焦栀子：凉血止血。', '1．热病心烦。\n2．湿热黄疸。\n3．血淋涩痛。\n4．血热吐衄。\n5．目赤肿痛。\n6．火毒疮疡。', '', '3', '【用法用量】煎服，5—10克。外用生品适量，研末调敷。\n【使用注意】本品苦寒伤胃，脾虚便溏者不宜用。\n【鉴别用药】栀子入药，除果实全体入药外，还有果皮、种子分开用者。栀子皮（果皮）偏于达表而去肌肤之热；栀子仁（种子）偏于走里而清内热。生栀子走气分而泻火，焦栀子入血分而止血。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('41', '栀子皮', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清气分热'), '栀皮', 'ZZP,ZP', '克', '苦，寒。归心、肺、三焦经。', '泻火除烦.', '去肌肤之热.', '', '3', '【使用注意】本品苦寒伤胃，脾虚便溏者不宜用。\n【鉴别用药】栀子入药，除果实全体入药外，还有果皮、种子分开用者。栀子皮（果皮）偏于达表而去肌肤之热；栀子仁（种子）偏于走里而清内热。生栀子走气分而泻火，焦栀子入血分而止血。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('42', '栀子仁', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清气分热'), '栀仁', 'ZZR,ZR', '克', '苦，寒。归心、肺、三焦经。', '清热利湿.', '清内热。', '', '3', '【使用注意】本品苦寒伤胃，脾虚便溏者不宜用。\n【鉴别用药】栀子入药，除果实全体入药外，还有果皮、种子分开用者。栀子皮（果皮）偏于达表而去肌肤之热；栀子仁（种子）偏于走里而清内热。生栀子走气分而泻火，焦栀子入血分而止血。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('43', '焦栀', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清营凉血'), '', 'JZ', '克', '苦，寒。归心、肺、三焦经。', '凉血止血。', '入血分而止血。', '', '3', '【使用注意】本品苦寒伤胃，脾虚便溏者不宜用。\n【鉴别用药】栀子入药，除果实全体入药外，还有果皮、种子分开用者。栀子皮（果皮）偏于达表而去肌肤之热；栀子仁（种子）偏于走里而清内热。生栀子走气分而泻火，焦栀子入血分而止血。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('44', '梨皮', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清气分热'), '', 'LP,NP', '克', '甘；涩；凉；无毒.\n归肺；心；肾；大肠经.', '\n清心润肺；降火生津，解疮毒。', '主暑热烦渴；肺燥咳嗽；吐血；痢疾；；疥癣；发背；疔疮.', '', '2', '\n【用法用量】内服：煎汤，9-15g，鲜品30-60g。外用：适量，捣汁涂。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('45', '夏枯草', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清气分热'), '', 'XKC', '克', '辛、苦，寒。归肝、胆经。', '清热泻火，明目，散结消肿。', '1．目赤肿痛、头痛眩晕、目珠夜痛。\n2．瘰疬、瘿瘤。\n3．乳痈肿痛。', '', '3', '【用法用量】煎服，9～15g。或熬膏服。\n【使用注意】脾胃寒弱者慎用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('46', '决明子', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清气分热'), '', 'JMZ', '克', '甘、苦、咸，微寒。归肝、大肠经。', '清热明目，润肠通便。', '1．目赤肿痛、羞明多泪、目暗不明。\n2．头痛、眩晕。\n3．肠燥便秘。', '', '3', '【用法用量】煎服，10～15克；用于润肠通便，不宜久煎。\n【使用注意】气虚便溏者不宜用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('47', '谷精草', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清气分热'), '', 'GJC', '克', '辛、甘，平。归肝、肺经。', '疏散风热，明目，退翳。', '1．风热目赤肿痛、羞明、眼生翳膜。\n2．风热头痛：取其疏散风热而治风热头痛，常配薄荷、菊花、牛蒡子等药用。', '', '3', '【用法用量】煎服，5～10克。\n【使用注意】阴虚血亏之眼疾者不宜用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('48', '密蒙花', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清气分热'), '', 'MMH', '克', '甘，微寒。归肝、胆经。', '清热泻火，养肝明目，退翳。', '1．目赤肿痛、羞明多泪、眼生翳膜。\n2．肝虚目暗、视物昏花。', '', '3', '【用法用量】煎服，9～15g。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('49', '青葙子', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清气分热'), '', 'QXZ', '克', '苦，微寒。归肝、脾经。', '清热泻火，明目退翳。', '1．肝热目赤、眼生翳膜、视物昏花。\n2．肝火眩晕。', '', '3', '【用法用量】煎服，10—15g。\n【使用注意】本品有扩散瞳孔作用，青光眼患者禁用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('50', '黄芩', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清热解毒'), '', 'HQ', '克', '苦，寒。归肺、胆、脾、胃、大肠、小肠经。', '清热燥湿，泻火解毒，止血，安胎。', '1．湿温、暑湿、胸闷呕恶，湿热痞满、黄疸泻痢。\n2．肺热咳嗽、高热烦渴。\n3．血热吐衄。\n4．痈肿疮毒。\n5．胎动不安。', '', '3', '【用法用量】煎服，3～10g。清热多生用，安胎多炒用，清上焦热可酒炙用，止血可炒炭用。\n【使用注意】本品苦寒伤胃，脾胃虚寒者不宜使用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('51', '黄连', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清热解毒'), '', 'HL', '克', '苦，寒。归心，脾、胃、胆、大肠经。', '清热燥湿，泻火解毒。', '1．湿热痞满、呕吐吞酸。\n2．湿热泻痢。\n3．高热神昏，心烦不寐，血热吐衄。\n4．痈肿疖疮，目赤牙痛。\n5．消渴。\n6．外治湿疹、湿疮、耳道流脓。', '', '3', '【用法用量】煎服，2—5g。外用适量。\n【使用注意】本品大苦大寒，过服久服易伤脾胃，脾胃虚寒者忌用；苦燥易伤阴津，阴虚津伤者慎用。\n【鉴别用药】本品入药，除生用外，还有酒炙、姜汁炙、吴茱萸水炙等特殊炮制品，其功用各有区别。酒黄连善清上焦火热，多用于目赤肿痛、口疮；姜黄连善清胃和胃止呕，多用治寒热互结，湿热中阻，痞满呕吐；萸黄连善舒肝和胃止呕，多用治肝胃不和之呕吐吞酸。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('52', '黄柏', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清热解毒'), '', 'HB', '克', '苦，寒。归肾、膀胱、大肠经。', '清热燥湿，泻火除蒸，解毒疗疮。', '1．湿热带下、热淋。\n2．湿热泻痢、黄疸。\n3．湿热脚气、痿证。\n4．骨蒸劳热，盗汗，遗精。\n5．疮疡肿毒、湿疹瘙痒。', '', '3', '【用法用量】煎服，3-12g。外用适量。\n【鉴别用药】黄芩、黄连、黄柏三药性味皆苦寒，而黄连为苦寒之最。三药均以清热燥湿、泻火解毒为主要功效，用治湿热内盛或热毒炽盛之证，常相须为用。但黄芩偏泻上焦肺火，肺热咳嗽者多用；黄连偏泻中焦胃火，并长于泻心火，中焦湿热、痞满呕逆及心火亢旺、高热心烦者多用；黄柏偏泻下焦相火、除骨蒸，湿热下注诸证及骨蒸劳热者多用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('53', '龙胆', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清热解毒'), '', 'LD', '克', '苦，寒。归肝、胆经。', '清热燥湿，泻肝胆火。', '1．湿热黄疸、阴肿阴痒、带下、湿疹瘙痒。\n2．肝火头痛、目赤耳聋、胁痛口苦。\n3．惊风抽搐。', '', '3', '【用法用量】煎服,3—6g。\n【使用注意】脾胃寒者不宜用，阴虚津伤者慎用．');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('54', '秦皮', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清热解毒'), '', 'QP', '克', '苦、涩，寒。归肝、胆、大肠经。', '清热燥湿，收涩止痢，止带，明目。', '1．湿热泻痢、带下。\n2．肝热目赤肿痛、目生翳膜。', '', '3', '【用法用量】煎服，6—12g。外用适量，煎洗患处。\n【使用注意】脾胃虚寒者忌用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('55', '苦参', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清热解毒'), '', 'KC', '克', '苦，寒。归心、肝、胃、大肠、膀胱经。', '清热燥湿，杀虫，利尿。', '1．湿热泻痢、便血、黄疸。\n2．湿热带下、阴肿阴痒、湿疹湿疮、皮肤瘙痒、疥癣。\n3．湿热小便不利。', '', '3', '【用法用量】煎服,5—10g。外用适量。\n【使用注意】脾胃虚寒者忌用，反藜芦。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('56', '白鲜皮', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清热解毒'), '', 'BXP', '克', '苦，寒。归脾、胃、膀胱经。', '清热燥湿，祛风解毒。', '1．湿热疮毒、湿疹，疥癣。\n2．湿热黄疸，风湿热痹。', '', '3', '【用法用量】煎服，5-10g。外用适量。\n【使用注意】脾胃虚寒者慎用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('57', '苦豆子', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清热解毒'), '', 'KDZ', '克', '苦、寒。有毒。归胃、大肠经。', '清热燥湿，止痛，杀虫。', '1．湿热泻痢。\n2．胃脘痛，吞酸。\n3．湿疹、顽癣。\n4．白带过多。\n5．疮疖、溃疡。', '', '6', '【用法用量】全草煎汤服，1.5～3g。种子炒用，研末服，每次5粒。\n【使用注意】本品有毒，内服用量不宜过大。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('58', '三棵针', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清热解毒'), '', 'SKZ', '克', '苦、寒。有毒。归肝、胃、大肠经。', '清热燥湿，泻火解毒。', '1．湿热泻痢、黄疸、湿疹。\n2．痈肿疮毒，咽喉肿痛，目赤肿痛。', '', '3', '【用法用量】煎服，10～15g。外用适量。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('59', '马尾连', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清热解毒'), '', 'MWL', '克', '苦，寒。归心、肺、肝、胆、大肠经。', '清热燥湿，泻火解毒。', '1．湿热泻痢、黄疸。\n2．热病烦躁。\n3．肺热咳嗽。\n4．痈疮肿毒，目赤肿痛。', '', '3', '【用法用量】煎服，6-12g；全草15-30g。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('60', '金银花', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清热解毒'), '', 'JYH', '克', '甘，寒。归肺、心、胃经。', '清热解毒，疏散风热。', '1．痈肿疔疮。\n2．外感风热，温病初起。\n3．热毒血痢。\n', '', '3', '【用法用量】煎服，6～15g。疏散风热、清泄里热以生品为佳；炒炭宜用于热毒血痢；露剂多用于暑热烦渴。\n【使用注意】脾胃虚寒及气虚疮疡脓清者忌用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('61', '连翘', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清热解毒'), '', 'LQ', '克', '苦，微寒，归肺、心、小肠经。', '清热解毒，消肿散结，疏散风热。', '1．痈肿疮毒，瘰疬痰核。\n2．风热外感，温病初起。\n3．热淋涩痛。', '金银花', '3', '【用法用量】煎服，6～15g。\n       【使用注意】脾胃虚寒及气虚脓清者不宜用。\n【鉴别用药】连翘临床有青翘、老翘及连翘心之分。青翘，其清热解毒之力较强；老翘，长于透热达表，而疏散风热；连翘心，长于清心泻火，常用治邪入心包的高热烦躁、神昏谵语等症。\n连翘与金银花，均有清热解毒作用，既能透热达表，又能清里热而解毒。对外感风热、温病初起、热毒疮疡等证常相须为用。然区别点是：连翘清心解毒之力强，并善于消痈散结，为疮家圣药，亦治瘰疬痰核；而金银花疏散表热之效优，且炒炭后善于凉血止痢，用治热毒血痢。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('62', '穿心莲', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清热解毒'), '', 'CXL', '克', '苦，寒。归心、肺、大肠、膀胱经。', '清热解毒，凉血，消肿，燥湿。', '1．外感风热，温病初起。\n2．肺热咳喘，肺痈吐脓，咽喉肿痛。\n3．湿热泻痢，热淋涩痛，湿疹瘙痒。', '', '4', '【用法用量】煎服，6～9g。煎剂易致呕吐，故多作丸、散、片剂。外用适量。\n【使用注意】不宜多服久服；脾胃虚寒者不宜用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('63', '大青叶', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清热解毒'), '', 'DQY', '克', '苦、寒。归心、胃经。', '清热解毒，凉血消斑。', '1．热入营血，温毒发斑。\n2．喉痹口疮，痄腮丹毒。', '', '3', '【用法用量】煎服，9～15g，鲜品30～60g。外用适量。\n【使用注意】脾胃虚寒者忌用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('64', '板蓝根', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清热解毒'), '', 'BLG', '克', '苦，寒。归心、胃经。', '清热解毒，凉血，利咽。', '1．外感发热，温病初起，咽喉肿痛。\n2．温毒发斑，痄腮，丹毒，痈肿疮毒。\n', '大青叶', '3', '【用法用量】煎服， 9～15g。\n【使用注意】体虚而无实火热毒者忌服，脾胃虚寒者慎用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('65', '青黛', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清热解毒'), '', 'QD', '克', '咸，寒。归肝、肺经。', '清热解毒，凉血消斑，清肝泻火，定惊。', '1．温毒发斑，血热吐衄。\n2．咽痛口疮，火毒疮疡。\n3．咳嗽胸痛，痰中带血。\n4．暑热惊痫，惊风抽搐。', '大青叶', '3', '【用法用量】内服1．5～3g，本品难溶于水，一般作散剂冲服，或入丸剂服用。外用适量。\n【使用注意】胃寒者慎用。\n【鉴别用药】大青叶为菘蓝叶；板蓝根为菘蓝或马蓝的根；青黛为马蓝、蓼蓝或菘蓝的茎叶经加工制得的粉未。三者大体同出一源，功效亦相近，皆有清热解毒、凉血消斑之作用。相比较而言，大青叶凉血消斑力强；板蓝根解毒利咽效著；青黛清肝定惊功胜。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('66', '贯众', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清热解毒'), '', 'GZ', '克', '苦，微寒。有小毒。归肝、脾经。', '清热解毒，凉血止血，杀虫。', '1．风热感冒，温毒发斑。\n2．血热出血。\n3．虫疾。', '', '4', '【用法用量】煎服，4.5～9g。杀虫及清热解毒宜生用；止血宜炒炭用。外用适量。\n【使用注意】本品有小毒，用量不宜过大。服用本品时忌油腻。脾胃虚寒者及孕妇慎用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('67', '蒲公英', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清热解毒'), '', 'PGY', '克', '苦、甘，寒。归肝、胃经。', '清热解毒，消肿散结，利湿通淋。', '1．痈肿疔毒，乳痈内痈。\n2．热淋涩痛，湿热黄疸。', '', '2', '【用法用量】煎服，9~15g。外用鲜品适量捣敷或煎汤熏洗患处。\n【使用注意】用量过大，可致缓泻。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('68', '紫花地丁', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清热解毒'), '', 'ZHDD', '克', '苦、辛，寒。归心、肝经。', '清热解毒，凉血消肿。', '1．疔疮肿毒，乳痈肠痈。\n2．毒蛇咬伤。', '', '3', '【用法用量】煎服，15～30g。外用鲜品适量，捣烂敷患处。\n【使用注意】体质虚寒者忌服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('69', '野菊花', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清热解毒'), '', 'YJH', '克', '苦、辛，微寒。归肝、心经。', '清热解毒。', '1．痈疽疔疖，咽喉肿痛。\n2．目赤肿痛，头痛眩晕。', '', '3', '【用法用量】煎服，10～15g。外用适量。\n【鉴别用药】野菊花与菊花为同科植物，均有清热解毒之功，但野菊花苦寒之性尤胜，长于解毒消痈，疮痈疔毒肿痛多用之；而菊花辛散之力较强，长于清热疏风，上焦头目风热多用之。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('70', '重楼', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清热解毒'), '', 'ZL', '克', '苦，微寒。有小毒。归肝经。', '清热解毒，消肿止痛，凉肝定惊。', '1．痈肿疔疮，咽喉肿痛，毒蛇咬伤。\n2．惊风抽搐。\n3．跌打损伤。', '', '3', '【用法用量】煎服，3～9g。外用适量，捣敷或研末调涂患处。\n【使用注意】体虚、无实火热毒者、孕妇及患阴证疮疡者均忌服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('71', '拳参', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清热解毒'), '', 'QC', '克', '苦、涩，微寒。归肺、肝、大肠经。', '清热解毒，凉血止血，镇肝息风。', '1．痈肿瘰疬，毒蛇咬伤。\n2．热病神昏，惊痫抽搐。\n3．热泻热痢。\n4．血热出血。', '', '3', '【用法用量】煎服，4.5～9g。外用适量。\n【使用注意】无实火热毒者不宜使用。阴证疮疡患者忌服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('72', '漏芦', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清热解毒'), '', 'LL', '克', '苦，寒。归胃经。', '清热解毒，消痈散结，通经下乳，舒筋通脉。', '1．乳痈肿痛，瘰疬疮毒。\n2．乳汁不下。\n3．湿痹拘挛。', '', '3', '【用法用量】煎服，5～9g。外用，研末调敷或煎水洗。\n【使用注意】气虚、疮疡平塌者及孕妇忌服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('73', '土茯苓', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清热解毒'), '', 'TFL', '克', '甘、淡，平。归肝、胃经。', '解毒，除湿，通利关节。', '1．杨梅毒疮，肢体拘挛。\n2．淋浊带下，湿疹瘙痒。\n3．痈肿疮毒。', '', '3', '【用法用量】煎服，15～60g。外用适量。\n【使用注意】肝肾阴虚者慎服。服药时忌茶。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('74', '鱼腥草', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清热解毒'), '', 'YXC', '克', '辛，微寒。归肺经。', '清热解毒，消痈排脓，利尿通淋。', '1．肺痈吐脓，肺热咳嗽。\n2．热毒疮毒。\n3．湿热淋证。', '', '3', '【用法用量】煎服，15～25g。鲜品用量加倍，水煎或捣汁服。外用适量，捣敷或煎汤熏洗患处。\n【使用注意】本品含挥发油，不宜久煎。虚寒证及阴性疮疡忌服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('75', '金荞麦', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清热解毒'), '', 'JQM', '克', '微辛、涩，凉。归肺经。', '清热解毒，排脓祛瘀。', '1．肺痈，肺热咳嗽。\n2．瘰疬疮疖，咽喉肿痛。', '', '3', '【用法用量】煎服，15～45g。亦可用水或黄酒隔水密闭炖服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('76', '大血藤', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清热解毒'), '', 'DXT', '克', '苦，平。归大肠、肝经。', '清热解毒，活血，祛风，止痛。', '1．肠痈腹痛，热毒疮疡。\n2．跌打损伤，经闭痛经。\n3．风湿痹痛。', '', '3', '【用法用量】煎服，9～15g。外用适量。\n【使用注意】孕妇慎服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('77', '败酱草', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清热解毒'), '', 'BJC', '克', '辛、苦，微寒。归胃、大肠、肝经。', '清热解毒，消痈排脓，祛瘀止痛。', '1．肠痈肺痈，痈肿疮毒。\n2．产后瘀阻腹痛。', '', '3', '【用法用量】煎服，6～15g。外用适量。\n【使用注意】脾胃虚弱，食少泄泻者忌服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('78', '射干', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清热解毒'), '', 'SG', '克', '苦，寒。归肺经。', '清热解毒，消痰，利咽。', '1．咽喉肿痛。\n2．痰盛咳喘。', '', '3', '【用法用量】煎服，3～9g。\n【使用注意】本品苦寒，脾虚便溏者不宜使用。孕妇忌用或慎用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('79', '山豆根', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清热解毒'), '', 'SDG', '克', '苦，寒。有毒。归肺、胃经。', '清热解毒，利咽消肿。', '1．咽喉肿痛。\n2．牙龈肿痛。', '', '3', '【用法用量】煎服，3～6g。外用适量。\n【使用注意】本品有毒，过量服用易引起呕吐、腹泻、胸闷、心悸等副作用，故用量不宜过大。脾胃虚寒者慎用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('80', '马勃', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清热解毒'), '', 'MB', '克', '辛，平。归肺经。', '清热解毒，利咽，止血。', '1．咽喉肿痛，咳嗽失音。\n2．吐血衄血，外伤出血。', '', '3', '【用法用量】煎服，1.5～6g，布包煎；或入丸、散。外用适量，研末撒，或调敷患处，或作吹药。\n【使用注意】风寒伏肺咳嗽失音者禁服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('81', '青果', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清热解毒'), '', 'QG', '克', '甘、酸，平。归肺、胃经。', '清热解毒，利咽，生津。', '1．咽喉肿痛，咳嗽烦渴。\n2．鱼蟹中毒。', '', '3', '【用法用量】煎服，4.5～9g；鲜品尤佳，可用至30~50g。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('82', '锦灯笼', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清热解毒'), '', 'JDL', '克', '苦、寒。归肺经。', '清热解毒，利咽化痰，利尿通淋。', '1．咽痛音哑，痰热咳嗽。\n2．小便不利，热淋涩痛。', '青果', '3', '【用法用量】煎服，5～9g。外用适量，捣敷患处。\n【使用注意】脾虚泄泻者及孕妇忌用。\n【鉴别用药】锦灯笼与青果，皆能清热解毒利咽，而治咽喉肿痛。但前者偏于化痰利咽，宜治痰热咳嗽，咽痛音哑；而后者偏于生津利咽，宜治咽干口燥，烦渴音哑。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('83', '金果榄', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清热解毒'), '', 'JGL', '克', '苦，寒。归肺、大肠经。', '清热解毒，利咽，止痛。', '1．咽喉肿痛。\n2．痈肿疔毒。', '', '3', '【用法用量】煎服，3～9g。外用适量。\n【使用注意】脾胃虚弱者慎用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('84', '木蝴蝶', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清热解毒'), '', 'MHD', '克', '苦、甘，凉。归肺、肝、胃经。', '清肺利咽，疏肝和胃。', '1．喉痹音哑，肺热咳嗽。\n2．肝胃气痛。', '', '3', '【用法用量】煎服，1.5～3g。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('85', '白头翁', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清热解毒'), '', 'BTW', '克', '苦，寒。归胃、大肠经。', '清热解毒，凉血止痢。', '1．热毒血痢。\n2．疮痈肿毒。', '', '3', '【用法用量】煎服，9～15g，鲜品15~30g。外用适量。\n【使用注意】虚寒泄痢忌服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('86', '马齿苋', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清热解毒'), '', 'MCX', '克', '酸，寒。归肝、大肠经。', '清热解毒，凉血止血，止痢。', '1．热毒血痢。\n2．热毒疮疡。\n3．崩漏，便血。', '', '3', '【用法用量】煎服，9～15g，鲜品30~60g。外用适量，捣敷患处。\n【使用注意】脾胃虚寒，肠滑作泄者忌服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('87', '鸦胆子', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清热解毒'), '', 'YDZ', '克', '苦，寒。有小毒。归大肠、肝经。', '清热解毒，止痢，截疟，腐蚀赘疣。', '1．热毒血痢，冷积久痢。\n2．各型疟疾。\n3．鸡眼赘疣。', '', '8', '【用法用量】内服，0.5~2g，以干龙眼肉包裹或装入胶囊包裹吞服，亦可压去油制成丸剂、片剂服，不宜入煎剂。外用适量。\n【使用注意】本品有毒，对胃肠道及肝肾均有损害，内服需严格控制剂量，不宜多用久服。外用注意用胶布保护好周围正常皮肤，以防止对正常皮肤的刺激。孕妇及小儿慎用。胃肠出血及肝肾病患者，应忌用或慎用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('88', '地锦草', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清热解毒'), '', 'DJC', '克', '辛，平。归肝、大肠经。', '清热解毒，凉血止血。', '1．热毒泻痢。\n2．血热出血证。\n3．湿热黄疸。\n4．热毒疮肿，毒蛇咬伤。', '', '3', '【用法用量】煎服，9～20g。鲜品30~60g。外用适量。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('89', '委陵菜', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清热解毒'), '', 'WLC', '克', '苦，寒。归肝、大肠经。', '清热解毒，凉血，止痢。', '1．热毒泻痢。\n2．血热出血。', '', '3', '【用法用量】煎服，9～15g。外用鲜品适量，煎水洗或捣烂敷患处。\n【其他】委陵菜有翻白草之别名，有些地区作翻白草入药，然正品翻白草为同科植物翻白草的干燥全草或根。二者功效大体相同，唯品种不同，以委陵菜效佳。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('90', '翻白草', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清热解毒'), '', 'FBC', '克', '苦，寒。归胃、大肠经。', '清热解毒，止血，止痢。', '1．湿热泻痢。\n2．痈肿疮毒。\n3．血热出血。\n4．肺热咳喘。', '委陵菜', '3', '【用法用量】煎服，9～15g。鲜品30~60g。外用适量，捣敷患处。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('91', '半边莲', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清热解毒'), '', 'BBL', '克', '辛，平。归心、小肠、肺经。', '清热解毒，利水消肿。', '1．疮痈肿毒，蛇虫咬伤。\n2．腹胀水肿。\n 3．湿疮湿疹。', '', '5', '【用法用量】煎服，干品10～15g，鲜品30～60g。外用适量。\n【使用注意】虚证水肿忌用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('92', '白花蛇舌草', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清热解毒'), '', 'BHSTC', '克', '微苦、甘，寒。归胃、大肠、小肠经。', '清热解毒，利湿通淋。', '1．痈肿疮毒，咽喉肿痛，毒蛇咬伤。\n2．热淋涩痛。', '', '5', '【用法用量】煎服，15～60g。外用适量。\n【使用注意】阴疽及脾胃虚寒者忌用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('93', '山慈菇', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清热解毒'), '', 'SCG', '克', '甘、微辛，凉。归肝、脾经。', '清热解毒，消痈散结。', '1．痈疽疔毒，瘰疬痰核。\n2．癥瘕痞块。', '', '5', '【用法用量】煎服，3～9g。外用适量。\n【使用注意】正虚体弱者慎用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('94', '熊胆', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清热解毒'), '', 'XD', '克', '苦，寒。归肝、胆、心经。', '清热解毒，息风止痉，清肝明目。', '1．热极生风，惊痫抽搐。\n2．热毒疮痈。\n3．目赤翳障。', '', '4', '【用法用量】内服，0.25～0．5g，入丸、散，由于本品有腥苦味，口服易引起呕吐，故宜用胶囊剂。外用适量，调涂患处。\n【使用注意】脾胃虚寒者忌服。虚寒证当禁用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('95', '千里光', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清热解毒'), '', 'QLG', '克', '苦，寒。归肺、肝、大肠经。', '清热解毒，清肝明目。', '1．痈肿疮毒。\n2．目赤肿痛。\n3．湿热泻痢。', '', '3', '【用法用量】煎服，9~15g，鲜品30g。外用适量。\n【使用注意】脾胃虚寒者慎服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('96', '白蔹', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清热解毒'), '', 'BL', '克', '苦、辛，微寒。归心、胃经。', '清热解毒，消痈散结，敛疮生肌。', '1．疮痈肿毒，瘰疬痰核。\n2．水火烫伤，手足皲裂。', '', '3', '【用法用量】煎服，4.5～9g。外用适量，煎汤外洗或研成极细粉末敷于患处。\n【使用注意】脾胃虚寒者不宜服。不宜于乌头类药材同用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('97', '四季青', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清热解毒'), '', 'SJQ', '克', '苦、涩，寒。归肺、心经。', '清热解毒，凉血止血，敛疮。', '1．水火烫伤，湿疹，疮疡。\n2．肺热咳嗽，咽喉肿痛，热淋，泻痢。\n3．外伤出血。', '', '4', '【用法用量】煎服，15～30g。外用适量。\n【使用注意】脾胃虚寒，肠滑泄泻者慎用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('98', '绿豆', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清热解毒'), '', 'LD', '克', '甘，寒。归心，胃经。', '清热解毒，消暑，利水。', '1．痈肿疮毒。\n2．暑热烦渴。\n3．药食中毒。\n4．水肿，小便不利。', '', '3', '【用法用量】煎服，15～30g。外用适量。\n【使用注意】脾胃虚寒，肠滑泄泻者忌用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('99', '生地黄', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清营凉血'), '生地', 'SDH,SD', '克', '甘、苦，寒。归心、肝、肾经。', '清热凉血，养阴生津。', '1．热入营血，舌绛烦渴、斑疹吐衄。\n2．阴虚内热，骨蒸劳热。\n3．津伤口渴，内热消渴，肠燥便秘。', '', '3', '【用法用量】煎服，10—15g。鲜品用量加倍，或以鲜品捣汁入药。\n【使用注意】脾虚湿滞，腹满便溏者不宜使用。\n');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('100', '地黄', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清营凉血'), '', 'SDH', '克', '甘、苦，寒。归心、肝、肾经。', '清热凉血，养阴生津。', '1．热入营血，舌绛烦渴、斑疹吐衄。\n2．阴虚内热，骨蒸劳热。\n3．津伤口渴，内热消渴，肠燥便秘。', '', '3', '【用法用量】煎服，10—15g。鲜品用量加倍，或以鲜品捣汁入药。\n【使用注意】脾虚湿滞，腹满便溏者不宜使用。\n');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('101', '玄参', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清营凉血'), '', 'XS,XC', '克', '甘、苦、咸，微寒。归肺、胃、肾经。', '清热凉血，泻火解毒，滋阴。', '1．温邪入营，内陷心包，温毒发斑。\n2．热病伤阴，津伤便秘，骨蒸劳嗽。\n3．目赤咽痛，瘰疬，白喉，痈肿疮毒。', '生地黄', '3', '【用法用量】煎服，10—15g。\n【使用注意】脾胃虚寒，食少便溏者不宜服用。反藜芦。\n【鉴别用药】玄参与生地黄，均能清热凉血、养阴生津，用治热入营血、热病伤阴、阴虚内热等证，常相须为用。但玄参泻火解毒力较强，故咽喉肿痛、痰火瘰疬多用；生地黄清热凉血力较大，故血热出血、内热消渴多用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('102', '牡丹皮', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清营凉血'), '丹皮', 'MDP,DP', '克', '苦、甘，微寒。归心、肝、肾经。', '清热凉血，活血祛瘀。', '1．温毒发斑，血热吐衄。\n2．温病伤阴，阴虚发热，夜热早凉、无汗骨蒸。\n3．血滞经闭、痛经、跌打伤痛。\n4．痈肿疮毒。', '', '3', '【用法用量】煎服，6—12g。清热凉血宜生用，活血祛瘀宜酒炙用。\n【使用注意】血虚有寒、月经过多及孕妇不宜用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('103', '赤芍', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清营凉血'), '', 'CS', '克', '苦、微寒。归肝经。', '清热凉血，散瘀止痛。', '1．温毒发斑，血热吐衄。\n2．目赤肿痛，痈肿疮疡。\n3．肝郁胁痛，经闭痛经，癥瘕腹痛，跌打损伤。', '', '3', '【用法用量】煎服，6-12g。\n【使用注意】血寒经闭不宜用。反藜芦。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('104', '紫草', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清营凉血'), '', 'ZC', '克', '甘、咸，寒。归心，肝经。', '清热凉血，活血，解毒透疹。', '1．温病血热毒盛，斑疹紫黑，麻疹不透。\n2．疮疡，湿疹，水火烫伤。', '', '3', '【用法用量】煎服，5—10g。外用适量，熬膏或用植物油浸泡涂搽。\n【使用注意】本品性寒而滑利，脾虚便溏者忌服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('105', '水牛角', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清营凉血'), '', 'SNJ,SLJ', '克', '苦，寒。归心、肝经。', '清热凉血，解毒，定惊。', '1．温病高热，神昏谵语，惊风，癫狂。\n2．血热妄行斑疹、吐衄。\n3．痈肿疮疡，咽喉肿痛。', '', '3', '【用法用量】镑片或粗粉煎服，15-30g，宜先煎3小时以上。水牛角浓缩粉冲服，每次1.5-3g，每日2次。\n【使用注意】脾胃虚寒者忌用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('106', '青蒿', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清虚热'), '', 'QH', '克', '苦、辛，寒。归肝、胆经。', '清透虚热，凉血除蒸，解暑，截疟。', '1．温邪伤阴，夜热早凉。\n2．阴虚发热，劳热骨蒸。\n3．暑热外感，发热口渴。\n4．疟疾寒热。', '', '2', '【用法用量】煎服，6～12g，不宜久煎；或鲜用绞汁服。\n【使用注意】脾胃虚弱，肠滑泄泻者忌服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('107', '白薇', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清虚热'), '', 'BW,BH', '克', '苦、咸，寒。归胃、肝、肾经。', '清热凉血，利尿通淋，解毒疗疮。', '1．阴虚发热，产后虚热。\n2．热淋，血淋。\n3．疮痈肿毒，毒蛇咬伤，咽喉肿痛。\n4．阴虚外感。', '', '5', '【用法用量】煎服，4.5～9g。\n【使用注意】脾胃虚寒、食少便溏者不宜服用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('108', '地骨皮', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清虚热'), '', 'DGP', '克', '甘，寒。归肺、肝、肾经。', '凉血除蒸，清肺降火。', '1．阴虚发热，盗汗骨蒸。\n2．肺热咳嗽。\n3．血热出血证。', '', '3', '【用法用量】煎服，9～15g。\n【使用注意】外感风寒发热及脾虚便溏者不宜用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('109', '银柴胡', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清虚热'), '', 'YCH', '克', '甘，微寒。归肝、胃经。', '清虚热，除疳热。', '1．阴虚发热。\n2．疳积发热。', '', '3', '【用法用量】煎服，3～9g。\n【使用注意】外感风寒，血虚无热者忌用。\n【鉴别用药】银柴胡与柴胡，名称相似且均有退热之功。然银柴胡能清虚热，除疳热，尤善治疗阴虚发热、小儿疳热；而柴胡能发表退热，善治外感发热、邪在少阳之往来寒热');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('110', '胡黄连', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清虚热'), '', 'HHL', '克', '苦，寒。归肝、胃、大肠经。', '退虚热，除疳热，清湿热。', '1．骨蒸潮热。\n2．小儿疳热。\n3．湿热泻痢。', '', '3', '【用法用量】煎服，1.5～9g。\n【使用注意】脾胃虚寒者慎用。\n【鉴别用药】胡黄连与黄连，名称相似且均为苦寒清热燥湿之品，善除胃肠湿热，同为治湿热泻痢之良药。然胡黄连善退虚热、除疳热；而黄连则善清心火、泻胃火，为解毒要药。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('111', '大黄', (select PK_ID from SYNDROME_SUBJECT where NAME = '__寒下'), '', 'DH', '克', '苦，寒。归脾、胃、大肠、肝、心包经。', '泻下攻积，清热泻火，凉血解毒，逐瘀通经。', '1．积滞便秘。\n2．血热吐衄，目赤咽肿。\n3．热毒疮疡，烧烫伤。\n4．瘀血证。\n5．湿热痢疾、黄疸、淋证。', '', '3', '【用法用量】煎服，5～15g；入汤剂应后下，或用开水泡服。外用适量。\n【使用注意】本品为峻烈攻下之品，易伤正气，如非实证，不宜妄用；本品苦寒，易伤胃气，脾胃虚弱者慎用；其性沉降，且善活血祛瘀，故妇女怀孕、月经期、哺乳期应忌用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('112', '芒硝', (select PK_ID from SYNDROME_SUBJECT where NAME = '__寒下'), '', 'MX', '克', '咸、苦，寒。归胃、大肠经。', '泻下攻积，润燥软坚，清热消肿。', '1．积滞便秘。\n2．咽痛、口疮、目赤及痈疮肿痛。', '', '3', '【用法用量】10～15g，冲入药汁内或开水溶化后服。外用适量。\n【使用注意】孕妇及哺乳期妇女忌用或慎用。\n【鉴别用药】芒硝、大黄均为泻下药，常相须用治肠燥便秘。然大黄味苦泻下力强，有荡涤肠胃之功，为治热结便秘之主药；芒硝味咸，可软坚泻下，善除燥屎坚结。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('113', '番泻叶', (select PK_ID from SYNDROME_SUBJECT where NAME = '__寒下'), '', 'FXY', '克', '甘、苦，寒。归大肠经。', '泻下通便。', '1．热结便秘。\n2．腹水肿胀。', '', '4', '【用法用量】温开水泡服，1.5～3g；煎服，2～6g，宜后下。\n【使用注意】妇女哺乳期、月经期及孕妇忌用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('114', '芦荟', (select PK_ID from SYNDROME_SUBJECT where NAME = '__寒下'), '', 'LH,LK', '克', '苦，寒。归肝、胃、大肠经。', '泻下通便，清肝，杀虫。', '1．热结便秘。\n2．烦燥惊痫。\n3．小儿疳积。', '', '5', '【用法用量】入丸、散服，每次1～2g。外用适量。\n【使用注意】脾胃虚弱，食少便溏及孕妇忌用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('115', '火麻仁', (select PK_ID from SYNDROME_SUBJECT where NAME = '__润下'), '麻仁,麻子,麻子仁,大麻仁', 'HMR,MR,MZ,MZR,DMR', '克', '甘，平。归脾、胃、大肠经。', '润肠通便。', '肠燥便秘。', '', '3', '【用法用量】煎服，10～15g。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('116', '郁李仁', (select PK_ID from SYNDROME_SUBJECT where NAME = '__润下'), '', 'YLR', '克', '辛、苦、甘，平。归脾、大肠、小肠经。', '润肠通便，利水消肿。', '1．肠燥便秘。\n2．水肿胀满及脚气浮肿。', '', '3', '【用法用量】煎服，6～12g。\n【使用注意】孕妇慎用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('117', '松子仁', (select PK_ID from SYNDROME_SUBJECT where NAME = '__润下'), '', 'SZR', '克', '甘，温。归肺、肝、大肠经。', '润肠通便，润肺止咳。', '1．肠燥便秘。\n2．肺燥干咳。', '', '3', '【用法用量】煎服，5～10g。或入膏、丸。\n【使用注意】脾虚便溏，湿痰者禁用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('118', '甘遂', (select PK_ID from SYNDROME_SUBJECT where NAME = '__逐水'), '', 'GS', '克', '苦，寒。有毒。归肺、肾、大肠经。', '泻水逐饮，消肿散结。', '1．水肿，臌胀，胸胁停饮。\n2．风痰癫痫。本品尚有逐痰涎作用。\n3．疮痈肿毒。', '', '8', '【用法用量】入丸、散服，每次0.5～1g。外用适量，生用。内服醋制用，以减低毒性。\n【使用注意】虚弱者及孕妇忌用。不宜与甘草同用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('119', '京大戟', (select PK_ID from SYNDROME_SUBJECT where NAME = '__逐水'), '大戟', 'JDJ,JDG,DJ', '克', '苦，寒。有毒。归肺、脾、肾经。', '泻水逐饮，消肿散结。', '1．水肿、臌胀、胸胁停饮。\n2．痈肿疮毒，瘰疬痰核。', '甘遂', '7', '【用法用量】煎服，1.5～3g；入丸、散服，每次1g。外用适量，生用。内服醋制用，以减低毒性。\n【使用注意】虚弱者及孕妇忌用。不宜与甘草同用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('120', '芫花', (select PK_ID from SYNDROME_SUBJECT where NAME = '__逐水'), '', 'YH', '克', '苦、辛，温。有毒。归肺、脾、肾经。', '泻水逐饮，祛痰止咳，杀虫疗疮。', '1．胸胁停饮，水肿，臌胀。\n2．咳嗽痰喘。\n3．头疮、白秃、顽癣及痈肿。', '京大戟', '6', '【用法用量】煎服，1.5～3g；入丸、散服，每次0.6g。外用适量。内服醋制用，以降低毒性。\n【使用注意】虚弱者及孕妇忌用。不宜与甘草同用。\n【鉴别用药】甘遂、京大戟、芫花均为峻下逐水药，具有泻水逐饮之效，作用峻猛，常同用治疗水肿、臌胀、胸胁停饮之证。但甘遂作用最强，其次为京大戟，最弱者为芫花。其中甘遂善行经隧之水湿，大戟偏行脏腑水湿，芫花以泻胸胁水饮，并祛痰止咳见长。另外，三者均有毒，且不宜与甘草同用；内服时，多醋制，可降低其毒性。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('121', '商陆', (select PK_ID from SYNDROME_SUBJECT where NAME = '__逐水'), '', 'SL', '克', '苦，寒。有毒。归肺、脾、肾、大肠经。', '泻下逐水，消肿散结。', '1．水肿，臌胀。\n2．疮痈肿毒。', '', '8', '【用法用量】煎服，5～10g。醋制以降低毒性。外用适量。\n【使用注意】孕妇忌用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('122', '牵牛子', (select PK_ID from SYNDROME_SUBJECT where NAME = '__逐水'), '黑牵牛,牵牛', 'QNZ,QLZ,HQN,HQL,QN,QL', '克', '苦，寒。有毒。归肺、肾大肠经。', '泻下逐水，去积杀虫。', '1．水肿，臌胀。\n2．痰饮喘咳。\n3．虫积腹痛。', '', '8', '【用法用量】煎服，3～9g。入丸、散服，每次1.5～3g。本品炒用药性减缓。\n【使用注意】孕妇忌用。不宜与巴豆、巴豆霜同用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('123', '巴豆', (select PK_ID from SYNDROME_SUBJECT where NAME = '__逐水'), '', 'BD', '克', '辛，热；有大毒。归胃、大肠经。', '峻下冷积，逐水退肿，祛痰利咽，外用蚀疮。', '1．寒积便秘。\n2．腹水臌胀。\n3．喉痹痰阻。\n4．痈肿未溃、疥癣恶疮。', '', '9', '【用法用量】入丸、散服，每次0.1～0.3g.。大多数制成巴豆霜用，以减低毒性。外用适量。\n【使用注意】孕妇及体弱者忌用。不宜与牵牛子同用。\n【鉴别用药】巴豆辛热燥烈，要力刚猛，峻下冷积，开通闭塞，主治冷积便秘重症；大黄苦寒泄降，峻下实热，荡涤胃肠，主治实热积滞便秘急症。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('124', '千金子', (select PK_ID from SYNDROME_SUBJECT where NAME = '__逐水'), '', 'QJZ', '克', '辛，温。有毒。归肝、肾、大肠经。', '逐水消肿，破血消癥。', '1．水肿、臌胀。\n2．癥瘕、经闭。', '', '6', '【用法用量】1～2g；去壳，去油用，多入丸、散服。外用适量，捣烂敷患处。\n【使用注意】孕妇及体弱便溏者忌服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('125', '独活', (select PK_ID from SYNDROME_SUBJECT where NAME = '__疏散外风'), '', 'DH', '克', '辛、苦，微温。归肾、膀胱经。', '袪风湿，止痛，解表。', '1．风寒湿痹。\n2．风寒挟湿表证。\n3．少阴头痛。', '', '3', '【用法用量】煎服，3～9g。外用，适量。\n【鉴别用药】羌活与独活，均能袪风湿，止痛，解表，以治风寒湿痹，风寒挟湿表证，头痛。但羌活性较燥烈，发散力强，常用于风寒湿痹，痛在上半身者，治头痛因于风寒者；独活性较缓和，发散力较羌活为弱，多用于风寒湿痹在下半身者，治头痛属少阴者。若风寒湿痹，一身尽痛，两者常配伍应用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('126', '威灵仙', (select PK_ID from SYNDROME_SUBJECT where NAME = '__疏散外风'), '', 'WLX', '克', '辛、咸，温。归膀胱经。', '袪风湿，通络止痛，消骨哽。', '1．风湿痹证。\n2．骨哽咽喉。', '', '3', '【用法用量】煎服，6～9g。外用，适量。\n【使用注意】本品辛散走窜，气血虚弱者慎服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('127', '川乌', (select PK_ID from SYNDROME_SUBJECT where NAME = '__疏散外风'), '乌头', 'CW,WT', '克', '辛、苦，热。有大毒。归心、肝、肾、脾经。', '袪风湿，温经止痛。', '1．风寒湿痹。\n2．心腹冷痛，寒疝疼痛。\n3．跌打损伤，麻醉止痛。', '', '8', '【用法用量】煎服，1.5～3g；宜先煎、久煎。外用，适量。\n【使用注意】孕妇忌用；不宜与贝母类、半夏、白及、白蔹、天花粉、瓜蒌类同用；内服一般应炮制用，生品内服宜慎；酒浸、酒煎服易致中毒，应慎用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('128', '草乌', (select PK_ID from SYNDROME_SUBJECT where NAME = '__疏散外风'), '乌头,五毒根', 'CW,WT,WDG', '克', '辛、苦，热；有大毒。归心、肝、肾、脾经。', '祛风除湿，温经止痛。', '用于风寒湿痹，关节疼痛，心腹冷痛，寒疝作痛，麻醉止痛。', '', '8', '【用法用量】一般炮制后用。\n【注意】生品内服宜慎。不宜与贝母、半夏、白及、白蔹、天花粉、瓜蒌同用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('129', '蕲蛇', (select PK_ID from SYNDROME_SUBJECT where NAME = '__疏散外风'), '', 'QS', '克', '甘、咸，温。有毒。归肝经。', '袪风，通络，止痉。', '1．风湿顽痹，中风半身不遂。\n2．小儿惊风，破伤风。\n3．麻风，疥癣。', '', '6', '【用法用量】煎汤，3～9g；研末吞服，一次1～1.5g，一日2～3次。或酒浸、熬膏、入丸、散服。\n【使用注意】阴虚内热者忌服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('130', '乌梢蛇', (select PK_ID from SYNDROME_SUBJECT where NAME = '__疏散外风'), '', 'WSS', '克', '甘，平。归肝经。', '袪风，通络，止痉。', '1．风湿顽痹，中风半身不遂。\n2．小儿惊风，破伤风。\n3．麻风，疥癣。', '', '3', '【用法用量】煎服，9～12g；研末，每次2～3g；或入丸剂、酒浸服。外用，适量。\n【使用注意】血虚生风者慎服。\n【鉴别用药】蕲蛇、金钱白花蛇、乌梢蛇性皆走窜，均能袪风，通络，止痉，凡内外风毒壅滞之证皆宜，尤以善治病久邪深者为其特点。其作用以金钱白花蛇最强，蕲蛇次之，乌梢蛇最弱；且金钱白花蛇与蕲蛇均有毒性偏温燥，而乌梢蛇性平无毒力较缓。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('131', '木瓜', (select PK_ID from SYNDROME_SUBJECT where NAME = '__疏散外风'), '', 'MG', '克', '酸，温。归肝、脾经。', '舒筋活络，和胃化湿。', '1．风湿痹证。\n2．脚气水肿。\n3．吐泻转筋。', '', '3', '【用法用量】煎服，6～9g。\n【使用注意】内有郁热，小便短赤者忌服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('132', '蚕沙', (select PK_ID from SYNDROME_SUBJECT where NAME = '__疏散外风'), '', 'CS', '克', '甘、辛，温。归肝、脾、胃经。', '袪风湿，和胃化湿。', '1．风湿痹证。\n2．吐泻转筋。\n3．风疹湿疹瘙痒。', '', '3', '【用法用量】煎服，5～15g；宜布包入煎。外用，适量。\n【鉴别用药】蚕沙与木瓜均能袪风湿、和胃化湿，以治湿痹拘挛及湿阻中焦之吐泻转筋。但蚕沙作用较缓，又善袪风，故凡风湿痹痛，不论风重、湿重均可应用；木瓜善舒筋活络，长于治筋脉拘挛，除常用于湿阻中焦吐泻转筋外，也可用于血虚肝旺，筋脉失养，挛急疼痛等。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('133', '伸筋草', (select PK_ID from SYNDROME_SUBJECT where NAME = '__疏散外风'), '', 'SJC', '克', '微苦、辛，温。归肝、脾、肾经。', '袪风湿，舒筋活络。', '1．风寒湿痹，肢软麻木。\n2．跌打损伤。', '', '4', '【用法用量】煎服，3～12g。外用，适量。\n【使用注意】孕妇慎用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('134', '寻骨风', (select PK_ID from SYNDROME_SUBJECT where NAME = '__疏散外风'), '', 'XGF', '克', '辛，苦，平。归肝经。', '袪风湿，通络止痛。', '1．风湿痹证。\n2．跌打损伤。', '', '3', '【用法用量】煎服，10～15g。外用，适量。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('135', '松节', (select PK_ID from SYNDROME_SUBJECT where NAME = '__疏散外风'), '', 'SJ', '克', '苦、辛，温。归肝、肾经。', '祛风湿，通络止痛。', '1．风寒湿痹。\n2．跌打损伤。', '', '3', '【用法用量】煎服，10～15g。外用，适量。\n【使用注意】阴虚血燥者慎服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('136', '海风藤', (select PK_ID from SYNDROME_SUBJECT where NAME = '__疏散外风'), '', 'HFT', '克', '辛、苦，微温。归肝经。', '袪风湿，通络止痛。', '1．风寒湿痹。\n2．跌打损伤。', '', '3', '【用法用量】煎服，6～12g。外用，适量。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('137', '青风藤', (select PK_ID from SYNDROME_SUBJECT where NAME = '__疏散外风'), '', 'QFT', '克', '苦、辛，平。归肝、脾经。', '袪风湿，通经络，利小便。', '1．风湿痹证。\n2．水肿，脚气。', '', '4', '【用法用量】煎服，6～12g。外用，适量。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('138', '丁公藤', (select PK_ID from SYNDROME_SUBJECT where NAME = '__疏散外风'), '', 'DGT', '克', '辛，温。有小毒。归肝、脾、胃经。', '祛风湿，消肿止痛。', '1．风湿痹痛，半身不遂。\n2．跌打损伤。', '', '5', '【用法用量】煎服，3～6g；或配制酒剂，内服或外搽。\n【使用注意】本品有强烈的发汗作用，虚弱者慎用，孕妇忌服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('139', '昆明山海棠', (select PK_ID from SYNDROME_SUBJECT where NAME = '__疏散外风'), '', 'KMSHT', '克', '苦、辛，温。有大毒。归肝、脾、肾经。', '祛风湿，祛瘀通络，续筋接骨。', '1．风湿痹证。\n2．跌打损伤，骨折。', '', '8', '【用法用量】煎服，根6～15g，茎枝20～30g，宜先煎。或酒浸服。外用，适量。\n【使用注意】孕妇及体弱者忌服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('140', '雪上一枝蒿', (select PK_ID from SYNDROME_SUBJECT where NAME = '__疏散外风'), '', 'XSYZH', '克', '苦、辛，温。有大毒。归肝经。', '袪风湿，活血止痛。', '1．疼痛证。\n2．疮疡肿毒，虫蛇咬伤。', '', '8', '【用法用量】研末服，0.02～0.04g。外用,适量。\n【使用注意】内服须经炮制并严格控制剂量，孕妇、老弱、小儿及心脏病、溃疡病患者忌服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('141', '路路通', (select PK_ID from SYNDROME_SUBJECT where NAME = '__疏散外风'), '', 'LLT', '克', '苦，平。归肝、肾经。', '袪风活络，利水，通经。', '1．风湿痹痛，中风半身不遂。\n2．跌打损伤。\n3．水肿。\n4．经行不畅，经闭。\n5．乳少，乳汁不通。', '', '3', '【用法用量】煎服，5～9g。外用，适量。\n【使用注意】月经过多及孕妇忌服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('142', '秦艽', (select PK_ID from SYNDROME_SUBJECT where NAME = '__平熄内风'), '', 'QJ', '克', '辛、苦，平。归胃、肝、胆经。', '袪风湿，通络止痛，退虚热，清湿热。', '1．风湿痹证。\n2．中风不遂。\n3．骨蒸潮热，疳积发热。\n4．湿热黄疸。', '', '3', '【用法用量】煎服，3～9g。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('143', '防己', (select PK_ID from SYNDROME_SUBJECT where NAME = '平熄内风'), '', 'FJ', '克', '苦、辛，寒。归膀胱、肺经。', '袪风湿，止痛，利水消肿。', '1．风湿痹证。\n2．水肿，小便不利，脚气。\n3．湿疹疮毒。', '', '4', '【用法用量】煎服，4.5～9g。\n【使用注意】本品大苦大寒易伤胃气，胃纳不佳及阴虚体弱者慎服。\n【鉴别用药】汉防己与木防己均有袪风湿、利水之功。但汉防己偏于利水消肿，木防己偏于袪风湿止痛；若症偏于下部，湿重于风者，多用汉防己；症偏于上部，风重于湿者，多用木防己。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('144', '桑枝', (select PK_ID from SYNDROME_SUBJECT where NAME = '平熄内风'), '', 'SZ', '克', '微苦，平。归肝经。', '袪风湿，利关节。', '风湿痹证。', '', '3', '【用法用量】煎服，9～15g。外用，适量。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('145', '豨莶草', (select PK_ID from SYNDROME_SUBJECT where NAME = '平熄内风'), '', 'XXC,XQC', '克', '辛、苦，寒。归肝、肾经。', '袪风湿，利关节，解毒。', '1．风湿痹痛，中风半身不遂。\n2．风疹，湿疮，疮痈。', '', '3', '【用法用量】煎服，9～12g。外用，适量。治风湿痹痛、半身不遂宜制用，治风疹湿疮、疮痈宜生用。\n【鉴别用药】豨莶草能袪风湿，通经络，利关节。生用性寒，善清热解毒，化湿热，除风痒，故宜于风湿热痹，关节红肿热痛以及湿热疮疡、风疹、湿毒瘙痒等证；酒蒸制后转为甘温，袪风除湿之中寓有补益肝肾之功，故可用于风湿四肢麻痹，筋骨疼痛，腰膝酸软及中风半身不遂等证，但单用作用缓慢，久服方效。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('146', '臭梧桐', (select PK_ID from SYNDROME_SUBJECT where NAME = '平熄内风'), '', 'CWT', '克', '辛、苦、甘，凉。归肝经。', '袪风湿，通经络，平肝。', '1．风湿痹证。\n2．风疹，湿疮。\n3．肝阳上亢，头痛眩晕。', '', '3', '【用法用量】煎服，5～15g；研末服，每次3g。外用，适量。用于高血压病不宜久煎。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('147', '海桐皮', (select PK_ID from SYNDROME_SUBJECT where NAME = '平熄内风'), '', 'HTP', '克', '苦、辛，平。归肝经。', '祛风湿，通络止痛，杀虫止痒。', '1．风湿痹证。\n2．疥癣，湿疹。', '', '3', '【用法用量】煎服，5～15g；或酒浸服。外用，适量。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('148', '络石藤', (select PK_ID from SYNDROME_SUBJECT where NAME = '平熄内风'), '', 'LST', '克', '苦，微寒。归心、肝、肾经。', '袪风通络，凉血消肿。', '1．风湿热痹。\n2．喉痹，痈肿。\n3．跌扑损伤。', '', '3', '【用法用量】煎服，6～12g。外用，适量，鲜品捣敷。\n【鉴别用药】络石藤与海风藤均能袪风通络，常用于风湿所致的关节屈伸不利，筋脉拘挛及跌打损伤。但海风藤性微温，适用于风寒湿痹，肢节疼痛，筋脉拘挛，屈伸不利者；络石藤性微寒，尤宜于风湿热痹，筋脉拘挛，腰膝酸痛者。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('149', '雷公藤', (select PK_ID from SYNDROME_SUBJECT where NAME = '平熄内风'), '', 'LGT', '克', '苦、辛，寒。有大毒。归肝、肾经。', '祛风湿，活血通络，消肿止痛，杀虫解毒。', '1．风湿顽痹。\n2．麻风、顽癣、湿疹、疥疮、皮炎、皮疹。\n3．疔疮肿毒。', '', '8', '【用法用量】煎汤，10～25g(带根皮者减量)，文火煎1～2小时；研粉，每日1.5～4.5g。外用，适量。\n【使用注意】内脏有器质性病变及白细胞减少者慎服；孕妇忌用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('150', '老鹳草', (select PK_ID from SYNDROME_SUBJECT where NAME = '平熄内风'), '', 'LGC,LHC', '克', '辛、苦，平。归肝、肾、脾经。', '袪风湿，通经络，清热毒，止泻痢。', '1．风湿痹证。\n2．泄泻痢疾。\n3．疮疡。', '', '3', '【用法用量】煎服，9～15g；或熬膏、酒浸服。外用，适量。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('151', '穿山龙', (select PK_ID from SYNDROME_SUBJECT where NAME = '平熄内风'), '', 'CSL', '克', '苦，微寒。归肝、肺经。', '袪风湿，活血通络，清肺化痰。', '1．风湿痹证。\n2．痰热咳喘。', '', '5', '【用法用量】煎服，10～15g；或酒浸服。外用，适量。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('152', '丝瓜络', (select PK_ID from SYNDROME_SUBJECT where NAME = '平熄内风'), '', 'SGL', '克', '甘，平。归肺、胃、肝经。', '袪风，通络，活血。', '1．风湿痹证。\n2．胸胁胀痛。\n3．乳汁不通，乳痈。', '', '3', '【用法用量】煎服，4.5～9g。外用，适量。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('153', '五加皮', (select PK_ID from SYNDROME_SUBJECT where NAME = '治风'), '', 'WJP', '克', '辛、苦，温。归肝、肾经。', '袪风湿，补肝肾，强筋骨，利水。', '1．风湿痹证。\n2．筋骨痿软，小儿行迟，体虚乏力。\n3．水肿，脚气。', '', '4', '【用法用量】煎服，4.5～9g；或酒浸、入丸、散服。\n【使用注意】有南五加皮和北五加皮之分。南五加皮与北五加皮科属不同，功效有异，且北五加皮有毒，不应混用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('154', '桑寄生', (select PK_ID from SYNDROME_SUBJECT where NAME = '治风'), '', 'SJS', '克', '苦、甘，平。归肝、肾经。', '袪风湿，补肝肾，强筋骨，安胎。', '1．风湿痹证。\n2．崩漏经多，妊娠漏血，胎动不安。', '', '3', '【用法用量】煎服，9～15g。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('155', '狗脊', (select PK_ID from SYNDROME_SUBJECT where NAME = '治风'), '', 'GJ', '克', '苦、甘，温。归肝、肾经。', '袪风湿，补肝肾，强腰膝。', '1．风湿痹证。\n2．腰膝酸软，下肢无力。\n3．遗尿，白带过多。', '', '3', '【用法用量】煎服，6～12g。\n【使用注意】肾虚有热，小便不利，或短涩黄赤者慎服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('156', '千年健', (select PK_ID from SYNDROME_SUBJECT where NAME = '治风'), '', 'QNJ', '克', '苦、辛，温。归肝、肾经。', '袪风湿，强筋骨。', '风寒湿痹。', '', '3', '【用法用量】煎服，4.5～9g；或酒浸服。\n【使用注意】阴虚内热者慎服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('157', '雪莲花', (select PK_ID from SYNDROME_SUBJECT where NAME = '治风'), '', 'XLH', '克', '甘、微苦，温。归肝、肾经。', '袪风湿，强筋骨，补肾阳，调经止血。', '1．风湿痹证。\n2．阳痿。\n3．月经不调，经闭痛经，崩漏带下。', '', '3', '【用法用量】煎服，6～12g。外用，适量。\n【使用注意】孕妇忌服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('158', '鹿衔草', (select PK_ID from SYNDROME_SUBJECT where NAME = '治风'), '', 'LXC', '克', '甘、苦，温。归肝、肾经。', '袪风湿，强筋骨，止血。', '1．风湿痹证。\n2．月经过多，崩漏，咯血，外伤出血。\n3．久咳劳嗽。', '', '3', '【用法用量】煎服，9～15g。外用，适量。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('159', '石楠叶', (select PK_ID from SYNDROME_SUBJECT where NAME = '治风'), '', 'SNY', '克', '辛、苦，平。有小毒。归肝、肾经。', '祛风湿，通经络，益肾气。', '1．风湿痹证。\n2．头风头痛。\n3．风疹瘙痒。', '', '3', '【用法用量】煎服，10～15g。外用，适量。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('160', '藿香', (select PK_ID from SYNDROME_SUBJECT where NAME = '祛湿'), '', 'HX', '克', '辛，微温。归脾、胃、肺经。', '化湿，止呕，解暑。', '1．湿阻中焦。\n2．呕吐。\n3．暑湿、湿温。', '', '3', '【用法用量】煎服，5～10g。鲜品加倍。\n【使用注意】阴虚血燥者不宜用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('161', '佩兰', (select PK_ID from SYNDROME_SUBJECT where NAME = '祛湿'), '', 'PL', '克', '辛，平。归脾、胃、肺经。', '化湿，解暑。', '1．湿阻中焦。\n2．暑湿、湿温。', '', '3', '【用法用量】煎服，5～10g。鲜品加倍。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('162', '苍术', (select PK_ID from SYNDROME_SUBJECT where NAME = '祛湿'), '', 'CS', '克', '辛，苦，温。归脾、胃、肝经。', '燥湿健脾，祛风散寒。', '1．湿阻中焦证。\n2．风湿痹证。\n3．风寒挟湿表证。', '', '3', '【用法用量】煎服，5～10g。\n【使用注意】阴虚内热，气虚多汗者忌用。\n【鉴别用药】苍术、藿香、佩兰均为芳香化湿药，具有化湿之力，用于湿阻中焦证。但苍术苦温燥烈，可燥湿健脾，不仅适用于湿阻中焦，亦可用于其它湿邪泛滥之症；而藿香、佩兰性微温或平，以化湿醒脾为主，多用于湿邪困脾之症。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('163', '厚朴', (select PK_ID from SYNDROME_SUBJECT where NAME = '祛湿'), '', 'HP', '克', '苦、辛，温。归脾、胃、肺、大肠经。', '燥湿消痰，下气除满。', '1．湿阻中焦，脘腹胀满。\n2．食积气滞，腹胀便秘。\n3．痰饮喘咳。', '苍术', '3', '【用法用量】煎服，3～10g。或入丸、散。\n【使用注意】本品辛苦温燥湿，易耗气伤津，故气虚津亏者及孕妇当慎用。\n【鉴别用药】厚朴、苍术均为化湿药，性能辛苦温，具有燥湿之功，常相须为用，治疗湿阻中焦之证。但厚朴以苦味为重，苦降下气消积除胀满，又下气消痰平喘，既可除无形之湿药，又可消有形之实满，为消除胀满的要药；而苍术辛散温燥为主，为治湿阻中焦之要药，又可祛风湿。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('164', '砂仁', (select PK_ID from SYNDROME_SUBJECT where NAME = '祛湿'), '', 'SR', '克', '辛，温。归脾、胃、肾经。', '化湿行气，温中止泻，安胎。', '1．湿阻中焦及脾胃气滞证。\n2．脾胃虚寒吐泻。\n3．气滞妊娠恶阻及胎动不安。', '', '3', '【用法用量】煎服，3～6g，入汤剂宜后下。\n【使用注意】阴虚血燥者慎用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('165', '豆蔻', (select PK_ID from SYNDROME_SUBJECT where NAME = '祛湿'), '', 'DK', '克', '辛，温。归肺、脾、胃经。', '化湿行气，温中止呕。', '1．湿阻中焦及脾胃气滞证。\n2．呕吐。', '砂仁', '3', '【用法用量】煎服，3～6g，入汤剂宜后下。\n【使用注意】阴虚血燥者慎用。\n【鉴别用药】豆蔻、砂仁同为化湿药，具有化湿行气，温中止呕、止泻之功，常相须为用，用治湿阻中焦及脾胃气滞证。但豆蔻化湿行气之力偏中上焦，而砂仁偏中下焦。故豆蔻临床上可用于湿温痞闷，温中偏胃而善止呕；砂仁化湿行气力略胜，温中重在脾而善止泻。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('166', '草豆蔻', (select PK_ID from SYNDROME_SUBJECT where NAME = '祛湿'), '', 'CDK', '克', '辛，温。归脾、胃经。', '燥湿行气，温中止呕。', '1．寒湿中阻证。\n2．寒湿呕吐。', '', '3', '【用法用量】煎服，3～6g。入散剂较佳。入汤剂宜后下。\n【使用注意】阴虚血燥者慎用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('167', '草果', (select PK_ID from SYNDROME_SUBJECT where NAME = '祛湿'), '', 'CG', '克', '辛，温。归脾、胃经。', '燥湿温中，除痰截疟。', '1．寒湿中阻证。\n2．疟疾。', '', '3', '【用法用量】煎服，3～6g。\n【使用用量】阴虚血燥者慎用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('168', '茯苓', (select PK_ID from SYNDROME_SUBJECT where NAME = '__利水渗湿'), '', 'FL,FN', '克', '甘、淡，平。归心、脾、肾经。', '利水消肿，渗湿，健脾，宁心。', '1．水肿。\n2．痰饮。\n3．脾虚泄泻。\n4．心悸，失眠。', '', '3', '【用法用量】煎服，9～15g。\n【使用注意】虚寒精滑者忌服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('169', '薏苡仁', (select PK_ID from SYNDROME_SUBJECT where NAME = '__利水渗湿'), '', 'YYR', '克', '甘、淡，凉。归脾、胃、肺经。', '利水消肿，渗湿，健脾，除痹，清热排脓。', '1．水肿，小便不利，脚气。\n2．脾虚泄泻。\n3．湿痹拘挛。\n4．肺痈，肠痈。', '茯苓', '3', '【用法用量】煎服，9～30g。清利湿热宜生用，健脾止泻宜炒用。\n【使用注意】津液不足者慎用。\n【鉴别用药】薏苡仁与茯苓：功能相近，均利水消肿，渗湿，健脾。然薏苡仁性凉而清热，排脓消痈，又擅除痹。而茯苓性平，且补益心脾，宁心安神。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('170', '猪苓', (select PK_ID from SYNDROME_SUBJECT where NAME = '__利水渗湿'), '', 'ZL', '克', '甘、淡，平。归肾、膀胱经。', '利水消肿，渗湿。', '水肿，小便不利，泄泻。', '茯苓', '3', '【用法用量】煎服，6～12 g。\n【鉴别用药】猪苓与茯苓：均利水消肿，渗湿，用治水肿，小便不利等证。然猪苓利水作用较强，无补益之功。而茯苓性平和，能补能利，既善渗泄水湿，又能健脾宁心。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('171', '泽泻', (select PK_ID from SYNDROME_SUBJECT where NAME = '__利水渗湿'), '', 'ZX', '克', '甘，寒。归肾、膀胱经。', '利水消肿，渗湿，泄热。', '1．水肿，小便不利，泄泻。\n2．淋证，遗精。', '', '3', '【用法用量】煎服,5～10g。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('172', '冬瓜皮', (select PK_ID from SYNDROME_SUBJECT where NAME = '__利水渗湿'), '', 'DGP', '克', '甘，凉。归脾、小肠经。', '利水消肿，清热解暑。', '1．水肿。\n2．暑热证。', '', '3', '【用法用量】煎服，15～30g。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('173', '玉米须', (select PK_ID from SYNDROME_SUBJECT where NAME = '__利水渗湿'), '', 'YMX', '克', '甘，平。归膀胱、肝、胆经。', '利水消肿，利湿退黄。', '1．水肿。\n2．黄疸。', '', '3', '【用法用量】煎服，30～60g。鲜者加倍。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('174', '葫芦', (select PK_ID from SYNDROME_SUBJECT where NAME = '__利水渗湿'), '', 'HL', '克', '甘，平。归肺、肾经。', '利水消肿。', '1．水肿。\n2．本品利水而通淋，配伍滑石、木通、车前子等，用于热淋；配萹蓄、白茅根、小蓟等，可用于血淋。', '', '3', '【用法用量】煎服,15～30g。鲜者加倍。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('175', '香加皮', (select PK_ID from SYNDROME_SUBJECT where NAME = '__利水渗湿'), '', 'XJP', '克', '辛、苦，温。有毒。归肝、肾、心经。', '利水消肿，祛风湿，强筋骨。', '1．水肿，小便不利。\n2．风湿痹证。', '', '6', '【用法用量】煎服，3～6g。浸酒或入丸、散，酌量。\n【使用注意】本品有毒，服用不宜过量。\n【鉴别用药】五加科植物细柱五加的根皮，为五加皮，习称”南五加皮”。萝藦科植物杠柳的根皮，为香加皮，习称“北五加皮”。 两者均能祛风湿，强筋骨。但南、北五加皮，科属不同，功效也有不同。南五加皮无毒，祛风湿、补肝肾，强筋骨作用较好；北五加皮有强心利尿作用，有毒，故两药临床不可混用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('176', '枳椇子', (select PK_ID from SYNDROME_SUBJECT where NAME = '__利水渗湿'), '', 'ZJZ', '克', '甘、酸，平。归脾经。', '利水消肿，解酒毒。', '1．水肿证。\n2．酒醉。', '', '3', '【用法用量】煎服，10～15g。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('177', '泽漆', (select PK_ID from SYNDROME_SUBJECT where NAME = '__利水渗湿'), '', 'ZQ', '克', '辛、苦，微寒。有毒。归大肠、小肠、肺经。', '利水消肿，化痰止咳，解毒散结。', '1．水肿证。\n2．咳喘证。\n3．瘰疬，癣疮。', '', '5', '【用法用量】煎服，5～10g。外用适量。\n【使用注意】本品苦寒降泄，易伤脾胃，脾胃虚寒者及孕妇慎用。本品有毒，不宜过量或长期使用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('178', '蝼蛄', (select PK_ID from SYNDROME_SUBJECT where NAME = '__利水渗湿'), '', 'LG,LK', '克', '咸，寒。归膀胱、大肠、小肠经。', '利水消肿，通淋。', '1．水肿证。\n2．淋证。', '', '3', '【用法用量】煎服，6～9g。研末服，每次3～5g。外用适量。\n【使用注意】本品下行，通利之功较强，气虚体弱者及孕妇忌用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('179', '荠菜', (select PK_ID from SYNDROME_SUBJECT where NAME = '__利水渗湿'), '', 'JC,QC', '克', '甘，凉。归肝、胃经。', '利水消肿，明目，止血。', '1．水肿。\n2．肝热目赤，目生翳膜。\n3．血热出血证。', '', '3', '【用法用量】煎服，15～30g。鲜品加倍。外用适量。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('180', '车前子', (select PK_ID from SYNDROME_SUBJECT where NAME = '__利水渗湿'), '', 'CQZ', '克', '甘，微寒。归肝、肾、肺、小肠经。', '利尿通淋，渗湿止泻，明目，祛痰。', '1．淋证，水肿。\n2．泄泻。\n3．目赤肿痛，目暗昏花，翳障。\n4．痰热咳嗽。', '', '3', '【用法用量】煎服，9～15g。宜包煎。\n【使用注意】肾虚遗滑者慎用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('181', '滑石', (select PK_ID from SYNDROME_SUBJECT where NAME = '__利水渗湿'), '', 'HS', '克', '甘、淡，寒。归膀胱、肺、胃经。', '利尿通淋，清热解暑，收湿敛疮。', '1．热淋，石淋，尿热涩痛。\n2．暑湿，湿温。\n3．湿疮，湿疹，痱子。', '', '4', '【用法用量】煎服，10～20g。宜包煎。外用适量。\n【使用注意】脾虚、热病伤津及孕妇忌用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('182', '木通', (select PK_ID from SYNDROME_SUBJECT where NAME = '__利水渗湿'), '', 'MT', '克', '苦，寒。有毒。归心、小肠、膀胱经。', '利尿通淋，清心火，通经下乳。', '1．热淋涩痛，水肿。\n2．口舌生疮，心烦尿赤。\n3．经闭乳少。', '', '4', '【用法用量】煎服,3～6g。\n【使用注意】本品不宜过量服或久服，孕妇忌服，内无湿热者、儿童与年老体弱者慎用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('183', '通草', (select PK_ID from SYNDROME_SUBJECT where NAME = '__利水渗湿'), '', 'TC', '克', '甘、淡，微寒。归肺、胃经。', '利尿通淋，通气下乳。', '1．淋证，水肿。\n2．产后乳汁不下。', '', '3', '【用法用量】煎服,3～5g。\n【使用注意】孕妇慎用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('184', '瞿麦', (select PK_ID from SYNDROME_SUBJECT where NAME = '__利水渗湿'), '', 'QM', '克', '苦，寒。归心、小肠经。', '利尿通淋，破血通经。', '1．淋证。\n2．闭经，月经不调。', '', '3', '【用法用量】煎服，9～15g。\n【使用注意】孕妇忌服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('185', '萹蓄', (select PK_ID from SYNDROME_SUBJECT where NAME = '__利水渗湿'), '', 'BX', '克', '苦，微寒。归膀胱经。', '利尿通淋，杀虫止痒。', '1．淋证。\n2．虫证，湿疹，阴痒。', '', '3', '【用法用量】煎服，9～15g。鲜者加倍。外用适量。\n【使用注意】脾虚者慎用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('186', '地肤子', (select PK_ID from SYNDROME_SUBJECT where NAME = '__利水渗湿'), '', 'DFZ', '克', '辛、苦，寒。归肾、膀胱经。', '利尿通淋，清热利湿，止痒。', '1．淋证。\n2．阴痒带下，风疹，湿疹。', '', '3', '【用法用量】煎服，9～15g。外用适量。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('187', '海金沙', (select PK_ID from SYNDROME_SUBJECT where NAME = '__利水渗湿'), '', 'HJS', '克', '甘、咸，寒。归膀胱、小肠经。', '利尿通淋，止痛。', '淋证。', '', '3', '【用法用量】煎服，6～15g。宜包煎。\n【使用注意】肾阴亏虚者慎服');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('188', '石韦', (select PK_ID from SYNDROME_SUBJECT where NAME = '__利水渗湿'), '', 'SW', '克', '甘、苦，微寒。归肺、膀胱经。', '利尿通淋，清肺止咳，凉血止血。', '1．淋证。\n2．肺热咳喘。\n3．血热出血。', '', '3', '【用法用量】煎服, 6～12g。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('189', '冬葵子', (select PK_ID from SYNDROME_SUBJECT where NAME = '__利水渗湿'), '', 'DKZ', '克', '甘、涩，凉。归大肠、小肠、膀胱经。', '利尿通淋，下乳，润肠。', '1．淋证。\n2．乳汁不通、乳房胀痛。\n3．便秘。', '', '3', '【用法用量】煎服，3～9g。\n【使用注意】本品寒润滑利，脾虚便溏者与孕妇慎用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('190', '灯心草', (select PK_ID from SYNDROME_SUBJECT where NAME = '__利水渗湿'), '灯草', 'DXC,DC', '克', '甘、淡，微寒。归心、肺、小肠经。', '利尿通淋，清心降火。', '1．淋证。\n2．心烦失眠，口舌生疮。', '', '3', '【用法用量】煎服，1～3g。外用适量。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('191', '萆薢', (select PK_ID from SYNDROME_SUBJECT where NAME = '__利水渗湿'), '', 'BX,BJ', '克', '苦，平。归肾、胃经。', '利湿去浊，祛风除痹。', '1．膏淋，白浊。\n2．风湿痹痛。', '', '3', '【用法用量】煎服，10～15g。\n【使用注意】肾阴亏虚遗精滑泄者慎用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('192', '茵陈', (select PK_ID from SYNDROME_SUBJECT where NAME = '__利水渗湿'), '', 'YC', '克', '苦、辛，微寒。归脾、胃、肝、胆经。', '利湿退黄，解毒疗疮。', '1．黄疸。\n2．湿疮瘙痒。', '', '3', '【用法用量】煎服，6～15g。外用适量。煎汤熏洗。\n【使用注意】蓄血发黄者及血虚萎黄者慎用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('193', '金钱草', (select PK_ID from SYNDROME_SUBJECT where NAME = '__利水渗湿'), '', 'JQC', '克', '甘、咸，微寒。归肝、胆、肾、膀胱经。', '利湿退黄，利尿通淋，解毒消肿。', '1．湿热黄疸。\n2．石淋，热淋。\n3．痈肿疔疮、毒蛇咬伤。', '', '4', '【用法用量】煎服，15～60g。鲜品加倍。外用适量。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('194', '虎杖', (select PK_ID from SYNDROME_SUBJECT where NAME = '__利水渗湿'), '', 'HZ', '克', '微苦，微寒。归肝、胆、肺经。', '利湿退黄，清热解毒，散瘀止痛，化痰止咳.', '1．湿热黄疸，淋浊，带下。\n2．水火烫伤，痈肿疮毒，毒蛇咬伤。\n3．经闭，癥瘕，跌打损伤。\n4．肺热咳嗽。', '', '4', '【用法用量】煎服，9～15g。外用适量。\n【使用注意】孕妇忌服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('195', '地耳草', (select PK_ID from SYNDROME_SUBJECT where NAME = '__利水渗湿'), '', 'DEC', '克', '苦、甘，凉。归肝、胆经。', '利湿退黄，清热解毒，活血消肿。', '1．黄疸。\n2．痈肿。\n3．跌打损伤。', '', '3', '【用法用量】煎服，15～30g。外用适量。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('196', '垂盆草', (select PK_ID from SYNDROME_SUBJECT where NAME = '__利水渗湿'), '', 'CPC', '克', '甘、淡、微酸，微寒。归心、肝、胆经。', '利湿退黄，清热解毒。', '1．黄疸。\n2．痈肿疮疡，喉痛，蛇伤，烫伤。', '', '3', '【用法用量】煎服， 15～30g。鲜品250g。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('197', '鸡骨草', (select PK_ID from SYNDROME_SUBJECT where NAME = '__利水渗湿'), '', 'JGC', '克', '甘、微苦，凉。归肝、胃经。', '利湿退黄，清热解毒，疏肝止痛。', '1．黄疸。\n2．乳痈。\n3．胁肋不舒，胃脘胀痛。', '', '3', '【用法用量】煎服，15～30g。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('198', '珍珠草', (select PK_ID from SYNDROME_SUBJECT where NAME = '__利水渗湿'), '', 'ZZC', '克', '甘、苦，凉。归肝、肺经，', '利湿退黄，清热解毒，明目，消积。', '1．湿热黄疸，泄痢，淋证。\n2．疮疡肿毒，蛇犬咬伤。\n3．目赤肿痛。\n4．小儿疳积。', '', '3', '【用法用量】煎服，15～30g。鲜品30～60g。外用适量。\n【使用注意】苦凉之品，阳虚体弱者慎用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('199', '附子', (select PK_ID from SYNDROME_SUBJECT where NAME = '温里'), '', 'FZ', '克', '辛、甘，大热。有毒。归心、肾、脾经。', '回阳救逆，补火助阳，散寒止痛。', '1．亡阳证。\n2．阳虚证。\n3．寒痹证。', '', '6', '【用法用量】煎服，3~15g；本品有毒，宜先煎0.5~1小时，至口尝无麻辣感为度。\n【使用注意】孕妇及阴虚阳亢者忌用。反半夏、瓜蒌、贝母、白蔹、白及。生品外用，内服须炮制。若内服过量，或炮制、煎煮方法不当，可引起中毒。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('200', '干姜', (select PK_ID from SYNDROME_SUBJECT where NAME = '温里'), '', 'GJ', '克', '辛，热。归脾、胃、肾、心、肺经。', '温中散寒，回阳通脉，温肺化饮。', '1．腹痛，呕吐，泄泻。\n2．亡阳证。\n3．寒饮喘咳。', '', '3', '【用法用量】煎服，3~10g。\n【使用注意】本品辛热燥烈，阴虚内热、血热妄行者忌用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('201', '肉桂', (select PK_ID from SYNDROME_SUBJECT where NAME = '温里'), '', 'RG', '克', '辛、甘，大热。归肾、脾、心、肝经。', '补火助阳，散寒止痛，温经通脉，引火归源。', '1．阳痿，宫冷。\n2．腹痛，寒疝。\n3．腰痛，胸痹，阴疽，闭经，痛经。\n4．虚阳上浮诸症。', '', '3', '【用法用量】煎服，1～4.5g，宜后下或焗服；研末冲服，每次1～2g。\n【使用注意】阴虚火旺，里有实热，血热妄行出血及孕妇忌用。畏赤石脂。\n【鉴别用药】肉桂、附子、干姜性味均辛热，能温中散寒止痛，用治脾胃虚寒之脘腹冷痛、大便溏泄等。然干姜主入脾胃，长于温中散寒、健运脾阳而止呕；肉桂、附子味甘而大热，散寒止痛力强，善治脘腹冷痛甚者及寒湿痹痛证，二者又能补火助阳，用治肾阳虚证及脾肾阳虚证。肉桂还能引火归源、温经通脉、用治虚阳上浮及胸痹、阴疽、闭经、痛经等。附子、干姜能回阳救逆，用治亡阳证。此功附子力强，干姜力弱，常相须为用。干姜尚能温肺化饮，用治肺寒痰饮咳喘。\n肉桂、桂枝性味均辛甘温，能散寒止痛、温经通脉，用治寒凝血滞之胸痹、闭经、痛经、风寒湿痹证。肉桂长于温里寒，用治里寒证；又能补火助阳，引火归源，用治肾阳不足、命门火衰之阳痿宫冷，下元虚衰、虚阳上浮之虚喘、心悸等。桂枝长于散表寒，用治风寒表证；又能助阳化气，用治痰饮、蓄水证。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('202', '吴茱萸', (select PK_ID from SYNDROME_SUBJECT where NAME = '温里'), '', 'WZY', '克', '辛、苦，热；有小毒。归肝、脾、胃、肾经。', '散寒止痛，降逆止呕，助阳止泻。', '1．寒凝疼痛。\n2．胃寒呕吐。\n3．虚寒泄泻。', '', '3', '【用法用量】煎服，1.5～4.5g。外用适量。\n【使用注意】本品辛热燥烈，易耗气动火，故不宜多用、久服。阴虚有热者忌用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('203', '小茴香', (select PK_ID from SYNDROME_SUBJECT where NAME = '温里'), '', 'XHX', '克', '辛，温。归肝、肾、脾、胃经。', '散寒止痛，理气和胃。', '1．寒疝腹痛，睾丸偏坠胀痛，少腹冷痛，痛经。\n2．中焦虚寒气滞证。', '', '3', '【用法用量】煎服，3~6g。外用适量。\n【使用注意】阴虚火旺者慎用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('204', '丁香', (select PK_ID from SYNDROME_SUBJECT where NAME = '温里'), '', 'DX', '克', '辛，温。归脾、胃、肺、肾经。', '温中降逆，散寒止痛，温肾助阳。', '1．胃寒呕吐、呃逆。\n2．脘腹冷痛。\n3．阳痿，宫冷。', '', '3', '【用法用量】煎服，1~3g。外用适量。\n【使用注意】热证及阴虚内热者忌用。畏郁金。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('205', '高良姜', (select PK_ID from SYNDROME_SUBJECT where NAME = '温里'), '', 'GLJ', '克', '辛，热。归脾、胃经。', '散寒止痛，温中止呕。', '1．胃寒冷痛。\n2．胃寒呕吐：本品性热，能温散寒邪，和胃止呕。', '', '3', '【用法用量】煎服，3~6g。研末服，每次3g。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('206', '胡椒', (select PK_ID from SYNDROME_SUBJECT where NAME = '温里'), '', 'HJ', '克', '辛，热。归胃、大肠经。', '温中散寒，下气消痰。', '1．胃寒腹痛，呕吐泄泻。\n2．癫痫证。', '', '3', '【用法用量】煎服，2～4g；研末服，每次0.6~1.5g。外用适量。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('207', '花椒', (select PK_ID from SYNDROME_SUBJECT where NAME = '温里'), '', 'HJ', '克', '辛、温。归脾、胃、肾经。', '温中止痛，杀虫止痒。', '1．中寒腹痛，寒湿吐泻。\n2．虫积腹痛，湿疹，阴痒。', '', '3', '【用法用量】煎服，3~6g。外用适量，煎汤熏洗。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('208', '荜茇', (select PK_ID from SYNDROME_SUBJECT where NAME = '温里'), '', 'BB', '克', '辛，热。归胃、大肠经。', '温中散寒，下气止痛。', '胃寒腹痛，呕吐，呃逆，泄泻。', '', '3', '【用法用量】煎服，1.5~3g。外用适量。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('209', '荜澄茄', (select PK_ID from SYNDROME_SUBJECT where NAME = '温里'), '', 'BCQ', '克', '辛，温。归脾、胃、肾、膀胱经。', '温中散寒，行气止痛。', '1．胃寒腹痛，呕吐，呃逆。\n2．寒疝腹痛。', '', '3', '【用法用量】煎服，1.5~3g。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('210', '陈皮', (select PK_ID from SYNDROME_SUBJECT where NAME = '理气'), '橘红', 'CP,JH', '克', '辛、苦，温。归脾、肺经。', '理气健脾，燥湿化痰。', '1．脾胃气滞证。\n2．呕吐、呃逆证。\n3．湿痰、寒痰咳嗽。\n4．胸痹证。', '', '2', '【用法用量】煎服，3～9g。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('211', '青皮', (select PK_ID from SYNDROME_SUBJECT where NAME = '理气'), '', 'QP', '克', '苦、辛，温。归肝、胆、胃经。', '疏肝破气，消积化滞。', '1．肝郁气滞证。\n2．气滞脘腹疼痛。\n3．食积腹痛。\n4．癥瘕积聚、久疟痞块。', '陈皮', '3', '【用法用量】煎服，3～9g。醋炙疏肝止痛力强。\n【鉴别用药】陈皮、青皮二者皆可理中焦之气而健胃，用于脾胃气滞之脘腹胀痛，食积不化等症。但陈皮性温而不峻，行气力缓，偏入脾肺 ，长于燥湿化痰，用于痰饮停滞肺胃之咳嗽气喘、呕哕、腹痛、泄泻；青皮性较峻烈，行气力猛，苦泄下行，偏入肝胆，能疏肝破气，散结止痛，消积化滞，主治肝郁乳房胀痛或结块，胁肋胀痛，疝气疼痛，食积腹痛，癥瘕积聚等症。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('212', '枳实', (select PK_ID from SYNDROME_SUBJECT where NAME = '理气'), '', 'ZS', '克', '苦、辛、酸，温。归脾、胃、大肠经。', '破气除痞，化痰消积。', '1．胃肠积滞，湿热泻痢。\n2．胸痹、结胸。\n3．气滞胸胁疼痛。\n4．产后腹痛。', '', '3', '【用法用量】煎服，3～9g，大量可用至30g。炒后性较平和。\n【使用注意】孕妇慎用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('213', '木香', (select PK_ID from SYNDROME_SUBJECT where NAME = '理气'), '', 'MX', '克', '辛、苦，温。归脾、胃、大肠、胆、三焦经。', '行气止痛，健脾消食。', '1．脾胃气滞证。\n2．泻痢里急后重。\n3．腹痛胁痛，黄疸，疝气疼痛。\n4．气滞血瘀之胸痹。', '', '3', '【用法用量】煎服，1．5～6g。生用行气力强，煨用行气力缓而实肠止泻，用于泄泻腹痛。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('214', '沉香', (select PK_ID from SYNDROME_SUBJECT where NAME = '理气'), '', 'CX', '克', '辛、苦，微温。归脾、胃、肾经。', '行气止痛，温中止呕，纳气平喘。', '1．胸腹胀痛。\n2．胃寒呕吐。\n3．虚喘证。', '', '4', '【用法用量】煎服，1．5～4．5g，宜后下；或磨汁冲服，或入丸、散剂，每次0．5~1g。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('215', '檀香', (select PK_ID from SYNDROME_SUBJECT where NAME = '理气'), '', 'TX,SX', '克', '辛，温。归脾、胃、心、肺经。', '行气止痛，散寒调中。', '胸腹寒凝气滞证。', '', '3', '【用法用量】煎服，2～5g，宜后下；入丸、散，1～3g。\n【使用注意】阴虚火旺，实热吐衄者慎用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('216', '川楝子', (select PK_ID from SYNDROME_SUBJECT where NAME = '理气'), '', 'CLZ', '克', '苦，寒。有小毒。归肝、胃、小肠、膀胱经。', '行气止痛，杀虫。', '1．肝郁化火所致诸痛证。\n2．虫积腹痛。', '', '6', '【用法用量】煎服，4．5～9g。外用适量。炒用寒性减低。\n【使用注意】本品有毒，不宜过量或持续服用，以免中毒。又因性寒，脾胃虚寒者慎用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('217', '乌药', (select PK_ID from SYNDROME_SUBJECT where NAME = '理气'), '', 'WY', '克', '辛，温。归肺、脾、肾、膀胱经。', '行气止痛，温肾散寒。', '1．寒凝气滞之胸腹诸痛证。\n2．尿频，遗尿。', '', '3', '【用法用量】煎服，3～9g。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('218', '青木香', (select PK_ID from SYNDROME_SUBJECT where NAME = '理气'), '', 'QMX', '克', '辛、苦，寒。归肝、胃经。', '行气止痛，解毒消肿。', '1．胸胁、脘腹疼痛。\n2．泻痢腹痛。\n3．疔疮肿毒，皮肤湿疮，毒蛇咬伤。', '', '8', '【用法用量】煎服，3～9g。散剂每次1．5～2g，温开水送服。外用适量，研末敷患处。\n【使用注意】本品不宜多服，过量可引起恶心、呕吐等胃肠道反应。\n【鉴别用药】木香与青木香均有行气止痛之功，均可用治脘腹胁肋胀痛，泄泻或呕吐，以及泻痢、里急后重等症。但二者行气的特点不同：木香辛散苦降，芳香温通，主入脾胃，通理三焦，而尤擅调中宣滞，脾胃气滞而有寒者用之最宜，并可用治黄疸，疝气疼痛等症；青木香辛散苦泄，微寒清热，主入肝胃，兼能解毒消肿祛湿，肝胃气滞而兼热者用之最宜，尤善治夏季饮食不洁所致的泻痢腹痛。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('219', '荔枝核', (select PK_ID from SYNDROME_SUBJECT where NAME = '理气'), '', 'LZH', '克', '辛、微苦，温。归肝、胃经。', '行气散结，散寒止痛。', '1．疝气痛，睾丸肿痛。\n2．胃脘久痛，痛经，产后腹痛。', '', '3', '【用法用量】煎服，4．5～9g。或入丸、散剂。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('220', '香附', (select PK_ID from SYNDROME_SUBJECT where NAME = '理气'), '', 'XF', '克', '辛、微苦、微甘、平。归肝、脾、三焦经。', '疏肝解郁，调经止痛，理气调中。', '1．肝郁气滞胁痛、腹痛。\n2．月经不调，痛经，乳房胀痛。\n3．脾胃气滞腹痛。', '木香', '3', '【用法用量】煎服，6～9g。醋炙止痛力增强。\n【鉴别用药】木香与香附均有理气止痛之功，并能宽中消食，均用于治疗脾胃气滞、脘腹胀痛、食少诸症，二者可配伍应用。但木香药性偏燥，主入脾胃，善治脾胃气滞之食积不化，脘腹胀痛，泄痢里急后重，兼可用于治疗胁痛、黄疸、疝气疼痛以及胸痹心痛，为理气止痛之要药；香附性质平和，主入肝经，以疏肝解郁、调经止痛见长，主治肝气郁结之胁肋胀痛、乳房胀痛、月经不调、癥瘕疼痛等症，为妇科调经之要药。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('221', '佛手', (select PK_ID from SYNDROME_SUBJECT where NAME = '理气'), '', 'FS', '克', '辛、苦，温，归肝、脾、胃、肺经。', '疏肝解郁，理气和中，燥湿化痰。', '1．肝郁胸胁胀痛。\n2．气滞脘腹疼痛。\n3．久咳痰多，胸闷作痛。', '', '3', '【用法用量】煎服，3～9 g。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('222', '香橼', (select PK_ID from SYNDROME_SUBJECT where NAME = '理气'), '', 'XY', '克', '辛、微苦、酸，温。归肝、脾、胃、肺经。', '疏肝解郁，理气和中，燥湿化痰。', '1．肝郁胸胁胀痛。\n2．气滞脘腹胀痛。\n3．痰饮咳嗽，胸膈不利。', '', '3', '【用法用量】煎服，3～9g。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('223', '玫瑰花', (select PK_ID from SYNDROME_SUBJECT where NAME = '理气'), '', 'MGH', '克', '甘、微苦，温。归肝、脾经。', '疏肝解郁，活血止痛。', '1．肝胃气痛。\n2．月经不调、经前乳房胀痛。\n3．跌打伤痛。', '', '3', '【用法用量】煎服，1．5～6g。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('224', '绿萼梅', (select PK_ID from SYNDROME_SUBJECT where NAME = '理气'), '', 'LEM', '克', '微酸、涩，平。归肝、胃、肺经。', '疏肝解郁，和中，化痰。', '1．肝胃气痛。\n2．梅核气。', '', '3', '【用法用量】煎服，3～5g。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('225', '娑罗子', (select PK_ID from SYNDROME_SUBJECT where NAME = '理气'), '', 'SLZ', '克', '甘，温。归肝、胃经。', '疏肝解郁，和胃止痛。', '胸闷胁痛、脘腹胀痛，妇女经前乳房胀痛。', '', '3', '【用法用量】煎服，3～9g。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('226', '薤白', (select PK_ID from SYNDROME_SUBJECT where NAME = '理气'), '', 'XB', '克', '辛、苦，温。归肺、胃、大肠经。', '通阳散结，行气导滞。', '1．胸痹证。\n2．脘腹痞满胀痛，泻痢里急后重。', '', '3', '【用法用量】煎服，5～9g。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('227', '天仙藤', (select PK_ID from SYNDROME_SUBJECT where NAME = '理气'), '', 'TXT', '克', '苦，温。归肝、脾经。', '理气，祛湿，活血止痛。', '1．胃脘痛、疝气痛、产后腹痛。\n2．妊娠水肿。\n3．风湿痹痛。\n4．癥瘕积聚。', '', '6', '【用法用量】煎服，4．5～9g。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('228', '大腹皮', (select PK_ID from SYNDROME_SUBJECT where NAME = '理气'), '', 'DFP', '克', '辛，微温。归脾、胃、大肠、小肠经。', '行气宽中，利水消肿。', '1．胃肠气滞，脘腹胀闷，大便不爽。\n2．水肿胀满，脚气浮肿，小便不利。', '', '4', '【用法用量】煎服，4．5～9g。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('229', '甘松', (select PK_ID from SYNDROME_SUBJECT where NAME = '理气'), '', 'GS', '克', '辛、甘，温。归脾、胃经。', '行气止痛，开郁醒脾。', '1．脘腹闷胀，疼痛。\n2．思虑伤脾，不思饮食。\n3．湿脚气。', '', '3', '【用法用量】煎服，3～6g。外用适量，泡汤漱口、煎汤洗脚或研末敷患处。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('230', '九香虫', (select PK_ID from SYNDROME_SUBJECT where NAME = '理气'), '', 'JXC', '克', '咸，温。归肝、脾，肾经。', '理气止痛，温肾助阳。', '1．胸胁、脘腹胀痛。\n2．阳痿、腰膝冷痛、尿频。', '', '3', '【用法用量】煎服，3～9g。入丸、散剂服，1．5～3g。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('231', '刀豆', (select PK_ID from SYNDROME_SUBJECT where NAME = '理气'), '', 'DD', '克', '甘，温。归胃、肾经。', '降气止呃，温肾助阳。', '1．呃逆，呕吐。\n2．肾虚腰痛。', '', '6', '【用法用量】煎服，6～9g。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('232', '柿蒂', (select PK_ID from SYNDROME_SUBJECT where NAME = '理气'), '', 'SD', '克', '苦、涩，平。归胃经。', '降气止呃。', '呃逆证。', '', '3', '【用法用量】煎服，4．5～9g。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('233', '山楂', (select PK_ID from SYNDROME_SUBJECT where NAME = '消食'), '', 'SZ', '克', '酸、甘，微温。归脾、胃、肝经。', '消食化积，行气散瘀。', '1．饮食积滞证。\n2．泻痢腹痛，疝气痛。\n3．瘀阻胸腹痛，痛经。\n', '', '4', '【用法用量】煎服，10～15g，大剂量30g。生山楂、炒山楂多用于消食散瘀，焦山楂、山楂炭多用于止泻痢。\n【使用注意】脾胃虚弱而无积滞者或胃酸分泌过多者均慎用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('234', '神曲', (select PK_ID from SYNDROME_SUBJECT where NAME = '消食'), '', 'SQ', '克', '甘、辛，温。归脾、胃经。', '消食和胃。', '饮食积滞证。', '', '3', '为面粉和其他药物混合后经发酵而成的加工品。全国各地均有生产。其制法是：取较大量面粉或麸 皮、与杏仁泥、赤小豆粉、以及鲜青蒿、鲜苍耳、鲜辣蓼自然汁，混合拌匀，使干湿适宜，放入筐内，复以麻叶或楮叶，保温发酵一周，长出黄菌丝时取出，切成小块，晒干即成。生用或炒用。\n【用法用量】煎服，6～15g。消食宜炒焦用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('235', '麦芽', (select PK_ID from SYNDROME_SUBJECT where NAME = '消食'), '', 'MY', '克', '甘，平。归脾、胃、肝经。', '消食健胃，回乳消胀。', '1．米面薯芋食滞证。\n2．断乳、乳房胀痛。', '', '4', '【用法用量】煎服，10～15g，大剂量30～120g。生麦芽功偏消食健胃；炒麦芽多用于回乳消胀。\n【使用注意】授乳期妇女不宜使用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('236', '稻芽', (select PK_ID from SYNDROME_SUBJECT where NAME = '消食'), '', 'DY', '克', '甘，温。归脾、胃经。', '消食和中，健脾开胃。', '米面薯芋食滞证及脾虚食少消化不良。', '麦芽', '3', '【用法用量】煎服，9～15g。生用长于和中；炒用偏于消食。\n【鉴别用药】稻芽、麦芽均具消食和中，健胃之功，主治米面薯芋类食滞证及脾虚食少等。但麦芽消食健胃力较强；而稻芽力较弱，故稻芽更宜于轻证，或病后脾虚者。但二药临床常相须为用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('237', '莱菔子', (select PK_ID from SYNDROME_SUBJECT where NAME = '消食'), '', 'LFZ', '克', '辛、甘，平。归肺、脾、胃经。', '消食除胀，降气化痰。', '1．食积气滞证。\n2．咳喘痰多，胸闷食少。', '', '4', '【用法用量】煎服，6～10g。生用吐风痰，炒用消食下气化痰。\n【使用注意】本品辛散耗气，故气虚及无食积、痰滞者慎用。不宜与人参同用。\n【鉴别用药】莱菔子、山楂均有良好的消食化积之功，主治食积证。但山楂长于消积化滞，主治肉食积滞；而莱菔子尤善消食行气消胀，主治食积气滞证。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('238', '鸡内金', (select PK_ID from SYNDROME_SUBJECT where NAME = '消食'), '', 'JNJ,JLJ', '克', '甘，平。归脾、胃、小肠、膀胱经。', '消食健胃，涩精止遗。', '1．饮食积滞，小儿疳积。\n2．肾虚遗精、遗尿。\n3．砂石淋证，胆结石。', '', '3', '【用法用量】煎服，3～10g ；研未服，每次1.5～3g。研未服效果比煎剂好。\n【使用注意】脾虚无积滞者慎用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('239', '鸡矢藤', (select PK_ID from SYNDROME_SUBJECT where NAME = '消食'), '', 'JST', '克', '甘、苦，微寒。归脾、胃、肝、肺经。', '消食健胃，化痰止咳，清热解毒，止痛。', '1．饮食积滞、小儿疳积。\n2．热痰咳嗽。\n3．热毒泻痢，咽喉肿痛，痈疮疖肿，烫火伤等。\n4．胃肠疼痛，胆绞痛，肾绞痛，痛经，分娩疼痛，神经痛以及各种外伤、骨折、手术后疼痛等。', '', '3', '【用法用量】煎服，15～60g 。外用适量，捣敷或煎水洗。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('240', '隔山消', (select PK_ID from SYNDROME_SUBJECT where NAME = '消食'), '', 'GSX', '克', '甘、苦，平。归脾、胃、肝经。', '消食健胃，理气止痛，催乳。', '1．饮食积滞证。\n2．脘腹胀痛。\n3．乳汁不下或不畅。', '', '6', '【用法用量】煎服，9～15g；研未服，1～3g。研未吞服比煎服效果好。\n【使用注意】过量服用易引起中毒。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('241', '阿魏', (select PK_ID from SYNDROME_SUBJECT where NAME = '消食'), '', 'AW', '克', '苦、辛，温。归肝、脾、胃经。', '化癥散痞，消积，杀虫。', '1．癥瘕、痞块。\n2．肉食积滞。', '', '3', '【用法用量】内服，1～1.5g，多入丸、散，不宜入煎剂。外用适量，多入膏药。\n【使用注意】脾胃虚弱及孕妇忌用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('242', '使君子', (select PK_ID from SYNDROME_SUBJECT where NAME = '驱虫'), '', 'SJZ', '克', '甘，温。归脾、胃经。', '杀虫消积。', '1．蛔虫病，蛲虫病。\n2．小儿疳疾。', '', '4', '【用法用量】煎服，9~12g，捣碎；取仁炒香嚼服，6~9g。小儿每岁1~1.5粒，一日总量不超过20粒。空腹服用，每日1次，连用3天。\n【使用注意】大量服用可致呃逆、眩晕、呕吐、腹泻等反应。若与热茶同服，亦能引起呃逆、腹泻，故服用时当忌饮茶。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('243', '苦楝皮', (select PK_ID from SYNDROME_SUBJECT where NAME = '驱虫'), '', 'KLP', '克', '苦，寒。有毒。归肝、脾、胃经。', '杀虫，疗癣。', '1．蛔虫，蛲虫，钩虫等病。\n2．疥癣，湿疮。', '', '8', '【用法用量】煎服，4.5~9g。鲜品15~30g。外用适量。\n【使用注意】本品有毒，不宜过量或持续久服。有效成分难溶于水，需文火久煎。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('244', '槟榔', (select PK_ID from SYNDROME_SUBJECT where NAME = '驱虫'), '大腹子', 'BL,DFZ', '枚', '苦，辛，温。归胃、大肠经。', '杀虫消积，行气，利水，截疟。', '1．多种肠道寄生虫病。\n2．食积气滞，泻痢后重。\n3．水肿，脚气肿痛。\n4．疟疾。', '', '3', '【用法用量】煎服，3~10g。驱绦虫、姜片虫30~60g。生用力佳，炒用力缓；鲜者优于陈久者。\n【使用注意】脾虚便溏或气虚下陷者忌用；孕妇慎用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('245', '南瓜子', (select PK_ID from SYNDROME_SUBJECT where NAME = '驱虫'), '', 'NGZ,LGZ', '克', '甘，平。归胃、大肠经。', '杀虫。', '绦虫病。', '', '3', '【用法用量】研粉，60~120g。冷开水调服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('246', '鹤草芽', (select PK_ID from SYNDROME_SUBJECT where NAME = '驱虫'), '', 'HCY', '克', '苦、涩，凉。归肝、小肠、大肠经。', '杀虫。', '绦虫病。', '', '4', '【用法用量】研粉吞服，每日30~45g，小儿0.7~0.8g/kg，每日1次，早起空腹服。\n【使用注意】不宜入煎剂，因有效成分几乎不溶于水，遇热易被破坏。服药后偶见恶心、呕吐、腹泻、头晕、出汗等反应。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('247', '雷丸', (select PK_ID from SYNDROME_SUBJECT where NAME = '驱虫'), '', 'LW', '克', '微苦，寒。有小毒。归胃、大肠经。', '杀虫消积。', '1．绦虫病，钩虫病，蛔虫病。\n2．小儿疳积。', '', '5', '【用法用量】入丸、散，15~21g。一次5~7g，饭后用温开水调服，一日3次，连服3天。\n【使用注意】不宜入煎剂。因本品含蛋白酶，加热60℃左右即易于破坏而失效。有虫积而脾胃虚寒者慎服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('248', '鹤虱', (select PK_ID from SYNDROME_SUBJECT where NAME = '驱虫'), '', 'HS', '克', '苦、辛、平。有小毒。归脾、胃经。', '杀虫消积。', '1．虫积腹痛。\n2．小儿疳疾。', '', '5', '【用法用量】煎服，3~10g，或入丸、散。外用适量。\n【使用注意】本品有小毒，服后可有头晕、恶心、耳鸣、腹痛等反应，故孕妇、腹泻者忌用；又南鹤虱有抗生育作用，孕妇忌用。\n【鉴别用药】据考证，唐代以山道年头状花序作鹤虱用，驱虫功效确实，但毒性大；宋代改用天名精子作驱虫之剂，属小毒之品；清代民间则以野胡萝卜子作为鹤虱药用。另外，近代华南鹤虱在昆明、广东、新疆等地区使用；东北鹤虱仅东北三省习用。四种鹤虱均有驱蛔作用，但以南鹤虱驱蛔力较强，毒性小，应用范围广，已成为鹤虱主流商品；北鹤虱驱蛔作用次之，毒副作用较大；华南鹤虱与东北鹤虱驱蛔作用则较弱。此外，鹤虱风乃野胡萝卜的全草，亦属杀虫之品，并兼解毒消肿，消气祛痰之效。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('249', '胡萝卜子', (select PK_ID from SYNDROME_SUBJECT where NAME = '驱虫'), '萝卜子', 'HLBZ,LBZ', '克', '味苦；辛；性温.\n归脾；肾经.', '燥湿散寒；利水杀虫。', '主久痢；久泻；虫积；水种；宫冷腹痛.', '鹤虱', '3', '【用法用量】内服：煎汤， 3-9g；或入丸、散。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('250', '榧子', (select PK_ID from SYNDROME_SUBJECT where NAME = '驱虫'), '', 'FZ', '克', '甘，平。归肺、胃、大肠经。', '杀虫消积，润肠通便，润肺止咳。', '1．虫积腹痛。\n2．肠燥便秘。\n3．肺燥咳嗽。', '', '3', '【用法用量】煎服，10~15g。炒熟嚼服，一次用15g。\n【使用注意】入煎服宜生用。大便溏薄，肺热咳嗽者不宜用。服榧子时，不宜食绿豆，以免影响疗效。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('251', '芜荑', (select PK_ID from SYNDROME_SUBJECT where NAME = '驱虫'), '', 'WY', '克', '辛、苦，温。归脾、胃经。', '杀虫消积。', '1．虫积腹痛。\n2．小儿疳积。', '', '3', '【用法用量】煎服，3~10g。入丸、散，每次2~3g。外用适量，研末调敷。\n【使用注意】脾胃虚弱者、肺及脾燥热者忌服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('252', '小蓟', (select PK_ID from SYNDROME_SUBJECT where NAME = '__止血'), '', 'XJ', '克', '甘、苦，凉。归心、肝经。', '凉血止血，散瘀解毒消痈。', '1．血热出血证。\n2．热毒痈肿。', '', '2', '【用法用量】煎服，10～15g，鲜品加倍。外用适量，捣敷患处。\n');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('253', '大蓟', (select PK_ID from SYNDROME_SUBJECT where NAME = '__止血'), '', 'DJ', '克', '甘、苦，凉。归心、肝经。', '凉血止血，散瘀解毒消痈。', '1．血热出血证。\n2．热毒痈肿。', '小蓟', '3', '【用法用量】煎服，10～15g，鲜品可用30～60g。外用适量，捣敷患处。\n【鉴别用药】大、小二蓟，首载于《名医别录》，因其性状、功用有相似之处，故大小蓟常混称。至《证类本草》、《救荒本草》、《本草纲目》才逐渐将其区别开来。二者均能凉血止血，散瘀解毒消痈，广泛用治血热出血诸证及热毒疮疡。然大蓟散瘀消痈力强，止血作用广泛，故对吐血、咯血及崩漏下血尤为适宜；小蓟兼能利尿通淋，故以治血尿、血淋为佳。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('254', '地榆', (select PK_ID from SYNDROME_SUBJECT where NAME = '__止血'), '', 'DY', '克', '苦、酸、涩，微寒。归肝、大肠经。', '凉血止血，解毒敛疮。', '1．血热出血证。\n2．烫伤、湿疹、疮疡痈肿。', '', '3', '【用法用量】煎服，10～15g，大剂量可用至30g；或入丸、散。外用适量。止血多炒炭用，解毒敛疮多生用。\n【使用注意】本品性寒酸涩，凡虚寒性便血、下痢、崩漏及出血有瘀者慎用。对于大面积烧伤病人，不宜使用地榆制剂外涂，以防其所含鞣质被大量吸收而引起中毒性肝炎。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('255', '槐花', (select PK_ID from SYNDROME_SUBJECT where NAME = '__止血'), '', 'HH', '克', '苦，微寒。归肝、大肠经。', '凉血止血，清肝泻火。', '1．血热出血证。\n2．目赤、头痛。', '', '3', '【用法用量】煎服，10～15g。外用适量。止血多炒炭用，清热泻火宜生用。\n【使用注意】脾胃虚寒及阴虚发热而无实火者慎用。\n【鉴别用药】地榆、槐花均能凉血止血，用治血热妄行之出血诸证，因其性下行，故以治下部出血证为宜。然地榆凉血之中兼能收涩，凡下部之血热出血，诸如便血、痔血、崩漏、血痢等皆宜；槐花无收涩之性，其止血功在大肠，故以治便血、痔血为佳。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('256', '侧柏叶', (select PK_ID from SYNDROME_SUBJECT where NAME = '__止血'), '', 'CBY', '克', '苦、涩，寒。归肺、肝、脾经。', '凉血止血，化痰止咳，生发乌发。', '1．血热出血证。\n2．肺热咳嗽。\n3．脱发、须发早白。', '', '3', '【用法用量】煎服，10～15g。外用适量。止血多炒炭用，化痰止咳宜生用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('257', '白茅根', (select PK_ID from SYNDROME_SUBJECT where NAME = '__止血'), '', 'BMG', '克', '甘，寒。归肺、胃、膀胱经。', '凉血止血，清热利尿，清肺胃热。', '1．血热出血证。\n2．水肿、热淋、黄疸。\n3．胃热呕吐、肺热咳喘。', '芦根', '3', '【用法用量】煎服，15～30g，鲜品加倍，以鲜品为佳，可捣汁服。多生用，止血亦可炒炭用。\n【鉴别用药】白茅根、芦根均能清肺胃热而利尿，治疗肺热咳嗽、胃热呕吐和小便淋痛，且常相须为用。然白茅根偏入血分，以凉血止血见长；而芦根偏入气分，以清热生津为优。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('258', '苎麻根', (select PK_ID from SYNDROME_SUBJECT where NAME = '__止血'), '', 'ZMG', '克', '甘，寒。归心、肝经。', '凉血止血，安胎，清热解毒。', '1．血热出血证。\n2．胎动不安、胎漏下血。\n3．热毒痈肿。', '', '3', '【用法用量】煎服，10～30g；鲜品30～60g，捣汁服。外用适量，煎汤外洗，或鲜品捣敷。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('259', '羊蹄', (select PK_ID from SYNDROME_SUBJECT where NAME = '__止血'), '', 'YT', '克', '苦、涩，寒。归心、肝、大肠经。', '凉血止血，解毒杀虫，泻下。', '1．血热出血证。\n2．疥癣、疮疡、烫伤。\n3．大便秘结。', '', '3', '【用法用量】煎服，10～15g；鲜品30～50g，也可绞汁去渣服用。外用适量。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('260', '三七', (select PK_ID from SYNDROME_SUBJECT where NAME = '__止血'), '', 'SQ', '克', '甘、微苦，温。归肝、胃经。', '化瘀止血，活血定痛。', '1．出血证。\n2．跌打损伤，瘀血肿痛。', '', '3', '【用法用量】多研末吞服，1～1.5g；煎服，3～10g，亦入丸、散。外用适量，研末外掺或调敷。\n【使用注意】孕妇慎用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('261', '茜草', (select PK_ID from SYNDROME_SUBJECT where NAME = '__止血'), '', 'QC,XC', '克', '苦，寒。归肝经。', '凉血化瘀止血，通经。', '1．出血证。\n2．血瘀经闭、跌打损伤，风湿痹痛。', '', '3', '【用法用量】煎服，10～15g，大剂量可用30g。亦入丸、散。止血炒炭用，活血通经生用或酒炒用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('262', '蒲黄', (select PK_ID from SYNDROME_SUBJECT where NAME = '__止血'), '', 'PH', '克', '甘，平。归肝、心包经。', '止血，化瘀，利尿。', '1．出血证。\n2．瘀血痛证。\n3．血淋尿血。', '', '3', '【用法用量】煎服，3～10g，包煎。外用适量，研末外掺或调敷。止血多炒用，化瘀、利尿多生用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('263', '花蕊石', (select PK_ID from SYNDROME_SUBJECT where NAME = '__止血'), '', 'HRS', '克', '酸、涩，平。归肝经。', '化瘀止血。', '出血证。', '', '3', '【用法用量】煎服，10～15g；研末吞服，每次1～1.5g，包煎。外用适量，研末外掺或调敷。\n【使用注意】孕妇忌用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('264', '降香', (select PK_ID from SYNDROME_SUBJECT where NAME = '__止血'), '', 'JX', '克', '辛，温。归肝、脾经。', '化瘀止血，理气止痛。', '1．出血证。\n2．胸胁疼痛、跌损瘀痛。\n3．呕吐腹痛。', '', '3', '【用法用量】煎服，3～6g，宜后下；研末吞服，每次1～2g。外用适量，研末外敷。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('265', '白及', (select PK_ID from SYNDROME_SUBJECT where NAME = '__止血'), '', 'BJ', '克', '苦、甘、涩，寒。归肺、胃、肝经。', '收敛止血，消肿生肌。', '1．出血证。\n2．痈肿疮疡、手足皲裂、水火烫伤。', '', '3', '【用法用量】煎服，3～10g；大剂量可用至30g；亦可入丸、散，入散剂，每次用2～5g；研末吞服，每次1.5～3g。外用适量。\n【使用注意】不宜于乌头类药材同用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('266', '仙鹤草', (select PK_ID from SYNDROME_SUBJECT where NAME = '__止血'), '', 'XHC', '克', '苦、涩，平。归心、肝经。', '收敛止血，止痢，截疟，补虚。', '1．出血证。\n2．腹泻、痢疾。\n3．疟疾寒热。\n4．脱力劳伤。', '', '3', '【用法用量】煎服，3～10g；大剂量可用至30～60g 。外用适量。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('267', '紫珠', (select PK_ID from SYNDROME_SUBJECT where NAME = '__止血'), '', 'ZZ', '克', '苦、涩，凉。归肝、肺、胃经。', '凉血收敛止血，清热解毒。', '1．出血证。\n2．烧烫伤、热毒疮疡。\n', '', '3', '【用法用量】煎服，10～15g；研末1.5～3g 。外用适量。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('268', '棕榈炭', (select PK_ID from SYNDROME_SUBJECT where NAME = '__止血'), '', 'ZLT,ZNT', '克', '苦、涩，平。归肝、肺、大肠经。', '收敛止血。', '出血证。', '', '3', '【用法用量】煎服，3～10g；研末服1～1.5g 。\n【使用注意】出血兼有瘀滞，湿热下痢初起者慎用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('269', '血余炭', (select PK_ID from SYNDROME_SUBJECT where NAME = '__止血'), '', 'XYT', '克', '苦，平。归肝、胃经。', '收敛止血，化瘀利尿。', '1．出血证。\n2．小便不利。', '', '3', '【用法用量】煎服，6～10g；研末服1.5～3g 。外用适量。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('270', '藕节', (select PK_ID from SYNDROME_SUBJECT where NAME = '__止血'), '', 'OJ', '克', '甘、涩，平。归肝、肺、胃经。', '收敛止血。', '出血证。', '', '3', '【用法用量】煎服，10～15g，大剂量可用至30g；鲜品30～60g，捣汁饮用。亦可入丸、散。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('271', '檵木', (select PK_ID from SYNDROME_SUBJECT where NAME = '__止血'), '', 'JM', '克', '苦、涩，平。归肝、胃、大肠经。', '收敛止血，清热解毒，止泻。', '1．出血证。\n2．水火烫伤。\n3．泄泻、痢疾。', '', '3', '【用法用量】煎服，花6～10g，茎叶15～30g，根30～60g，鲜品加倍。外用适量。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('272', '艾叶', (select PK_ID from SYNDROME_SUBJECT where NAME = '__止血'), '', 'AY', '克', '辛、苦，温。有小毒。归肝、脾、肾经。', '温经止血，散寒调经，安胎。', '1．出血证。\n2．月经不调、痛经。\n3．胎动不安。', '', '3', '【用法用量】煎服，3～10g。外用适量。温经止血宜炒炭用，余生用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('273', '炮姜', (select PK_ID from SYNDROME_SUBJECT where NAME = '__止血'), '', 'PJ', '克', '苦、涩，温。归脾、肝经。', '温经止血，温中止痛。', '1．出血证。\n2．腹痛、腹泻。\n', '', '3', '【用法用量】煎服，3～6g。\n【鉴别用药】生姜、干姜和炮姜本为一物，均能温中散寒，适用于脾胃寒证。由于鲜干质量不同与炮制不同，其性能亦异。生姜长于散表寒，又为呕家之圣药；干姜偏于祛里寒，为温中散寒之至药；炮姜善走血分，长于温经而止血。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('274', '灶心土', (select PK_ID from SYNDROME_SUBJECT where NAME = '__止血'), '', 'ZXT', '克', '辛，温。归脾、胃经。', '温中止血，止呕，止泻。', '1．出血证。\n2．胃寒呕吐。\n3．脾虚久泻。', '', '3', '【用法用量】煎服，15～30g，布包，先煎；或60～120g，煎汤代水。亦可入丸、散。外用适量。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('275', '川芎', (select PK_ID from SYNDROME_SUBJECT where NAME = '__活血祛瘀'), '', 'CX', '克', '辛，温。归肝、胆、心包经。', '活血行气，祛风止痛。', '1．血瘀气滞痛证。\n2．头痛，风湿痹痛。', '', '2', '【用法用量】煎服，3～9g。\n【使用注意】阴虚火旺，多汗，热盛及无瘀之出血证和孕妇慎用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('276', '延胡索', (select PK_ID from SYNDROME_SUBJECT where NAME = '__活血祛瘀'), '', 'YHS', '克', '辛、苦，温。归心、肝、脾经。', '活血，行气，止痛。', '用于气血瘀滞之痛证。', '', '3', '【用法用量】煎服，3～10g。研粉吞服，每次1～3g。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('277', '郁金', (select PK_ID from SYNDROME_SUBJECT where NAME = '__活血祛瘀'), '', 'YJ', '克', '辛、苦，寒。归肝、胆、心经。', '活血止痛，行气解郁，清心凉血，利胆退黄。', '1．气滞血瘀之胸、胁、腹痛。\n2．热病神昏，癫痫痰闭。\n3．吐血、衄血、倒经、尿血、血淋。\n4．肝胆湿热黄疸、胆石症。', '香附', '3', '【用法用量】煎服，5～12g；研末服，2～5g。\n【使用注意】畏丁香。\n【鉴别用药】香附与郁金均能疏肝解郁，可用于肝气郁结之证。然香附药性偏温，专入气分，善疏肝行气，调经止痛，长于治疗肝郁气滞之月经不调；而郁金药性偏寒，既入血分，又入气分，善活血止痛，行气解郁，长于治疗肝郁气滞血瘀之痛证。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('278', '姜黄', (select PK_ID from SYNDROME_SUBJECT where NAME = '__活血祛瘀'), '', 'JH', '克', '辛、苦，温。归肝、脾经。', '活血行气，通经止痛。', '1．气滞血瘀所致的心、胸、胁、腹诸痛。\n2．风湿痹痛。', '', '3', '【用法用量】煎服，3～10g。外用适量。\n【使用注意】血虚无气滞血瘀者慎用，孕妇忌用。\n【鉴别用药】郁金、姜黄为同一植物的不同药用部位，均能活血散瘀、行气止痛，用于气滞血瘀之证。但姜黄药用其根茎，辛温行散，祛瘀力强，以治寒凝气滞血瘀之证为好，且可祛风通痹而用于风湿痹痛。郁金药用块根，苦寒降泄，行气力强，且凉血，以治血热瘀滞之证为宜，又能利胆退黄，清心解郁而用于湿热黄疸、热病神昏等证。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('279', '乳香', (select PK_ID from SYNDROME_SUBJECT where NAME = '__活血祛瘀'), '', 'RX', '克', '辛、苦，温。归心、肝、脾经。', '活血行气止痛，消肿生肌。', '1．跌打损伤、疮疡痈肿。\n2．气滞血瘀之痛证。', '', '4', '【用法用量】煎服，3～10g，宜炒去油用。外用适量，生用或炒用，研末外敷。\n【使用注意】胃弱者慎用，孕妇及无瘀滞者忌用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('280', '没药', (select PK_ID from SYNDROME_SUBJECT where NAME = '__活血祛瘀'), '', 'MY', '克', '辛、苦，平。归心、肝、脾经。', '活血止痛，消肿生肌。', '治疗跌打损伤瘀滞疼痛，痈疽肿痛，疮疡溃后久不收口以及一切瘀滞痛证。', '乳香', '4', '【用法用量】煎服，3—10g。外用适量。\n【使用注意】胃弱者慎用，孕妇及无瘀滞者忌用。\n【鉴别用药】没药的功效主治与乳香相似。常与乳香相须为用。区别在于乳香偏于行气、伸筋，治疗痹证多用。没药偏于散血化瘀，治疗血瘀气滞较重之胃痛多用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('281', '五灵脂', (select PK_ID from SYNDROME_SUBJECT where NAME = '__活血祛瘀'), '', 'WLZ', '克', '苦、咸、甘，温。归肝经。', '活血止痛，化瘀止血。', '1．瘀血阻滞之痛证。\n2．瘀滞出血证。', '', '4', '【用法用量】煎服，3～10g，宜包煎。\n【使用注意】血虚无瘀及孕妇慎用。“十九畏”认为人参畏五灵脂，一般不宜同用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('282', '夏天无', (select PK_ID from SYNDROME_SUBJECT where NAME = '__活血祛瘀'), '', 'XTW', '克', '苦、微辛，温。归肝经。', '活血止痛，舒筋通络，祛风除湿。', '1．中风半身不遂、跌仆损伤及肝阳头痛。\n2．风湿痹痛，关节拘挛不利。', '', '3', '【用法用量】煎服，5～15g。或研末服，1～3g。亦可制成丸剂使用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('283', '枫香脂', (select PK_ID from SYNDROME_SUBJECT where NAME = '__活血祛瘀'), '', 'FXZ', '克', '辛、微苦，平。归肺、脾经。', '活血止痛，止血，解毒，生肌。', '1．风湿痹痛，跌打损伤。\n2．血热吐衄。\n3．瘰疬、痈疽肿痛。\n4．臁疮不愈。', '', '3', '【用法用量】1.5—3g，宜如丸、散剂。外用适量。\n【使用注意】孕妇忌服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('284', '丹参', (select PK_ID from SYNDROME_SUBJECT where NAME = '__活血祛瘀'), '', 'DS', '克', '苦，微寒。归心、心包、肝经。', '活血调经，祛瘀止痛，凉血消痈，除烦安神。', '1．月经不调，闭经痛经，产后瘀滞腹痛。\n2．血瘀心痛、脘腹疼痛、癥瘕积聚、跌打损伤及风湿痹证。\n3．疮痈肿毒。\n4．热病烦躁神昏及心悸失眠。', '', '4', '【用法用量】煎服，5～15g。活血化瘀宜酒炙用。\n【使用注意】反藜芦。孕妇慎用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('285', '红花', (select PK_ID from SYNDROME_SUBJECT where NAME = '__活血祛瘀'), '', 'HH', '克', '辛，温。归心、肝经。', '活血通经、祛瘀止痛。', '1．血滞经闭、痛经、产后瘀滞腹痛。\n2．癥瘕积聚。\n3．胸痹心痛、血瘀腹痛、胁痛。\n4．跌打损伤，瘀滞肿痛。\n5．瘀滞斑疹色暗。', '', '6', '【用法用量】煎服，3～10g。外用适量。\n【使用注意】孕妇忌用。有出血倾向者慎用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('286', '桃仁', (select PK_ID from SYNDROME_SUBJECT where NAME = '__活血祛瘀'), '', 'TR', '克', '苦、甘，平。有小毒。归心、肝、大肠经。', '活血祛瘀，润肠通便，止咳平喘。', '1．瘀血阻滞病证。\n2．肺痈、肠痈。\n3．肠燥便秘。\n4．咳嗽气喘。', '', '8', '【用法用量】煎服，5～10g，捣碎用；桃仁霜入汤剂宜包煎。\n【使用注意】孕妇忌用。便溏者慎用。本品有毒，不可过量。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('287', '益母草', (select PK_ID from SYNDROME_SUBJECT where NAME = '__活血祛瘀'), '', 'YMC', '克', '辛、苦，微寒。归心、肝、膀胱经。', '活血调经，利水消肿，清热解毒。', '1．血滞经闭、痛经、经行不畅、产后恶露不尽、瘀滞腹痛。\n2．水肿，小便不利。\n3．跌打损伤，疮痈肿毒，皮肤瘾疹。', '', '5', '【用法用量】10～30g，煎服；或熬膏，入丸剂。外用适量捣敷或煎汤外洗。\n【使用注意】无瘀滞及阴虚血少者忌用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('288', '泽兰', (select PK_ID from SYNDROME_SUBJECT where NAME = '__活血祛瘀'), '', 'ZL', '克', '苦、辛，微温。归肝、脾经。', '活血调经，祛瘀消痈，利水消肿。', '1．血瘀经闭、痛经、产后瘀滞腹痛。\n2．跌打损伤，瘀肿疼痛及疮痈肿毒。\n3．水肿、腹水。', '益母草', '3', '【用法用量】煎服，10—15g。外用适量。\n【使用注意】血虚及无瘀滞者慎用。\n【鉴别用药】益母草、泽兰均能活血调经、祛瘀消痈、利水消肿，常用于妇科经产血瘀病证及跌打损伤、瘀肿疼痛、疮痈肿毒、水肿等证。然益母草辛散苦泄之力较强，性寒又能清热解毒，其活血、解毒、利水作用较泽兰为强，临床应用亦更广。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('289', '牛膝', (select PK_ID from SYNDROME_SUBJECT where NAME = '__活血祛瘀'), '', 'NQ,LQ', '克', '苦、甘、酸，平。归肝、肾经。', '活血通经，补肝肾，强筋骨，利水通淋，引火（血）下行。', '1．瘀血阻滞之经闭、痛经、经行腹痛、胞衣不下及跌扑伤痛。\n2．腰膝酸痛、下肢痿软。\n3．淋证、水肿、小便不利。\n4．火热上炎，阴虚火旺之头痛、眩晕、齿痛、口舌生疮、吐血、衄血。', '', '3', '【用法用量】煎服，6～15g。活血通经、利水通淋、引火（血）下行宜生用；补肝肾、强筋骨宜酒炙用。\n【使用注意】本品为动血之品，性专下行，孕妇及月经过多者忌服。中气下陷，脾虚泄泻，下元不固，多梦遗精者慎用。\n【鉴别用药】牛膝有川牛膝和怀牛膝之分。两者均能活血通经、补肝肾、强筋骨、利尿通淋、引火（血）下行。但川牛膝长于活血通经，怀牛膝长于补肝肾、强筋骨。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('290', '鸡血藤', (select PK_ID from SYNDROME_SUBJECT where NAME = '__活血祛瘀'), '', 'JXT', '克', '苦、微甘，温。归肝、肾经。', '行血补血，调经，舒筋活络。', '1．月经不调、痛经、闭经。\n2．风湿痹痛，手足麻木，肢体瘫痪及血虚萎黄。', '', '3', '【用法用量】煎服，10～30g。或浸酒服，或熬膏服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('291', '王不留行', (select PK_ID from SYNDROME_SUBJECT where NAME = '__活血祛瘀'), '', 'WBLX', '克', '苦，平。归肝、胃经。', '活血通经，下乳消痈，利尿通淋。', '1．血瘀经闭、痛经、难产。\n2．产后乳汁不下，乳痈肿痛。\n3．热淋、血淋、石淋。', '', '4', '【用法用量】煎服，5—10g。外用适量。\n【使用注意】孕妇慎用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('292', '月季花', (select PK_ID from SYNDROME_SUBJECT where NAME = '__活血祛瘀'), '', 'YJH', '克', '甘、淡、微苦，平。归肝经。', '活血调经，疏肝解郁，消肿解毒。', '1．肝血郁滞之月经不调、痛经、闭经及胸胁胀痛。\n2．跌打损伤，瘀肿疼痛，痈疽肿毒，瘰疬。', '', '4', '【用法用量】煎服，2～5g，不宜久煎。亦可泡服，或研末服。外用适量。\n【使用注意】用量不宜过大，多服久服可引起腹痛及便溏腹泻。孕妇慎用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('293', '凌霄花', (select PK_ID from SYNDROME_SUBJECT where NAME = '__活血祛瘀'), '', 'LXH', '克', '辛，微寒。归肝、心包经。', '破瘀通经，凉血祛风。', '1．血瘀经闭、癥瘕积聚及跌打损伤。\n2．风疹、皮癣、皮肤瘙痒、痤疮。\n3．便血、崩漏。', '', '3', '【用法用量】煎服，3—10g。外用适量。\n【使用注意】孕妇忌用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('294', '土鳖虫', (select PK_ID from SYNDROME_SUBJECT where NAME = '__活血祛瘀'), '', 'TBC', '克', '咸，寒。有小毒。归肝经。', '破血逐瘀，续筋接骨。', '1．跌打损伤，筋伤骨折，瘀肿疼痛。\n2．血瘀经闭，产后瘀滞腹痛，积聚痞块。', '', '3', '【用法用量】煎服，3～10g；研末服，1～1.5g，黄酒送服。外用适量。\n【使用注意】孕妇忌服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('295', '马钱子', (select PK_ID from SYNDROME_SUBJECT where NAME = '__活血祛瘀'), '', 'MQZ', '克', '苦，寒。有大毒。归肝、脾经。', '散结消肿，通络止痛。', '1．跌打损伤，骨折肿痛。\n2．痈疽疮毒，咽喉肿痛。\n3．风湿顽痹，麻木瘫痪。', '', '9', '【用法用量】0.3—0.6g，炮制后入丸、散用。外用适量，研末调涂。\n【使用注意】内服不宜生用及多服久服。本品所含有毒成分能被皮肤吸收，故外用亦不宜大面积涂敷。孕妇禁用，体虚者忌用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('296', '自然铜', (select PK_ID from SYNDROME_SUBJECT where NAME = '__活血祛瘀'), '', 'ZRT', '克', '辛，平。归肝经。', '散瘀止痛，接骨疗伤。', '跌打损伤，骨折筋断，瘀肿疼痛。', '', '3', '【用法用量】煎服，10～15g。入丸、散，醋淬研末服每次0.3g。外用适量。\n【使用注意】不宜久服。凡阴虚火旺，血虚无瘀者慎用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('297', '苏木', (select PK_ID from SYNDROME_SUBJECT where NAME = '__活血祛瘀'), '', 'SM', '克', '甘、咸、辛，平。归心、肝经。', '活血疗伤，祛瘀通经。', '1．跌打损伤，骨折筋伤，瘀滞肿痛。\n2．血滞经闭，产后瘀阻腹痛，痛经，心腹疼痛，痈肿疮毒等。', '', '3', '【用法用量】煎服，3～10g。外用适量，研末撒敷。\n【使用注意】月经过多和孕妇忌用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('298', '骨碎补', (select PK_ID from SYNDROME_SUBJECT where NAME = '__活血祛瘀'), '', 'GSB,GCB', '克', '苦，温。归肝、肾经。', '活血续伤，补肾强骨。', '1．跌打损伤或创伤，筋骨损伤，瘀滞肿痛。\n2．肾虚腰痛脚弱，耳鸣耳聋，牙痛，久泄。', '', '3', '【用法用量】煎服，10～15g。外用适量，研末调敷或鲜品捣敷，亦可浸酒擦患处。\n【使用注意】阴虚火旺，血虚风燥慎用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('299', '血竭', (select PK_ID from SYNDROME_SUBJECT where NAME = '__活血祛瘀'), '', 'XJ', '克', '甘、咸，平。归肝经。', '活血定痛，化瘀止血，敛疮生肌。', '1．跌打损伤、瘀滞心腹疼痛。\n2．外伤出血。\n3．疮疡不敛。', '', '3', '【用法用量】内服：多入丸、散，研末服，每次1—2g。外用适量，研末外敷。\n【使用注意】无瘀血者不宜用，孕妇及月经期忌用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('300', '儿茶', (select PK_ID from SYNDROME_SUBJECT where NAME = '__活血祛瘀'), '', 'EC', '克', '苦、涩，凉。归心、肺经。', '活血疗伤，止血生肌，收湿敛疮，清肺化痰。', '1．跌打伤痛、出血。\n2．疮疡，湿疮，牙疳，下疳，痔疮。\n3．肺热咳嗽。', '', '3', '【用法用量】内服：1—3g ,多入丸、散；入煎剂可适当加量，宜布包。外用适量，研末撒或调敷。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('301', '刘寄奴', (select PK_ID from SYNDROME_SUBJECT where NAME = '__活血祛瘀'), '', 'LJN,LJL', '克', '苦，温。归心、肝、脾经。', '散瘀止痛，疗伤止血，破血通经，消食化积。', '1．跌打损伤，肿痛出血。\n2．血瘀经闭、产后瘀滞腹痛。\n3．食积腹痛、赤白痢疾。', '', '3', '【用法用量】煎服，3—10g。外用适量，研末撒或调敷，亦可鲜品捣烂外敷。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('302', '莪术', (select PK_ID from SYNDROME_SUBJECT where NAME = '__活血祛瘀'), '', 'EZ,ES,WS', '克', '辛、苦，温。归肝、脾经。', '破血行气，消积止痛。', '1．癥瘕积聚、经闭及心腹瘀痛。\n2．食积脘腹胀痛。', '', '4', '【用法用量】煎服，3～15g。醋制后可加强祛瘀止痛作用。外用适量。\n【使用注意】孕妇及月经过多者忌用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('303', '三棱', (select PK_ID from SYNDROME_SUBJECT where NAME = '__活血祛瘀'), '', 'SL', '克', '辛、苦，平。归肝、脾经。', '破血行气，消积止痛。', '1．癥瘕积聚、经闭及心腹瘀痛。\n2．食积脘腹胀痛。', '莪术', '3', '【用法用量】煎服，3～10g。醋制后可加强祛瘀止痛作用。\n【使用注意】孕妇及月经过多忌用。\n【鉴别用药】所治病证与莪术基本相同，常相须为用。然三棱偏于破血，莪术偏于破气。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('304', '水蛭', (select PK_ID from SYNDROME_SUBJECT where NAME = '__活血祛瘀'), '', 'SZ', '克', '咸、苦，平。有小毒。归肝经。', '破血通经，逐瘀消癥', '1．血瘀经闭，癥瘕积聚。\n2．跌打损伤，心腹疼痛。', '', '5', '【用法用量】煎服，1．5～3g；研末服，0.3—0.5g。以入丸、散或研末服为宜。或以鲜活者放置于瘀肿局部吸血消瘀。\n【使用注意】孕妇及月经过多者忌用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('305', '虻虫', (select PK_ID from SYNDROME_SUBJECT where NAME = '__活血祛瘀'), '', 'MC', '克', '苦，微寒。有小毒。归肝经。', '破血逐瘀，散积消癥。', '1．血瘀经闭，癥瘕积聚。\n2．跌打损伤，瘀滞肿痛。', '', '3', '【用法用量】煎服，1～1.5g，；研末服，0.3g。\n【使用注意】孕妇及体虚无瘀、腹泻者忌用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('306', '斑蝥', (select PK_ID from SYNDROME_SUBJECT where NAME = '__活血祛瘀'), '', 'BM', '克', '辛，热。有大毒。归肝、肾、胃经。', '破血逐瘀，散结消癥，攻毒蚀疮。', '1．癥瘕、经闭。\n2．痈疽恶疮，顽癣，瘰疬等。', '', '9', '【用法用量】内服多入丸、散，0.03—0.06。外用适量，研末敷贴，或酒、醋浸涂，或作发泡用。内服需以糯米同炒，或配青黛、丹参以缓其毒。\n【使用注意】本品有大毒，内服宜慎，应严格掌握剂量，体弱忌用，孕妇禁用。外用对皮肤、粘膜有很强的刺激作用，能引起皮肤发红、灼热、起泡，甚至腐烂，故不宜久敷和大面积使用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('307', '穿山甲', (select PK_ID from SYNDROME_SUBJECT where NAME = '__活血祛瘀'), '', 'CSJ', '克', '咸，微寒。归肝、胃经。', '活血消癥，通经，下乳，消肿排脓。', '1．癥瘕，经闭。\n2．风湿痹痛，中风瘫痪。\n3．产后乳汁不下。\n4．痈肿疮毒，瘰疬。', '', '4', '【用法用量】煎服，3～10g。研末吞服，每次1～1.5g。\n【使用注意】孕妇慎用。痈肿已溃者忌用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('308', '半夏', (select PK_ID from SYNDROME_SUBJECT where NAME = '__温化寒痰'), '', 'BX', '克', '辛，温。有毒。归脾、胃、肺经。', '燥湿化痰，降逆止呕，消痞散结；外用消肿止痛。', '1．湿痰，寒痰证。\n2．呕吐。\n3．心下痞，结胸，梅核气。半夏辛开散结，化痰消痞。\n4．瘿瘤，痰核，痈疽肿毒及毒蛇咬伤。', '', '5', '【用法用量】煎服，3～1Og，一般宜制过用。炮制品中有姜半夏、法半夏等，其中姜半夏长于降逆止呕，法半夏长于燥湿且温性较弱，半夏曲则有化痰消食之功，竹沥半夏，能清化热痰，主治热痰、风痰之证。外用适量。\n【使用注意】不宜于乌头类药材同用。其性温燥，阴虚燥咳，血证，热痰，燥痰应慎用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('309', '天南星', (select PK_ID from SYNDROME_SUBJECT where NAME = '__温化寒痰'), '', 'TNX,TLX', '克', '苦、辛，温。有毒。归肺、肝、脾经。', '燥湿化痰，祛风解痉；外用散结消肿。', '1．湿痰，寒痰证。\n2．风痰眩晕、中风、癫痫、破伤风。\n3．痈疽肿痛，蛇虫咬伤。', '半夏', '5', '【用法用量】煎服，3～l0g，多制用。外用适量。\n【使用注意】阴虚燥痰及孕妇忌用。\n【鉴别用药】半夏、天南星药性辛温有毒，均为燥湿化痰要药，善治湿痰、寒痰，炮制后又能治热痰、风痰。然半夏主入脾、肺，重在治脏腑湿痰，且能止呕。天南星则走经络，偏于祛风痰而能解痉止厥，善治风痰证。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('310', '胆南星', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清热化痰'), '', 'DNX,DLX', '克', '苦、微辛，凉。\n归肺、肝、脾经。', '清热化痰，息风定惊。', '用于痰热咳嗽，咯痰黄稠，中风痰迷，癫狂惊痫。', '', '3', '【用法用量】3～6g。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('311', '禹白附', (select PK_ID from SYNDROME_SUBJECT where NAME = '__温化寒痰'), '', 'YBF', '克', '辛、甘，温。有毒。归胃、肝经。', '祛风痰，止痉，止痛，解毒散结。', '1．中风痰壅，口眼喎斜、惊风癫痫、破伤风。\n2．痰厥头痛、眩晕。\n3．瘰疬痰核，毒蛇咬伤。', '', '8', '【用法用量】煎服，3～5克；研末服0．5～1克，宜炮制后用。外用适量。\n【使用注意】本品辛温燥烈，阴虚血虚动风或热盛动风者、孕妇均不宜用。生品一般不内服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('312', '白芥子', (select PK_ID from SYNDROME_SUBJECT where NAME = '__温化寒痰'), '', 'BJZ', '克', '辛，温。归肺、胃经。', '温肺化痰，利气，散结消肿。', '1．寒痰喘咳，悬饮。\n2．阴疽流注，肢体麻木，关节肿痛。', '', '5', '【用法用量】煎服，3～6g。外用适量，研末调敷，或作发泡用。\n【使用注意】本品辛温走散，耗气伤阴，久咳肺虚及阴虚火旺者忌用；消化道溃疡、出血者及皮肤过敏者忌用。用量不宜过大。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('313', '皂荚', (select PK_ID from SYNDROME_SUBJECT where NAME = '__温化寒痰'), '', 'ZJ', '克', '辛、咸，温。有小毒。归肺、大肠经。', '祛顽痰，通窍开闭，祛风杀虫。', '1．顽痰阻肺，咳喘痰多。\n2．中风、痰厥、癫痫、喉痹痰盛。\n', '', '8', '【用法用量】研末服，1～1．5g；亦可入汤剂，1．5～5g。外用适量。\n【使用注意】内服剂量不宜过大，以免引起呕吐、腹泻。辛散走窜之性强，非顽疾证实体壮者慎用。孕妇、气虚阴亏及有出血倾向者忌用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('314', '旋覆花', (select PK_ID from SYNDROME_SUBJECT where NAME = '__温化寒痰'), '', 'XFH', '克', '苦、辛、咸，微温。归肺、胃经。', '降气行水化痰，降逆止呕。', '1．咳喘痰多，痰饮蓄结，胸膈痞满。\n2．噫气，呕吐。', '', '3', '【用法用量】煎服，3～10g；布包。\n【使用注意】阴虚劳嗽，津伤燥咳者忌用；又因本品有绒毛，易刺激咽喉作痒而致呛咳呕吐，故须布包入煎。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('315', '白前', (select PK_ID from SYNDROME_SUBJECT where NAME = '__温化寒痰'), '', 'BQ', '克', '辛、苦，微温。归肺经。', '降气化痰。', '咳嗽痰多，气喘。', '', '3', '【用法用量】煎服，3～1Og；或入丸、散。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('316', '猫爪草', (select PK_ID from SYNDROME_SUBJECT where NAME = '__温化寒痰'), '', 'MZC', '克', '甘、辛，微温。归肝、肺经', '化痰散结，解毒消肿。', '1．瘰疬痰核。\n2．疔疮，蛇虫咬伤。', '', '3', '【用法用量】煎汤，9～15g。外用适量，捣敷或研末调敷。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('317', '贝母', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清热化痰'), '川贝母', 'BM,CBM', '克', '苦、甘，微寒。归肺、心经。', '清热化痰，润肺止咳，散结消肿。', '1．虚劳咳嗽，肺热燥咳。\n2．瘰疬、乳痈、肺痈。', '', '3', '【用法用量】煎服，3～10g；研未服1～2g。\n【使用注意】不宜于乌头类药材同用。脾胃虚寒及有湿痰者不宜用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('318', '浙贝母', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清热化痰'), '象贝', 'ZBM,XB', '克', '苦，寒。归肺、心经。', '清热化痰，散结消痈。', '1．风热、痰热咳嗽。\n2．瘰疬，瘿瘤，乳痈疮毒，肺痈。', '川贝母', '3', '【用法用量】煎服，3～10g。\n【使用注意】不宜于乌头类药材同用。脾胃虚寒及有湿痰者不宜用。\n【鉴别用药】《本草纲目》以前历代本草，皆统称贝母。至明《本草汇言》始有本品以“川者为妙”之说，清《轩岐救正论》才正式有浙贝母之名。川、 浙二贝之功，基本相同，但前者以甘味为主，性偏于润，肺热燥咳，虚劳咳嗽用之为宜；后者以苦味为主，性偏于泄，风热犯肺或痰热郁肺之咳嗽用之为宜。至于清热散结之功，川、浙二贝共有，但以浙贝为胜。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('319', '瓜蒌', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清热化痰'), '', 'GL', '克', '甘、微苦，寒。归肺、胃、大肠经。', '清热化痰，宽胸散结，润肠通便。', '1．痰热咳喘。\n2．胸痹、结胸。\n3．肺痈，肠痈，乳痈。\n4．肠燥便秘。', '', '3', '【用法用量】煎服，全瓜蒌1O～20g。瓜蒌皮 6～12g，瓜蒌仁1O～15g打碎入煎。\n【使用注意】本品甘寒而滑，脾虚便溏者及寒痰、湿痰证忌用。不宜于乌头类药材同用。\n【鉴别用药】本品入药又有全瓜蒌、瓜蒌皮、瓜蒌仁之分。瓜蒌皮之功，重在清热化痰，宽胸理气；瓜蒌仁之功重在润燥化痰，润肠通便；全瓜蒌则兼有瓜蒌皮、瓜蒌仁之功效。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('320', '竹茹', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清热化痰'), '', 'ZR', '克', '甘，微寒。归肺、胃经。', '清热化痰，除烦止呕。', '1．肺热咳嗽，痰热心烦不寐。\n2．胃热呕吐、妊娠恶阻。', '', '3', '【用法用量】煎服，6～10g。生用清化痰热，姜汁炙用止呕。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('321', '竹沥', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清热化痰'), '', 'ZL', '克', '甘，寒。归心、肺、肝经。', '清热豁痰，定惊利窍。', '1．痰热咳喘。\n2．中风痰迷，惊痫癫狂。', '竹茹', '3', '【用法用量】内服 30～50g，冲服。本品不能久藏，但可熬膏瓶贮，称竹沥膏；近年用安瓿瓶密封装置，可以久藏。\n【使用注意】本品性寒滑，对寒痰及便溏者忌用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('322', '天竺黄', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清热化痰'), '', 'TZH', '克', '甘，寒。归心、肝经。', '清热化痰，清心定惊。', '1．小儿惊风，中风癫痫，热病神昏。\n2．痰热咳喘。', '竹沥', '3', '【用法用量】煎服，3～6g；研粉冲服，每次0.6～1g。\n【鉴别用药】竹茹、竹沥、天竺黄均来源于竹，性寒，均可清热化痰，治痰热咳喘，竹沥、天竺黄又可定惊，用治热病或痰热而致的惊风，癫痫，中风昏迷，喉间痰鸣。天竺黄定惊之力尤胜，多用于小儿惊风，热病神昏；竹沥性寒滑利，清热涤痰力强，大人惊痫中风，肺热顽痰胶结难咯者多用；竹茹长于清心除烦，多用治痰热扰心的心烦，失眠。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('323', '前胡', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清热化痰'), '', 'QH', '克', '苦、辛，微寒。归肺经。', '降气化痰，疏散风热。', '1．痰热咳喘。\n2．风热咳嗽。', '', '3', '【用法用量】煎服，6～10g；或入丸、散。\n【鉴别用药】白前与前胡，均能降气化痰，治疗肺气上逆，咳喘痰多，常相须为用。但白前性温，祛痰作用较强，多用于内伤寒痰咳喘；前胡性偏寒，兼能疏散风热，尤多用于外感风热或痰热咳喘。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('324', '桔梗', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清热化痰'), '', 'JG', '克', '苦、辛，平。归肺经。', '宣肺，祛痰，利咽，排脓。', '1．咳嗽痰多，胸闷不畅。\n2．咽喉肿痛，失音。\n3．肺痈吐脓。', '', '5', '【用法用量】煎服，3～lOg；或入丸、散。\n【使用注意】本品性升散，凡气机上逆，呕吐、呛咳、眩晕、阴虚火旺咳血等不宜用，胃、十二指肠溃疡者慎服。用量过大易致恶心呕吐。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('325', '胖大海', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清热化痰'), '', 'PDH', '克', '甘，寒。归肺、大肠经。', '清肺化痰，利咽开音，润肠通便。', '1．用于肺热声哑，咽喉疼痛，咳嗽等。\n2．用于燥热便秘，头痛目赤。', '', '3', '【用法用量】2～4枚，沸水泡服或煎服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('326', '海藻', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清热化痰'), '', 'HZ', '克', '咸，寒。归肝、肾经。', '消痰软坚，利水消肿。', '1．瘿瘤、瘰疬、睾丸肿痛。\n2．痰饮水肿。', '', '3', '【用法用量】煎服，10～15g。\n【使用注意】传统认为反甘草。但临床也每有配伍同用者。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('327', '昆布', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清热化痰'), '', 'KB', '克', '咸，寒。归肝、肾经。', '消痰软坚，利水消肿。', '1．瘿瘤、瘰疬、睾丸肿痛。\n2．痰饮水肿。', '海藻', '3', '【用法用量】煎服，6～l2g。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('328', '黄药子', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清热化痰'), '', 'HYZ', '克', '苦，寒。有毒。归肺、肝经。', '化痰散结消瘿，清热解毒。', '1．瘿瘤。\n2．疮疡肿毒，咽喉肿痛，毒蛇咬伤。', '', '6', '【用法用量】煎服，5～15g；研末服，1～2g。外用，适量鲜品捣敷，或研末调敷，或磨汁涂。\n【使用注意】本品有毒，不宜过量。如多服、久服可引起吐泻腹痛等消化道反应，并对肝肾有一定损害，故脾胃虚弱及肝肾功能损害者慎用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('329', '海蛤壳', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清热化痰'), '', 'HGQ,HHQ', '克', '咸，寒。归肺、胃经。', '清肺化痰，软坚散结。', '1．肺热，痰热咳喘。\n2．瘿瘤、痰核。', '', '3', '【用法用量】煎服，10～15g；蛤粉宜包煎。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('330', '海浮石', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清热化痰'), '', 'HFS', '克', '咸，寒。归肺、肾经。', '清肺化痰，软坚散结，利尿通淋。', '1．痰热咳喘。\n2．瘰疬，瘿瘤。\n3．血淋、石淋。', '', '3', '【用法用量】煎服，10～15g。打碎先煎。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('331', '瓦楞子', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清热化痰'), '', 'WLZ', '克', '咸，平。归肺、胃、肝经。', '消痰软坚，化瘀散结，制酸止痛。', '1．瘰疬，瘿瘤。\n2．癥瘕痞块。', '', '3', '【用法用量】煎服，10～15g，宜打碎先煎。研末服，每次1～3g。生用消痰散结；煅用制酸止痛。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('332', '礞石', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清热化痰'), '', 'MS', '克', '咸，平。归肺、肝经。', '坠痰下气，平肝镇惊。', '1．气逆喘咳。\n2．癫狂，惊痫。', '', '3', '【用法用量】煎服，6～10g，宜打碎布包先煎。入丸、散1．5～3g。\n【使用注意】本品重坠性猛，非痰热内结不化之实证不宜使用。脾虚胃弱，小儿慢惊及孕妇忌用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('333', '杏仁', (select PK_ID from SYNDROME_SUBJECT where NAME = '祛痰'), '苦杏仁', 'XR,KXR', '克', '苦，微温。有小毒。归肺、大肠经。', '止咳平喘，润肠通便。', '1．咳嗽气喘。\n2．肠燥便秘。', '', '8', '【用法用量】煎服，3～10g，宜打碎入煎，或入丸、散。\n【使用注意】阴虚咳喘及大便溏泻者忌用。本品有小毒，用量不宜过大；婴儿慎用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('334', '紫苏子', (select PK_ID from SYNDROME_SUBJECT where NAME = '祛痰'), '', 'ZSZ', '克', '辛，温。归肺，大肠经。', '降气化痰，止咳平喘，润肠通便。', '1．咳喘痰多。\n2．肠燥便秘。', '', '3', '【用法用量】煎服，5～1Og；煮粥食或入丸、散。\n【使用注意】阴虚喘咳及脾虚便溏者慎用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('335', '百部', (select PK_ID from SYNDROME_SUBJECT where NAME = '祛痰'), '', 'BB', '克', '甘、苦，微温。归肺经。', '润肺止咳，杀虫灭虱。', '1．新久咳嗽，百日咳，肺痨咳嗽。\n2．蛲虫、阴道滴虫，头虱及疥癣等。', '', '3', '【用法用量】煎服，5～15g。外用适量。久咳虚嗽宜蜜炙用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('336', '紫菀', (select PK_ID from SYNDROME_SUBJECT where NAME = '祛痰'), '', 'ZW,ZY', '克', '苦、辛、甘，微温。归肺经。', '润肺化痰止咳。', '咳嗽有痰。', '', '3', '【用法用量】煎服，5～10g。外感暴咳生用，肺虚久咳蜜炙用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('337', '款冬花', (select PK_ID from SYNDROME_SUBJECT where NAME = '祛痰'), '', 'KDH', '克', '辛、微苦，温。归肺经。', '润肺下气，止咳化痰。', '咳喘。', '紫菀', '3', '【用法用量】煎服，5～10g。外感暴咳宜生用，内伤久咳宜炙用。\n【用药鉴别】款冬花、紫菀，其性皆温，但温而不燥，既可化痰，又能润肺，咳嗽无论寒热虚实，病程长短均可用之。前者重在止咳，后者尤善祛痰。古今治咳喘诸方中，二者每多同用，则止咳化痰之效益彰。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('338', '马兜铃', (select PK_ID from SYNDROME_SUBJECT where NAME = '祛痰'), '', 'MDL', '克', '苦、微辛，寒。归肺、大肠经。', '清肺化痰，止咳平喘，清肠消痔。', '1．肺热咳喘。\n2．痔疮肿痛或出血。', '', '8', '【用法用量】煎服，3～10g。外用适量，煎汤薰洗。一般生用，肺虚久咳炙用。\n【使用注意】用量不宜过大，以免引起呕吐。虚寒喘咳及脾虚便溏者禁服，胃弱者慎服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('339', '枇杷叶', (select PK_ID from SYNDROME_SUBJECT where NAME = '祛痰'), '', 'PPY', '克', '苦，微寒。归肺、胃经。', '清肺止咳，降逆止呕。', '1．肺热咳嗽，气逆喘急。\n2．胃热呕吐，哕逆。', '', '3', '【用法用量】煎服，5～10g，止咳宜炙用，止呕宜生用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('340', '桑白皮', (select PK_ID from SYNDROME_SUBJECT where NAME = '祛痰'), '', 'SBP', '克', '甘，寒。归肺经。', '泻肺平喘，利水消肿。', '1．肺热咳喘。\n2．水肿。', '', '3', '【用法用量】煎服，5～15g。泻肺利水，平肝清火宜生用；肺虚咳嗽宜蜜炙用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('341', '葶苈子', (select PK_ID from SYNDROME_SUBJECT where NAME = '祛痰'), '', 'TLZ', '克', '苦、辛，大寒。归肺、膀胱经。', '泻肺平喘，利水消肿。', '1．痰涎壅盛，喘息不得平卧。\n2．水肿，悬饮，胸腹积水，小便不利。', '桑白皮', '5', '【用法用量】煎服，5～10g；研末服，3～6g。\n【鉴别用药】桑白皮与葶苈子均能泻肺平喘，利水消肿，治疗肺热及肺中水气，痰饮咳喘以及水肿，常相须为用。桑白皮甘寒，药性较缓，长于清肺热，降肺火，多用于肺热咳喘，痰黄及皮肤水肿；而葶苈子力峻，重在泻肺中水气、痰涎，对邪盛喘满不得卧者尤宜，其利水力量也强，可兼治臌胀、胸腹积水之证。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('342', '白果', (select PK_ID from SYNDROME_SUBJECT where NAME = '祛痰'), '', 'BG', '克', '甘、苦、涩，平。有毒。归肺经。', '敛肺化痰定喘，止带缩尿。', '1．哮喘痰嗽。\n2．带下，白浊，尿频，遗尿。', '', '9', '【用法用量】煎服，5～10g，捣碎。\n【使用注意】本品有毒，不可多用，小儿尤当注意。过食白果可致中毒，出现腹痛、吐泻、发热、紫绀以及昏迷、抽搐，严重者可呼吸麻痹而死亡。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('343', '矮地茶', (select PK_ID from SYNDROME_SUBJECT where NAME = '祛痰'), '', 'ADC', '克', '苦、辛，平。归肺、肝经。', '止咳平喘，清利湿热，活血化瘀。', '1．咳喘。\n2．湿热黄疸，水肿。\n3．血瘀经闭，风湿痹痛，跌打损伤。', '', '4', '【用法用量】煎服，10～30g。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('344', '洋金花', (select PK_ID from SYNDROME_SUBJECT where NAME = '祛痰'), '', 'YJH', '克', '辛，温。有毒。归肺、肝经。', '平喘止咳，麻醉镇痛，止痉。', '1．哮喘咳嗽。\n2．心腹疼痛，风湿痹痛，跌打损伤。\n3．麻醉。\n4．癫痫，小儿慢惊风。', '', '8', '【用法用量】内服，O．2～0．6g，宜入丸、散剂；作卷烟吸，一日量不超过1．5g。外用适量，煎汤洗或研末外敷。\n【使用注意】本品有毒，应控制剂量。外感及痰热咳喘、青光眼、高血压、心动过速者禁用；孕妇、体弱者慎用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('345', '华山参', (select PK_ID from SYNDROME_SUBJECT where NAME = '祛痰'), '', 'HSS', '克', '甘、微苦，温。有毒。归肺经。', '温肺祛痰，止咳平喘。', '体虚痰喘，寒咳。', '', '7', '用法用量】煎服，0.1～0.2g。或制成喷雾剂吸入，也可制成片剂。\n【使用注意】不宜多服、久服，以免中毒。青光眼患者禁用。孕妇慎用。前列腺极度肥大者慎用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('346', '罗汉果', (select PK_ID from SYNDROME_SUBJECT where NAME = '祛痰'), '', 'LHG', '克', '甘，凉。归肺、大肠经。', '清肺利咽，化痰止咳，润肠通便。', '1．咳喘，咽痛。\n2．便秘。', '', '3', '【用法用量】煎服，10～30g；或开水泡服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('347', '满山红', (select PK_ID from SYNDROME_SUBJECT where NAME = '祛痰'), '', 'MSH', '克', '苦，寒。归肺经。', '止咳祛痰平喘', '咳喘痰多。', '', '4', '【用法用量】6～15g。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('348', '胡颓子叶', (select PK_ID from SYNDROME_SUBJECT where NAME = '祛痰'), '', 'HTZY', '克', '酸，微温，归肺经。', '平喘止咳，止血，解毒。', '1．咳喘。\n2．咯血，吐血及外伤出血。\n3．痈疽发背，痔疮。', '', '3', '【用法用量】煎汤，9～15g；或研末。外用，适量捣敷，或煎水熏洗。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('349', '朱砂', (select PK_ID from SYNDROME_SUBJECT where NAME = '__重镇安神'), '辰砂', 'ZS,CS', '克', '甘，微寒。有毒。归心经。', '清心镇惊，安神解毒。', '1．心神不宁，心悸，失眠。\n2．惊风，癫痫。\n3．疮疡肿毒，咽喉肿痛，口舌生疮。', '', '8', '【用法用量】内服，只宜入丸、散服，每次0.1~0.5g；不宜入煎剂。外用适量。\n【使用注意】本品有毒，内服不可过量或持续服用，孕妇及肝功能不全者禁服。入药只宜生用，忌火煅。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('350', '磁石', (select PK_ID from SYNDROME_SUBJECT where NAME = '__重镇安神'), '', 'CS', '克', '咸，寒。归心、肝、肾经。', '镇惊安神，平肝潜阳，聪耳明目，纳气平喘。', '1．心神不宁，惊悸，失眠，癫痫。\n2．头晕目眩。\n3．耳鸣耳聋，视物昏花。\n4．肾虚气喘。', '朱砂', '4', '【用法用量】煎服，15~30g；宜打碎先煎。入丸、散，每次1~3g。\n【使用注意】因吞服后不易消化，如入丸、散，不可多服，脾胃虚弱者慎用。\n【鉴别用药】磁石、朱砂均为重镇安神常用药，二药质重性寒入心经，均能镇心安神。然磁石益肾阴、潜肝阳，主治肾虚肝旺，肝火扰心之心神不宁；朱砂镇心、清心而安神，善治心火亢盛之心神不安。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('351', '龙骨', (select PK_ID from SYNDROME_SUBJECT where NAME = '__重镇安神'), '', 'LG', '克', '甘、涩，平。归心、肝、肾经。', '镇惊安神，平肝潜阳，收敛固涩。', '1．心神不宁，心悸失眠，惊痫癫狂。\n2．肝阳眩晕。\n3．滑脱诸证。\n4．湿疮痒疹，疮疡久溃不敛。', '', '4', '【用法用量】煎服，15~30g；宜先煎。外用适量。镇静安神, 平肝潜阳多生用。收敛固涩宜煅用。\n【使用注意】湿热积滞者不宜使用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('352', '琥珀', (select PK_ID from SYNDROME_SUBJECT where NAME = '__重镇安神'), '', 'HP', '克', '甘，平。归心、肝、膀胱经。', '镇惊安神，活血散瘀，利尿通淋。', '1．心神不宁，心悸失眠，惊风，癫痫。\n2．痛经经闭，心腹刺痛，癥瘕积聚。\n3．淋证，癃闭。', '', '3', '【用法用量】研末冲服，或入丸、散，每次1.5～3g。外用适量。不入煎剂。忌火煅。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('353', '酸枣仁', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补养安神'), '', 'SZR', '克', '甘、酸，平。归心、肝、胆经。', '养心益肝,安神,敛汗。', '1．心悸失眠。\n2．自汗，盗汗。', '', '4', '【用法用量】煎服，9～15g。研未吞服，每次1.5～2g。本品炒后质脆易碎，便于煎出有效成分，可增强疗效。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('354', '柏子仁', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补养安神'), '', 'BZR', '克', '甘，平。归心、肾、大肠经。', '养心安神，润肠通便。', '1．心悸失眠。\n2．肠燥便秘。', '酸枣仁', '3', '【用法用量】煎服，10～20g。大便溏者宜用柏子仁霜代替柏子仁。\n【使用注意】便溏及多痰者慎用。\n【鉴别用药】柏子仁与酸枣仁皆味甘性平，均有养心安神之功，用治阴血不足、心神失养所致的心悸怔忡、失眠、健忘等症，常相须为用。然柏子仁质润多脂，能润肠通便而治肠燥便秘；酸枣仁安神作用较强，且味酸收敛止汗作用亦优，体虚自汗、盗汗较常选用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('355', '灵芝', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补养安神'), '', 'LZ', '克', '甘，平。归心、肺、肝、肾经。', '补气安神，止咳平喘。', '1．心神不宁，失眠，惊悸。\n2．咳喘痰多。\n3．虚劳证。', '', '4', '【用法用量】煎服，6～12g；研末吞服1.5～3g。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('356', '缬草', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补养安神'), '', 'XC', '克', '辛、甘，温。归心、肝经。', '安神，理气，活血止痛。', '1．心神不宁，失眠少寐。\n2．惊风，癫痫。\n3．血瘀经闭，痛经，腰腿痛，跌打损伤。\n4．脘腹疼痛。', '', '3', '【用法用量】煎服，3～6g。外用适量。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('357', '首乌藤', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补养安神'), '夜交藤', 'SWT,YJT', '克', '甘，平。归心、肝经。', '养血安神，祛风通络。', '1．心神不宁，失眠多梦。\n2．血虚身痛，风湿痹痛。\n3．皮肤痒疹。', '', '4', '【用法用量】煎服，9～15g。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('358', '合欢皮', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补养安神'), '', 'HHP', '克', '甘，平。归心、肝、肺经。', '解郁安神，活血消肿。', '1．心神不宁，忿怒忧郁，烦躁失眠。\n2．跌打骨折，血瘀肿痛。\n3．肺痈，疮痈肿毒。', '', '3', '【用法用量】煎服，6～12g。外用适量。\n【使用注意】孕妇慎用');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('359', '远志', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补养安神'), '', 'YZ', '克', '苦、辛，温。归心、肾、肺经。', '安神益智，祛痰开窍，消散痈肿。', '1．失眠多梦，心悸怔忡，健忘。\n2．癫痫惊狂。\n3．咳嗽痰多。\n4．痈疽疮毒，乳房肿痛，喉痹。', '', '4', '【用法用量】煎服，3～9g。外用适量。化痰止咳宜炙用。\n【使用注意】凡实热或痰火内盛者，以及有胃溃疡或胃炎者慎用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('360', '鸡子黄', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补养安神'), '鸡卵黄,鸡蛋黄', 'JZH,JLH,JDH', '枚', '味甘；性平.\n归心；肾；脾经.', '滋阴润燥；养血熄风。', '主心烦不得眠；热病痉厥；虚劳吐血；呕逆；下痢；烫伤；热疮；肝炎；小儿消化不良.', '', '3', '【用法用量】内服：煮食，1-3枚；或生服。外用；适量，涂敷。\n【使用注意】冠心病，高血压，动脉血管粥样硬化者慎用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('361', '石决明', (select PK_ID from SYNDROME_SUBJECT where NAME = '__平熄内风'), '', 'SJM', '克', '咸，寒。归肝经。', '平肝潜阳，清肝明目。', '1．肝阳上亢，头晕目眩。\n2．目赤，翳障，视物昏花。', '', '3', '【用法用量】煎服，3～15g；应打碎先煎。平肝、清肝宜生用，外用点眼宜煅用、水飞。\n【使用注意】本品咸寒易伤脾胃，故脾胃虚寒，食少便溏者慎用。\n【鉴别用药】石决明与决明子均有清肝明目之功效，皆可用治目赤肿痛、翳障等偏于肝热者。然石决明咸寒质重，凉肝镇肝，滋养肝阴，故无论实证、虚证之目疾均可应用，多用于血虚肝热之羞明、目暗、青盲等；决明子苦寒，功偏清泻肝火而明目，常用治肝经实火之目赤肿痛。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('362', '珍珠母', (select PK_ID from SYNDROME_SUBJECT where NAME = '__平熄内风'), '', 'ZZM', '克', '咸，寒。归肝、心经。', '平肝潜阳，安神，定惊明目。', '1．肝阳上亢，头晕目眩。\n2．惊悸失眠，心神不宁。\n3．目赤翳障，视物昏花。', '石决明', '3', '【用法用量】煎服，10～25g；宜打碎先煎。或入丸、散剂。外用适量。\n【使用注意】本品属镇降之品，故脾胃虚寒者，孕妇慎用。\n【鉴别用药】珍珠母、石决明皆为贝类咸寒之品，均能平肝潜阳，清肝明目，用治肝阳上亢、肝经有热之头痛、眩晕、耳鸣及肝热目疾，目昏翳障等症。然石决明清肝明目作用力强，又有滋养肝阴之功，尤适宜于血虚肝热之羞明、目暗、青盲等目疾，及阴虚阳亢之眩晕、耳鸣等证；珍珠母又入心经，有镇惊安神之效，故失眠、烦躁、心神不宁等神志疾病多用之。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('363', '牡蛎', (select PK_ID from SYNDROME_SUBJECT where NAME = '__平熄内风'), '', 'ML', '克', '咸，微寒。归肝、胆、肾经。', '重镇安神，潜阳补阴，软坚散结。', '1．心神不安，惊悸失眠。\n2．肝阳上亢，头晕目眩。\n3．痰核，瘰疬，瘿瘤，癥瘕积聚。\n4．滑脱诸证。', '', '3', '【用法用量】煎服，9～30g；宜打碎先煎。外用适量。收敛固涩宜煅用，其他宜生用。\n【鉴别用药】龙骨与牡蛎均有重镇安神、平肝潜阳、收敛固涩作用，均可用治心神不安、惊悸失眠、阴虚阳亢、头晕目眩及各种滑脱证。然龙骨长于镇惊安神，且收敛固涩力优于牡蛎；牡蛎平肝潜阳功效显著，又有软坚散结之功。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('364', '紫贝齿', (select PK_ID from SYNDROME_SUBJECT where NAME = '__平熄内风'), '', 'ZBC', '克', '咸，平。归肝经。', '平肝潜阳，镇惊安神，清肝明目。', '1．肝阳上亢，头晕目眩。\n2．惊悸失眠。\n3．目赤翳障，目昏眼花。', '', '', '【用法用量】煎服，10～15g；宜打碎先煎，或研末入丸、散剂。\n【使用注意】脾胃虚弱者慎用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('365', '代赭石', (select PK_ID from SYNDROME_SUBJECT where NAME = '__平熄内风'), '赭石', 'DZS,ZS', '克', '苦，寒。归肝、心经。', '平肝潜阳，重镇降逆，凉血止血。', '1．肝阳上亢，头晕目眩。\n2．呕吐，呃逆，噫气。\n3．气逆喘息。\n4．血热吐衄，崩漏。', '', '3', '【用法用量】煎服，10～30g；宜打碎先煎。入丸、散，每次1～3g。外用适量。降逆、平肝宜生用，止血宜煅用。\n【使用注意】孕妇慎用。因含微量砷，故不宜长期服用。\n【鉴别用药】代赭石与磁石均为铁矿石类重镇之品，均能平肝潜阳、降逆平喘，用于肝阳上亢之眩晕及气逆喘息之证。然代赭石主入肝经，偏重于平肝潜阳、凉血止血，善降肺胃之逆气而止呕、止呃、止噫；磁石主入肾经，偏重于益肾阴而镇浮阳、纳气平喘、镇惊安神。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('366', '刺蒺藜', (select PK_ID from SYNDROME_SUBJECT where NAME = '__平熄内风'), '', 'CJL', '克', '辛、苦，微温。有小毒。归肝经。', '平肝疏肝，祛风明目。', '1．肝阳上亢，头晕目眩。\n2．胸胁胀痛，乳闭胀痛。\n3．风热上攻，目赤翳障。\n4．风疹瘙痒，白癜风。', '', '6', '【用法用量】煎服，6～9g；或入丸、散剂。外用适量。\n【使用注意】孕妇慎用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('367', '罗布麻叶', (select PK_ID from SYNDROME_SUBJECT where NAME = '__平熄内风'), '', 'LBMY', '克', '甘、苦，凉。归肝经。', '平抑肝阳，清热利尿。', '1．头晕目眩。\n2．水肿，小便不利。', '', '4', '【用法用量】煎服或开水泡服，3～15g。\n【使用注意】不宜过量或长期服用，以免中毒。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('368', '生铁落', (select PK_ID from SYNDROME_SUBJECT where NAME = '__平熄内风'), '', 'STL', '克', '辛、凉。归肝、心经。', '平肝镇惊。', '1．癫狂。\n2．易惊善怒，失眠。\n3．疮疡肿毒。\n4．关节酸痛，扭伤疼痛。', '', '3', '【用法用量】煎服，30～60g；或入丸、散用。外用适量，研末调敷。\n【使用注意】肝虚及中气虚寒者忌服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('369', '羚羊角', (select PK_ID from SYNDROME_SUBJECT where NAME = '治风'), '', 'LYJ', '克', '咸，寒。归肝、心经。', '平肝息风，清肝明目，散血解毒。', '1．肝风内动，惊痫抽搐。\n2．肝阳上亢，头晕目眩。\n3．肝火上炎，目赤头痛。\n4．温热病壮热神昏，热毒发斑。', '', '9', '【用法用量】煎服，1～3g；宜单煎2小时以上。磨汁或研粉服，每次0.3～0.6g。\n【使用注意】本品性寒，脾虚慢惊者忌用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('370', '牛黄', (select PK_ID from SYNDROME_SUBJECT where NAME = '治风'), '', 'NH,LH', '克', '，凉。归心、肝经。', '化痰开窍，凉肝息风，清热解毒。', '1．热病神昏。\n2．小儿惊风，癫痫。\n3．口舌生疮，咽喉肿痛，牙痛，痈疽疔毒。', '', '5', '【用法用量】入丸、散剂，每次0.15～0.35g。外用适量，研末敷患处。\n【使用注意】非实热证不宜用，孕妇慎用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('371', '珍珠', (select PK_ID from SYNDROME_SUBJECT where NAME = '治风'), '', 'ZZ', '克', '甘、咸，寒。归心、肝经。', '安神定惊，明目消翳，解毒生肌。', '1．心神不宁，心悸失眠。\n2．惊风，癫痫。\n3．目赤翳障，视物不清。\n4．口内诸疮，疮疡肿毒，溃久不敛。', '', '3', '【用法用量】内服入丸、散用，0.1～0.3g。外用适量。\n【鉴别用药】珍珠与珍珠母来源同一动物体，均有镇心安神、清肝明目、退翳、敛疮之功效，均可用治心悸失眠、心神不宁及肝火上攻之目赤、翳障及湿疮溃烂等患。然珍珠重在镇惊安神，多用治心悸失眠、心神不宁、惊风、癫痫等证，且敛疮生肌力好；珍珠母重在平肝潜阳，多用治肝阳上亢、肝火上攻之眩晕，其安神、敛疮作用均不如珍珠，且无生肌之功。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('372', '钩藤', (select PK_ID from SYNDROME_SUBJECT where NAME = '治风'), '', 'GT', '克', '甘，凉。归肝、心包经。', '清热平肝，息风定惊。', '1．头痛，眩晕。\n2．肝风内动，惊痫抽搐。\n', '', '4', '【用法用量】煎服，3～12g；入煎剂宜后下。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('373', '天麻', (select PK_ID from SYNDROME_SUBJECT where NAME = '治风'), '', 'TM', '克', '甘，平。归肝经。', '息风止痉，平抑肝阳，祛风通络。', '1．肝风内动，惊痫抽搐。\n2．眩晕，头痛。\n3．肢体麻木，手足不遂，风湿痹痛。\n', '', '6', '【用法用量】煎服，3～9g。研末冲服，每次1～1.5g。\n【鉴别用药】钩藤、羚羊角、天麻均有平肝息风、平肝潜阳之功，均可治肝风内动、肝阳上亢之证。然钩藤性凉，轻清透达，长于清热息风，用治小儿高热惊风轻证为宜；羚羊角性寒，清热力强，除用治热极生风证外，又能清心解毒，多用于高热神昏，热毒发斑等症；天麻甘平质润，清热之力不及钩藤、羚羊角，但肝风内动、惊痫抽搐之寒热虚实皆可配伍应用，且能祛风止痛。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('374', '地龙', (select PK_ID from SYNDROME_SUBJECT where NAME = '治风'), '', 'DL', '克', '咸，寒。归肝、脾、膀胱经。', '清热定惊，通络，平喘，利尿。', '1．高热惊痫，癫狂。\n2．气虚血滞，半身不遂。\n3．痹证。\n4．肺热哮喘。\n5．小便不利，尿闭不通。', '', '5', '【用法用量】煎服，4.5～9g。鲜品10～20g。研末吞服，每次1～2g。外用适量。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('375', '全蝎', (select PK_ID from SYNDROME_SUBJECT where NAME = '治风'), '', 'QX', '克', '辛，平。有毒。归肝经。', '息风镇痉，攻毒散结，通络止痛。', '1．痉挛抽搐。\n2．疮疡肿毒，瘰疬结核。\n3．风湿顽痹。\n4．顽固性偏正头痛。', '', '8', '【用法用量】煎服，3～6g。研末吞服，每次0.6～1g。外用适量。\n【使用注意】本品有毒，用量不宜过大。孕妇慎用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('376', '蜈蚣', (select PK_ID from SYNDROME_SUBJECT where NAME = '治风'), '', 'WG', '克', '辛，温。有毒。归肝经。', '息风镇痉，攻毒散结，通络止痛。', '1．痉挛抽搐。\n2．疮疡肿毒，瘰疬结核。\n3．风湿顽痹。\n4．顽固性头痛。', '全蝎', '8', '【用法用量】煎服，3～5g。研末冲服，每次0.6～1g。外用适量。\n【使用注意】本品有毒，用量不宜过大。孕妇忌用。\n【鉴别用药】蜈蚣、全蝎皆有息风镇痉、解毒散结、通络止痛之功效，二药相须有协同增效作用。然全蝎性平，息风镇痉，攻毒散结之力不及蜈蚣；蜈蚣力猛性燥，善走窜通达，息风镇痉功效较强，又攻毒疗疮，通痹止痛疗效亦佳。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('377', '僵蚕', (select PK_ID from SYNDROME_SUBJECT where NAME = '治风'), '', 'JC', '克', '咸、辛，平。归肝、肺、胃经。', '祛风定惊，化痰散结。', '1．惊痫抽搐。\n2．风中经络，口眼斜。\n3．风热头痛，目赤，咽痛，风疹瘙痒。\n4．痰核，瘰疬。', '', '4', '【用法用量】煎服，5～9g。研末吞服，每次1～1.5g；散风热宜生用，其他多制用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('378', '麝香', (select PK_ID from SYNDROME_SUBJECT where NAME = '__温开'), '', 'SX', '克', '辛，温。归心、脾经。', '开窍醒神，活血通经，消肿止痛。', '1．闭证神昏。\n2．疮疡肿毒，瘰疬痰核，咽喉肿痛。\n3．血瘀经闭，癥瘕，心腹暴痛，头痛，跌打损伤，风寒湿痹。\n4．难产，死胎，胞衣不下。', '', '4', '【用法用量】入丸、散，每次0．03～0．1g。外用适量。不宜入煎剂。\n【使用注意】孕妇禁用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('379', '冰片', (select PK_ID from SYNDROME_SUBJECT where NAME = '__凉开'), '', 'BP', '克', '辛、苦，微寒。归心、脾，肺经。', '开窍醒神，清热止痛。', '1．闭证神昏。\n2．目赤肿痛，喉痹口疮。\n3．疮疡肿痛，疮溃不敛，水火烫伤。', '麝香', '3', '【用法用量】入丸、散，每次0．15～0．3g。外用适量,研粉点敷患处。不宜入煎剂。\n【使用注意】孕妇慎用。\n【鉴别用药】冰片与麝香同为开窍醒神之品，均可用治热病神昏、中风痰厥、气郁窍闭、中恶昏迷等闭证，然麝香开窍力强而冰片力逊，麝香为温开之品，冰片为凉开之剂，但又常相须为用；二者均可消肿止痛、生肌敛疮，外用治疮疡肿毒。但冰片性偏寒凉，以清热泻火止痛见长，善治口齿、咽喉、耳目之疾，外用有清热止痛、防腐止痒、明目退翳之功；麝香辛温、治疮痈肿毒多以活血散结、消肿止痛功效为用。二者均应入丸、散使用，不入煎剂。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('380', '苏合香', (select PK_ID from SYNDROME_SUBJECT where NAME = '开窍'), '', 'SHX', '克', '辛，温。归心、脾经。', '开窍醒神，辟秽，止痛。', '1．寒闭神昏。\n2．胸腹冷痛，满闷。', '', '3', '【用法用量】入丸、散，0．3～1g。外用适量，不入煎剂。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('381', '石菖蒲', (select PK_ID from SYNDROME_SUBJECT where NAME = '开窍'), '', 'SCP', '克', '辛、苦，温。归心、胃经。', '开窍醒神，化湿和胃，宁神益志。', '1．痰蒙清窍，神志昏迷。\n2．湿阻中焦，脘腹痞满，胀闷疼痛。\n3．噤口痢。\n4．健忘，失眠，耳鸣，耳聋。', '', '3', '【用法用量】煎服，3～9g。鲜品加倍。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('382', '人参', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补气'), '', 'RS', '克', '甘、微苦，平。归肺、脾、心经。', '大补元气，补脾益肺，生津，安神益智。', '1．元气虚脱证。\n2．肺脾心肾气虚证。\n3．热病气虚津伤口渴及消渴证。', '', '5', '【用法用量】煎服，3～19g；挽救虚脱可用15～30g。宜文火另煎分次兑服。野山参研末吞服，每次2g，日服2次。\n【使用注意】不宜与藜芦同用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('383', '西洋参', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补气'), '', 'XYS', '克', '甘、微苦，凉。归肺、心、肾、脾经。', '补气养阴，清热生津。', '1．气阴两伤证。\n2．肺气虚及肺阴虚证。\n3．热病气虚津伤口渴及消渴。', '', '5', '【用法用量】另煎兑服，3～6g。\n【使用注意】据《药典》记载，本品不宜与藜芦同用。\n【鉴别用药】人参与西洋参均有补益元气之功，可用于气虚欲脱之气短神疲、脉细无力等症。但人参益气救脱之力较强，单用即可收效；西洋参偏于苦寒，兼能补阴，较宜于热病等所致的气阴两脱者。二药又皆能补脾肺之气，可以主治脾肺气虚之证，其中也以人参作用较强；但西洋参多用于脾肺气阴两虚之证。此二药还有益气生津作用，均常用于津伤口渴和消渴证。此外，人参尚能补益心肾之气，安神增智，还常用于失眠、健忘、心悸怔忡及肾不纳气之虚喘气短。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('384', '党参', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补气'), '', 'DS', '克', '甘，平。归脾、肺经。', '补脾肺气，补血，生津。', '1．脾肺气虚证。\n2．气血两虚证。\n3．气津两伤证。', '', '4', '【用法用量】煎服，9～30g。\n【使用注意】据《药典》记载，本品不宜与藜芦同用。\n【鉴别用药】人参与党参均具有补脾气、补肺气、益气生津、益气生血及扶正祛邪之功，均可用于脾气虚、肺气虚、津伤口渴、消渴、血虚及气虚邪实之证。但党参性味甘平，作用缓和，药力薄弱，古方用以主治以上轻症和慢性疾患者，可用党参加大用量代替，而急症、重症仍以人参为宜。但党参不具有人参益气救脱之功，凡元气虚脱之证，应以人参急救虚脱，不能以党参代替。此外，人参还长于益气助阳，安神增智，而党参则类似作用不明显。但党参兼有补血之功。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('385', '太子参', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补气'), '', 'TZS', '克', '甘、微苦、平。归脾、肺经。', '补气健脾，生津润肺。', '用于脾肺气阴两虚证。', '', '3', '【用法用量】煎服，9～30g。\n【鉴别用药】西洋参与太子参均为气阴双补之品，均具有益脾肺之气，补脾肺之阴，生津止渴之功。但太子参性平力薄，其补气，养阴、生津与清火之力俱不及西洋参。凡气阴不足之轻证、火不盛者及小儿，宜用太子参，气阴两伤而火较盛者，当用西洋参。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('386', '黄芪', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补气'), '', 'HQ', '克', '甘，微温。归脾、肺经。', '健脾补中，升阳举陷，益卫固表，利尿，托毒生肌。', '1．脾气虚证。\n2．肺气虚证。\n3．气虚自汗证。\n4．气血亏虚，疮疡难溃难腐，或溃久难敛。', '党参', '4', '【用法用量】煎服，9～30g。蜜炙可增强其补中益气作用。\n【鉴别用药】人参、党参、黄芪三药，皆具有补气及补气生津、补气生血之功效，且常相须为用，能相互增强疗效。但人参作用较强，被誉为补气第一要药，并具有益气救脱、安神增智、补气助阳之功。党参补气之力较为平和，专于补益脾肺之气，兼能补血。黄芪补益元气之力不及人参，但长于补气升阳、益卫固表、托疮生肌、利水退肿，尤宜于脾虚气陷及表虚自汗等证。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('387', '白术', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补气'), '', 'BZ,BS', '克', '甘、苦，温。归脾、胃经。', '健脾益气，燥湿利尿，止汗，安胎。', '1．脾气虚证。\n2．气虚自汗。\n3．脾虚胎动不安。', '', '', '【用法用量】煎服，6～12g。炒用可增强补气健脾止泻作用。\n【使用注意】本品性偏温燥，热病伤津及阴虚燥渴者不宜。\n【鉴别用药】白术与苍术，古时统称为“术”，后世逐渐分别入药。二药均具有健脾与燥湿两种主要功效。然白术以健脾益气为主，宜用于脾虚湿困而偏于虚证者；苍术以苦温燥湿为主，宜用于湿浊内阻而偏于实证者。此外，白术还有利尿、止汗、安胎之功，苍术还有发汗解表、祛风湿及明目作用，分别还有其相应的主治病证。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('388', '山药', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补气'), '', 'SY', '克', '甘，平。归脾、肺、肾经。', '补脾养胃，生津益肺，补肾涩精。', '1．脾虚证。\n2．肺虚证。\n3．肾虚证。\n4．消渴气阴两虚证。', '', '3', '【用法用量】煎服，15～30g。麸炒可增强补脾止泻作用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('389', '白扁豆', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补气'), '', 'BBD', '克', '甘，微温。归脾、胃经。', '补脾和中，化湿。', '1．脾气虚证。\n2．暑湿吐泻。', '', '3', '【用法用量】煎服，10～15g。炒后可使健脾止泻作用增强，故用于健脾止泻及作散剂服用时宜炒用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('390', '甘草', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补气'), '', 'GC', '克', '甘，平。归心、肺、脾、胃经。', '补脾益气，祛痰止咳，缓急止痛，清热解毒，调和诸药。', '1．心气不足，脉结代、心动悸。\n2．脾气虚证。\n3．咳喘。\n4．脘腹、四肢挛急疼痛。\n5．热毒疮疡、咽喉肿痛及药物、食物中毒。\n6．调和药性。', '', '4', '【用法用量】煎服，1.5～9g。生用性微寒，可清热解毒；蜜炙药性微温，并可增强补益心脾之气和润肺止咳作用。\n【使用注意】不宜与京大戟、芫花、甘遂同用。本品有助湿壅气之弊，湿盛胀满、水肿者不宜用。大剂量久服可导致水钠潴留，引起浮肿。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('391', '大枣', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补气'), '', 'DZ', '枚', '甘，温。归脾、胃心经。', '补中益气，养血安神。', '1．用于脾虚证。\n2．用于脏躁及失眠证。', '', '3', '【用法用量】劈破煎服，6～15g。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('392', '刺五加', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补气'), '', 'CWJ', '克', '甘、微苦，温。归脾、肺、心、肾经。', '益气健脾，补肾安神。', '1．脾肺气虚证。\n2．肾虚腰膝酸痛。\n3．心脾不足，失眠、健忘。', '', '3', '【用法用量】煎服，9～27g。目前多作片剂、颗粒剂、口服液及注射剂使用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('393', '绞股蓝', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补气'), '', 'JGL', '克', '甘、苦，寒。归脾、肺经。', '益气健脾，化痰止咳，清热解毒。', '1．脾虚证。\n2．肺虚咳嗽证。\n', '', '3', '【用法用量】煎服，10～20g；亦可泡服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('394', '红景天', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补气'), '', 'HJT', '克', '甘，寒。归脾、肺经。', '健脾益气，清肺止咳，活血化瘀。', '1．脾气虚证。\n2．肺阴虚肺热咳嗽。', '', '3', '【用法用量】煎服，6～12g。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('395', '沙棘', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补气'), '', 'SJ', '克', '甘、酸、温。归脾、胃、肺、心经。', '健脾消食，止咳祛痰，活血祛瘀。', '1．脾虚食少。\n2．咳嗽痰多。\n3．瘀血证。', '', '3', '【用法用量】煎服，3～9g。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('396', '饴糖', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补气'), '', 'YT', '克', '甘，温。归脾、胃、肺经。', '补益中气，缓急止痛，润肺止咳。', '1．中虚脘腹疼痛。\n2．肺燥咳嗽。', '', '3', '【用法用量】入汤剂须烊化冲服，每次15～20g。\n【使用注意】本品有助湿壅中之弊，湿阻中满者不宜服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('397', '蜂蜜', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补气'), '', 'FM', '克', '甘，平。归肺、脾、大肠经。', '补中，润燥，止痛，解毒。', '1．脾气虚弱及中虚脘腹挛急疼痛。\n2．肺虚久咳及燥咳证。\n3．便秘证。\n4．解乌头类药毒。', '', '3', '【用法用量】煎服或冲服，15～30g，大剂量30～60g。外用适量，本品作栓剂肛内给药，通便效果较口服更捷。\n【使用注意】本品助湿壅中，又能润肠，故湿阻中满及便糖泄泻者慎用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('398', '鹿茸', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补阳'), '', 'LR', '克', '甘、咸，温。归肾、肝经。', '补肾阳，益精血，强筋骨，调冲任，托疮毒。', '1．肾阳虚衰，精血不足证。\n2．肾虚骨弱，腰膝无力或小儿五迟。\n3．妇女冲任虚寒，崩漏带下。\n4．疮疡久溃不敛，阴疽疮肿内陷不起。', '', '3', '【用法用量】研末吞服，1～2ｇ，或入丸、散。\n【使用注意】服用本品宜从小量开始，缓缓增加，不可骤用用大量，以免阳升风动，头晕目赤，或伤阴动血。凡发热者均当忌服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('399', '紫河车', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补阳'), '', 'ZHC', '克', '甘、咸，温。归肺、肝、肾经。', '补肾益精，养血益气。', '1．阳痿遗精、腰酸头晕耳鸣。\n2．气血不足诸证。\n3．肺肾两虚之咳喘。', '', '3', '【用法用量】研末装胶囊服，1.5～3g，也可入丸、散。如用鲜胎盘，每次半个至一个，水煮服食。\n【鉴别用药】鹿茸与紫河车皆能补肾阳，益精血，为滋补强壮之要药。鹿茸补阳力强，为峻补之品，用于肾阳虚之重证；且使阳生阴长，而用于精血亏虚诸证；紫河车养阴力强，而使阴长阳生，兼能大补气血，用于气血不足，虚损劳伤诸证。\n【使用注意】阴虚火旺不宜单独应用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('400', '淫羊藿', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补阳'), '', 'YYH', '克', '辛、甘，温。归肾、肝经。', '补肾壮阳，祛风除湿。', '1．肾阳虚衰，阳痿尿频，腰膝无力。\n2．风寒湿痹，肢体麻木。', '', '3', '【用法用量】煎服，3～15g。\n【使用注意】阴虚火旺者不宜服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('401', '巴戟天', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补阳'), '', 'BJT', '克', '辛、甘，微温。归肾、肝经。', '补肾助阳，祛风除湿。', '1．肾阳虚阳痿、宫冷不孕、小便频数。\n2．风湿腰膝疼痛及肾虚腰膝酸软无力。', '', '3', '【用法用量】水煎服，5～15g。\n【使用注意】阴虚火旺及有热者不宜服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('402', '仙茅', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补阳'), '', 'XM', '克', '辛，热。有毒。归肾、肝经。', '温肾壮阳，祛寒除湿。', '1．肾阳不足，命门火衰之阳痿精冷、小便频数。\n2．腰膝冷痛，筋骨痿软无力。', '', '3', '【用法用量】煎服，5～15g。或酒浸服，亦入丸、散。\n【使用注意】阴虚火旺者忌服。燥烈有毒，不宜久服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('403', '杜仲', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补阳'), '', 'DZ', '克', '甘，温。归肝、肾经。', '补肝肾，强筋骨，安胎。', '1．肾虚腰痛及各种腰痛。\n2．胎动不安或习惯堕胎。', '', '3', '【用法用量】煎服，1０～15ｇ。\n【使用注意】炒用破坏其胶质有利于有效成分煎出，故比生用效果好。本品为温补之品，阴虚火旺者慎用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('404', '续断', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补阳'), '', 'XD', '克', '苦、辛，微温。归肝、肾经。', '补益肝肾，强筋健骨，止血安胎，疗伤续折。', '1．阳痿不举，遗精遗尿。\n2．腰膝酸痛，寒湿痹痛。\n3．崩漏下血，胎动不安。\n4．跌打损伤，筋伤骨折。', '', '3', '【用法用量】煎服，9～15g，或入丸、散。外用适量研末敷。崩漏下血宜炒用。\n【使用注意】风湿热痹者忌服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('405', '肉苁蓉', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补阳'), '', 'RCR', '克', '甘、咸，温。归肾、大肠经。', '补肾助阳，润肠通便。', '1．肾阳亏虚，精血不足之阳痿早泄、宫冷不孕、腰膝酸痛、痿软无力。\n2．肠燥津枯便秘。', '', '3', '【用法用量】煎服，1０～15ｇ。\n【使用注意】本品能助阳、滑肠，故阴虚火旺及大便泄泻者不宜服。肠胃实热、大便秘结亦不宜服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('406', '锁阳', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补阳'), '', 'SY', '克', '甘，温。归肝、肾、大肠经。', '补肾助阳，润肠通便。', '1．肾阳亏虚，精血不足之阳痿、不孕、下肢痿软、筋骨无力等。\n2．血虚津亏肠燥便秘。', '', '3', '【用法用量】煎服，10～15ｇ。\n【使用注意】阴虚阳亢、脾虚泄泻、实热便秘均忌服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('407', '补骨脂', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补阳'), '', 'BGZ', '克', '苦、辛，温。归肾、脾经。', '补肾壮阳，固精缩尿，温脾止泻，纳气平喘。', '1．肾虚阳痿、腰膝冷痛。\n2．肾虚遗精、遗尿、尿频。\n3．脾肾阳虚五更泄泻。\n4．肾不纳气，虚寒喘咳。', '', '4', '【用法用量】煎服，5～15g。\n【使用注意】本品性质温燥，能伤阴助火，故阴虚火旺及大便秘结者忌服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('408', '益智仁', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补阳'), '益智,益智子', 'YZR,YZ,YZZ', '克', '辛，温。归肾、脾经。', '暖肾固精缩尿，温脾开胃摄唾。', '1．下元虚寒遗精、遗尿、小便频数。\n2．脾胃虚寒，腹痛吐泻及口涎自流。', '补骨脂', '3', '【用法用量】煎服，3～1０g。\n【鉴别用药】补骨脂与益智仁味辛性温热，归脾肾经，均能补肾助阳，固精缩尿，温脾止泻，都可用治肾阳不足的遗精滑精，遗尿尿频，以及脾肾阳虚的泄泻不止等证。二者常相须为用。但补骨脂助阳的力量强，作用偏于肾，长于补肾壮阳，肾阳不足，命门火衰的腰膝冷痛，阳痿等症，补骨脂多用。也可用治肾不纳气的虚喘，能补肾阳而纳气平喘。益智仁则助阳之力较补骨脂为弱，作用偏于脾，长于温脾开胃摄唾，中气虚寒，食少多唾，小儿流涎不止，腹中冷痛者，益智仁多用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('409', '菟丝子', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补阳'), '', 'TSZ', '克', '辛、甘，平。归肾、肝、脾经。', '补肾益精，养肝明目，止泻安胎。', '1．肾虚腰痛、阳痿遗精、尿频及宫冷不孕。\n2．肝肾不足，目暗不明。\n3．脾肾阳虚，便溏泄泻。\n4．用于肾虚胎动不安。', '', '3', '【用法用量】煎服，1０～2０g。\n【使用注意】本品为平补之药，但偏补阳，阴虚火旺，大便燥结、小便短赤者不宜服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('410', '沙苑子', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补阳'), '', 'SYZ', '克', '甘，温。归肝、肾经。', '补肾固精，养肝明目。', '1．肾虚腰痛、阳痿遗精、遗尿尿频、白带过多。\n2．目暗不明、头昏目花。', '', '3', '【用法用量】煎服，1０～2０g。\n【使用注意】本品为温补固涩之品，阴虚火旺及小便不利者忌服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('411', '蛤蚧', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补阳'), '', 'GJ,HJ', '枚', '咸，平。归肺、肾经。', '补肺益肾，纳气平喘，助阳益精。', '1．肺虚咳嗽、肾虚作喘、虚劳喘咳。\n2．肾虚阳痿。', '', '3', '【用法用量】煎服，5～1０g；研末每次 1～2g，日三次；浸酒服用 1～2对。\n【使用注意】风寒或实热咳喘忌服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('412', '核桃仁', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补阳'), '', 'HTR', '克', '甘，温。归肾、肺、大肠经。', '补肾温肺，润肠通便。', '1．肾阳虚衰，腰痛脚弱，小便频数。\n2．肺肾不足之虚寒喘咳及肺虚久咳、气喘。\n3．肠燥便秘。', '', '3', '【用法用量】煎服，1０～3０g。\n【使用注意】阴虚火旺、痰热咳嗽及便溏者不宜服用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('413', '冬虫夏草', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补阳'), '', 'DCXC', '克', '甘，温。归肾、肺经。', '补肾益肺，止血化痰。', '1．阳痿遗精、腰膝酸痛。\n2．久咳虚喘、劳嗽痰血。\n', '核桃仁', '3', '【用法用量】煎服，5～15ｇ。也可入丸、散。\n【使用注意】有表邪者不宜用。\n【鉴别用药】蛤蚧、胡桃仁、冬虫夏草皆入肺肾善补肺益肾而定喘咳，用于肺肾两虚之喘咳。蛤蚧补益力强，偏补肺气，尤善纳气定喘，为肺肾虚喘之要药，兼益精血；胡桃仁补益力缓，偏助肾阳，温肺寒，用于阳虚腰痛及虚寒喘咳，兼润肠通便；冬虫夏草平补肺肾阴阳，兼止血化痰，用于久咳虚喘，劳嗽痰血，为诸痨虚损调补之要药。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('414', '胡芦巴', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补阳'), '', 'HLB', '克', '苦，温。归肾经。', '温肾助阳，散寒止痛。', '1．寒疝腹痛，腹胁胀痛。\n2．足膝冷痛，寒湿脚气。\n3．阳痿滑泄，精冷囊湿。', '', '3', '【用法用量】煎服,3～1０ｇ；或入丸、散。\n【使用注意】阴虚火旺者忌用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('415', '韭菜子', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补阳'), '', 'JCZ', '克', '辛、甘，温。归肾、肝经。', '温补肝肾，壮阳固精。', '1．阳痿遗精，白带白淫。\n2．肝肾不足，腰膝痿软。', '', '3', '【用法用量】煎服，3～９g；或入丸、散服。\n【使用注意】阴虚火旺者忌服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('416', '阳起石', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补阳'), '', 'YQS', '克', '咸，温。归肾经。', '温肾壮阳。', '阳痿不举，宫冷不孕。', '', '3', '【用法用量】煎服，3～6g，或入丸、散服。\n【使用注意】阴虚火旺者忌用。不宜久服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('417', '紫石英', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补阳'), '', 'ZSY', '克', '甘，温。归心、肺、肾经。', '温肾助阳，镇心安神，温肺平喘。', '1．肾阳亏虚，宫冷不孕，崩漏带下。\n2．心悸怔忡，虚烦不眠。\n3．肺寒气逆，痰多咳喘 。', '', '5', '【用法用量】煎服，9～15g。打碎先煎。\n【使用注意】阴虚火旺而不能摄精之不孕证及肺热气喘者忌用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('418', '海狗肾', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补阳'), '', 'HGS', '克', '咸，热。归肾经。', '暖肾壮阳，益精补髓。', '1．阳痿精冷，精少不育。\n2．肾阳衰微，心腹冷痛。', '', '3', '【用法用量】研末服，每次1～3g，每日2～3次；入丸、散或泡酒服。\n【使用注意】阴虚火旺及骨蒸劳嗽等忌用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('419', '海马', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补阳'), '', 'HM', '克', '甘，温。归肝、肾经。', '补肾壮阳，调气活血。', '1．阳痿、遗精遗尿。\n2．肾虚作喘。\n3．癥瘕积聚，跌打损伤。\n4．疔疮肿毒。', '', '3', '【用法用量】煎服，3～９g。外用适量，研末敷患处。\n【使用注意】孕妇及阴虚火旺者忌服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('420', '哈蟆油', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补阳'), '', 'HMY', '克', '甘、咸、平。归肺、肾经。', '补肾益精，养阴润肺。', '1．病后体虚，盗汗神衰。\n2．劳嗽咯血。', '', '3', '【用法用量】煎服，3～1０g；或入丸、散。\n【使用注意】外感初起及食少便溏者慎用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('421', '羊红膻', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补阳'), '', 'YHS', '克', '辛、甘，温。归心、肾、肺、脾经。', '温肾助阳，活血化瘀，养心安神，温肺散寒。', '1．阳痿不举，精少精冷。\n2．气滞血瘀，胸痹心痛。\n3．心悸失眠，胸闷气短。\n4．外感风寒，寒饮咳嗽。', '', '3', '【用法用量】煎服，10～15g。外洗适量。\n【使用注意】阴虚内热，肺热咳嗽者忌用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('422', '当归', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补血'), '', 'DG', '克', '甘、辛，温。归肝、心、脾经。', '补血调经．活血止痛，润肠通便。', '1．血虚诸证。\n2．血虚血瘀之月经不调、经闭、痛经等。\n3．虚寒性腹痛、跌打损伤、痈疽疮疡、风寒痹痛等。\n4．血虚肠燥便秘。', '', '3', '【用法用量】煎服，5～15g。\n【使用注意】湿盛中满、大便泄泻者忌服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('423', '熟地黄', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补血'), '', 'SDH', '克', '甘，微温。归肝、肾经。', '补血养阴，填精益髓。', '1．血虚诸证。\n2．肝肾阴虚诸证。\n', '', '3', '【用法用量】煎服，1０～3０g。\n【鉴别用药】地黄始见于《神农本草经》，现临床使用有鲜、生、熟三种。均有养阴生津之功，而治阴虚津亏诸证。鲜地黄甘苦大寒，滋阴之力虽弱，但长于清热凉血，泻火除烦，多用于血热邪盛，阴虚津亏证；生（干）地黄甘寒质润凉血之力稍逊但长于养心肾之阴，故血热阴伤及阴虚发热者宜之；熟地黄性味甘温，入肝肾而功专养血滋阴，填精益髓，凡真阴不足，精髓亏虚者，皆可用之。\n【使用注意】本品性质粘腻，较生地黄更甚，有碍消化，凡气滞痰多、脘腹胀痛、食少便溏者忌服。重用久服宜与陈皮、炒仁等同用，防止粘腻碍胃。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('424', '白芍', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补血'), '', 'BS', '克', '苦、酸，微寒。归肝、脾经。', '养血敛阴，柔肝止痛，平抑肝阳。', '1．肝血亏虚及血虚月经不调。\n2．肝脾不和之胸胁脘腹疼痛或四肢挛急疼痛。\n3．肝阳上亢之头痛眩晕。', '', '3', '【用法用量】煎服，5～15g；大剂量15～3０g。\n【鉴别用药】白芍与赤芍《神农本草经》不分，通称芍药，唐末宋初，始将二者区分。二者虽同出一物而性微寒，但前人谓“白补赤泻，白收赤散”，一语而道破二者的主要区别。一般认为，在功效方面，白芍长于养血调经，敛阴止汗，平抑肝阳；赤芍则长于清热凉血，活血散瘀，清泄肝火。在应用方面，白芍主治血虚阴亏，肝阳偏亢诸证；赤芍主治血热、血瘀、肝火所致诸证。又白芍、赤芍皆能止痛，均可用治疼痛的病证。但白芍长于养血柔肝，缓急止痛，主治肝阴不足，血虚肝旺，肝气不舒所致的胁肋疼痛、脘腹四肢拘挛作痛；而赤芍则长于活血祛瘀止痛，主治血滞诸痛证，因能清热凉血，故血热瘀滞者尤为适宜。\n【使用注意】阳衰虚寒之证不宜用。反藜芦。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('425', '阿胶', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补血'), '', 'EJ', '克', '甘，平。归肺、肝、肾经。', '补血，滋阴，润肺，止血。', '1．血虚证。\n2．出血证。\n3．肺阴虚燥咳。\n4．热病伤阴之心烦失眠及阴虚风动，手足瘈疭等。', '', '3', '【用法用量】5～15g。入汤剂宜烊化冲服。\n【使用注意】本品粘腻，有碍消化。脾胃虚弱者慎用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('426', '何首乌', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补血'), '', 'HSW', '克', '苦、甘、涩，微温。归肝、肾经。', '制用：补益精血。\n生用：解毒，截疟，润肠通便。', '1．精血亏虚、头晕眼花、须发早白、腰膝酸软、遗精、崩带。\n2．久疟、痈疽、瘰疬、肠燥便秘等。', '', '3', '【用法用量】煎服，1０～3０g。\n【使用注意】大便溏泄及湿痰较重者不宜用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('427', '龙眼肉', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补血'), '', 'LYR', '克', '甘，温。归心、脾经。', '补益心脾，养血安神。', '用于思虑过度，劳伤心脾，而致惊悸怔忡，失眠健忘，食少体倦，以及脾虚气弱，便血崩漏等。', '', '3', '【用法用量】煎服，1０～25g；大剂量3０～6０ｇ。\n【使用注意】湿盛中满或有停饮、痰、火者忌服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('428', '楮实子', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补血'), '', 'CSZ,ZSZ', '克', '甘，寒。归肝、肾经。', '滋肾，清肝，明目，利尿。', '1．腰膝酸软，虚劳骨蒸，头晕目昏。\n2．目翳昏花。\n3．水肿胀满。', '', '3', '【用法用量】煎服，6～9g，或入丸、散。外用捣敷。\n【使用注意】虚寒证患者慎用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('429', '北沙参', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补血'), '', 'BSS', '克', '甘、微苦，微寒。归肺、胃经。', '养阴清肺，益胃生津。', '1．肺阴虚证。\n2．胃阴虚证。', '', '4', '【用法用量】煎服，4.5～9g。\n【使用注意】《本草从新》谓北沙参“反藜芦”，《中华人民共和国药典》（1995年版）亦认为北沙参“不宜与藜芦同用”，应加以注意。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('430', '南沙参', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补阴'), '', 'NSS', '克', '甘，微寒。归肺、胃经。', '养阴清肺，清胃生津，补气，化痰。', '1．肺阴虚证。\n2．胃阴虚证。', '', '3', '【用法用量】煎服，9～15g。\n【使用注意】反藜芦。\n【鉴别用药】北沙参与南沙参来源于两种不同的植物，因二者功用相似，均以养阴清肺、益胃生津（或补肺胃之阴，清肺胃之热）为主要功效。但北沙参清养肺胃作用稍强，肺胃阴虚有热之证较为多用。而南沙参尚兼益气及祛痰作用，较宜于气阴两伤及燥痰咳嗽者。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('431', '百合', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补阴'), '', 'BH', '克', '甘，微寒。归肺、心、胃经。', '养阴润肺，清心安神。', '1．肺阴虚证。\n2．阴虚有热之失眠心悸及百合病心肺阴虚内热证。', '', '3', '【用法用量】煎服，6～12g。蜜炙可增加润肺作用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('432', '麦冬', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补阴'), '麦门冬', 'MD,MMD', '克', '甘、微苦，微寒。归胃、肺、心经。', '养阴生津，润肺清心。', '1．胃阴虚证。\n2．肺阴虚证。\n3．心阴虚证。', '', '3', '【用法用量】煎服，6～12g。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('433', '天冬', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补阴'), '', 'TD', '克', '甘、苦，寒。归肺、肾、胃经。', '养阴润燥，清肺生津。', '1．肺阴虚证。\n2．肾阴虚证。\n3．热病伤津之食欲不振、口渴及肠燥便秘等证。', '', '3', '【用法用量】煎服，6～12g。\n【使用注意】本品甘寒滋腻之性较强，脾虚泄泻、痰湿内盛者忌用。\n【鉴别用药】天冬与麦冬，既能滋肺阴、润肺燥、清肺热，又可养胃阴、清胃热、生津止渴，对于热病伤津之肠燥便秘，还可增液润肠以通便。二药性能功用相似，相须为用。然天冬苦寒之性较甚，清火与润燥之力强于麦冬，且入肾滋阴，还宜于肾阴不足，虚火亢旺之证。麦冬微寒，清火与滋润之力虽稍弱，但滋腻性亦较小，且能清心除烦，宁心安神，又宜于心阴不足及心热亢旺之证。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('434', '石斛', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补阴'), '', 'SH', '克', '甘，微寒。归胃、肾经。', '益胃生津，滋阴清热。', '1．胃阴虚及热病伤津证。\n2．肾阴虚证。', '', '3', '【用法用量】煎服，6～12g。鲜用，15～30g。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('435', '葳蕤', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补阴'), '玉竹', 'WR,YZ', '克', '甘，微寒。归肺、胃经。', '养阴润燥、生津止渴。', '1．肺阴虚证。\n2．胃阴虚证。', '', '3', '【用法用量】煎服，6～12g。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('436', '黄精', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补阴'), '', 'HJ', '克', '甘，平。归脾、肺、肾经。', '补气养阴，健脾，润肺，益肾。', '1．阴虚肺燥，干咳少痰及肺肾阴虚的劳咳久咳。\n2．脾虚阴伤证。\n3．肾精亏虚。', '', '3', '【用法用量】煎服，9～15g。\n【鉴别用药】黄精与山药，均为性味甘平，主归肺、脾、肾三脏，气阴双补之品。然黄精滋肾之力强于山药，而山药长于健脾，并兼有涩性，较宜于脾胃气阴两伤，食少便溏及带下等证。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('437', '明党参', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补阴'), '', 'MDS', '克', '甘、微苦，微寒。归肺、脾、肝经。', '润肺化痰，养阴和胃，平肝。', '1．肺阴虚证。\n2．脾胃阴虚证。\n3．肝阴不足或肝热上攻所至的眩晕、头痛、目赤等证。', '', '3', '【用法用量】煎服，6～12g。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('438', '枸杞子', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补阴'), '', 'GJZ', '克', '甘，平。归肝、肾经。', '滋补肝肾，益精明目。', '肝肾阴虚及早衰证。', '', '3', '【用法用量】煎服，6～12g。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('439', '墨旱莲', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补阴'), '', 'MHL', '克', '甘、酸，寒。归肝、肾经。', '滋补肝肾，凉血止血。', '1．肝肾阴虚证。\n2．阴虚血热的失血证。', '', '3', '【用法用量】煎服，6～12g。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('440', '女贞子', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补阴'), '', 'NZZ,LZZ', '克', '甘、苦，凉。归肝、肾经。', '滋补肝肾，乌须明目。', '肝肾阴虚证。', '', '3', '【用法用量】煎服，6～12g。因主要成分齐墩果酸不易溶于水，故以入丸剂为佳。本品以黄酒拌后蒸制，可增强滋补肝肾作用，并使苦寒之性减弱，避免滑肠。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('441', '桑椹', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补阴'), '', 'SS', '克', '甘、酸，寒。归肝、肾经。', '滋阴补血，生津润燥。', '1．肝肾阴虚证。\n2．津伤口渴、消渴及肠燥便秘等证。', '', '3', '【用法用量】煎服，9～15g。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('442', '黑芝麻', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补阴'), '', 'HZM', '克', '甘，平。归肝、肾、大肠经。', '补肝肾，润肠燥。', '1．肾精肝血亏虚所致的早衰诸证。\n2．肠燥便秘。', '', '3', '【用法用量】煎服，9～15g。或入丸、散剂。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('443', '龟甲', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补阴'), '', 'GJ', '克', '甘，寒。归肾、肝、心经。', '滋阴，潜阳，益肾健骨，养血补心。', '1．阴虚阳亢，阴虚内热，虚风内动。\n2．肾虚骨痿，囟门不合。\n3．阴血亏虚，惊悸、失眠、健忘。', '', '3', '【用法用量】煎服，9～24g。宜先煎。本品经砂炒醋淬后，有效成分更容易煎出；并除去腥气，便于制剂。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('444', '鳖甲', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补阴'), '', 'BJ', '克', '甘、咸，寒。归肝、肾经。', '滋阴潜阳，退热除蒸，软坚散结。', '1．肝肾阴虚证。\n2．癥瘕积聚。\n', '龟甲', '3', '【用法用量】煎服，9～24g。宜先煎。本品经砂炒醋淬后，有效成分更容易煎出；其可去其腥气，易于粉碎，方便制剂。\n【鉴别用药】龟甲与鳖甲，均能滋养肝肾之阴、平肝潜阳。均宜用于肾阴不足，虚火亢旺之骨蒸潮热、盗汗、遗精及肝阴不足，肝阳上亢之头痛、眩晕等症。但龟甲长于滋肾，鳖甲长于退虚热。此外，龟甲还兼有健骨、补血、养心等功效，还常用肝肾不足，筋骨痿弱，腰膝酸软，妇女崩漏、月经过多及心血不足，失眠、健忘等证。鳖甲还兼软坚散结作用，还常于腹内癥瘕积聚。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('445', '麻黄根', (select PK_ID from SYNDROME_SUBJECT where NAME = '__固表止汗'), '', 'MHG', '克', '甘、微涩，平。归肺经。', '固表止汗。', '自汗、盗汗。', '', '3', '【用法用量】煎服，3～9g。 外用适量。\n【使用注意】有表邪者，忌用。\n【鉴别用药】麻黄与麻黄根，二药同出一源，均可治汗。然前者以其地上草质茎入药，主发汗，以发散表邪为用，临床上用于外感风寒表实证；后者以其地下根及根茎入药，主止汗，以敛肺固表为用，为止汗之专药，可内服、外用于各种虚汗。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('446', '浮小麦', (select PK_ID from SYNDROME_SUBJECT where NAME = '__固表止汗'), '', 'FXM', '克', '甘，凉。归心经。', '固表止汗，益气，除热。', '1．自汗，盗汗。\n2．骨蒸劳热。', '', '3', '【用法用量】煎服，15～30g；研末服，3～5g。\n【使用注意】表邪汗出者忌用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('447', '糯稻根须', (select PK_ID from SYNDROME_SUBJECT where NAME = '__固表止汗'), '', 'NDGX', '克', '甘，平。归心，肝经。', '固表止汗，益胃生津，退虚热。', '1．自汗， 盗汗。\n2．虚热不退，骨蒸潮热。', '', '3', '【用法用量】煎服，15～30g。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('448', '五味子', (select PK_ID from SYNDROME_SUBJECT where NAME = '固涩'), '', 'WWZ', '克', '酸、甘，温。归肺、心、肾经。', '收敛固涩，益气生津，补肾宁心。', '1．久咳虚喘。\n2．自汗，盗汗。\n3．遗精，滑精。\n4．久泻不止。 \n5．津伤口渴，消渴。\n6．心悸，失眠，多梦。', '', '3', '【用法用量】煎服， 3～6g； 研末服，1～3g。   【使用注意】凡表邪未解，内有实热，咳嗽初起，麻疹初期，均不宜用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('449', '乌梅', (select PK_ID from SYNDROME_SUBJECT where NAME = '固涩'), '', 'WM', '克', '酸、涩，平。归肝、脾、肺、大肠经。', '敛肺止咳，涩肠止泻，安蛔止痛，生津止渴。', '1．肺虚久咳。\n2．久泻，久痢。\n3．蛔厥腹痛，呕吐。\n4．虚热消渴。', '', '3', '【用法用量】煎服，3～10g，大剂量可用至30g。外用适量，捣烂或炒炭研末外敷。止泻止血宜炒炭用。\n【使用注意】外有表邪或内有实热积滞者均不宜服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('450', '五倍子', (select PK_ID from SYNDROME_SUBJECT where NAME = '固涩'), '', 'WBZ', '克', '酸、涩，寒。归肺、大肠、肾经。', '敛肺降火、止咳止汗，涩肠止泻，固精止遗，收敛止血，收湿敛疮。', '1．咳嗽，咯血。\n2．自汗，盗汗。\n3．久泻，久痢。\n4．遗精，滑精。\n5．崩漏，便血痔血。\n6．湿疮，肿毒。', '', '3', '【用法用量】煎服，3～9g；入丸、散服，每次1～1.5g。外用适量。研末外敷或煎汤熏洗。\n【使用注意】湿热泻痢者忌用。\n【鉴别用药】五倍子与五味子，二药味酸收敛，均具有敛肺止咳、 敛汗止汗、涩精止遗、 涩肠止泻的作用。 均可用于肺虚久咳、自汗盗汗、遗精滑精、久泻不止等病证。 然五倍子于敛肺之中又有清肺降火及收敛止血作用，故又可用于肺热痰嗽及咳嗽咯血者；而五味子则又能滋肾，多用于肺肾二虚之虚喘及肾虚精关不固之遗精滑精等。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('451', '罂粟壳', (select PK_ID from SYNDROME_SUBJECT where NAME = '固涩'), '', 'YSK', '克', '酸、涩，平。有毒。归肺、大肠、肾经。', '涩肠止泻，敛肺止咳，止痛。', '1．久泻，久痢。\n2．肺虚久咳。\n3．胃痛，腹痛，筋骨疼痛。', '', '6', '【用法用量】煎服，3～6。 止咳蜜炙用，止血止痛醋炒用。\n【使用注意】本品过量或持续服用易成瘾。咳嗽或泻痢初起邪实者忌用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('452', '诃子', (select PK_ID from SYNDROME_SUBJECT where NAME = '固涩'), '', 'HZ', '克', '苦、酸、涩，平。归肺、大肠经。', '涩肠止泻，敛肺止咳，利咽开音。', '1．久泻，久痢。\n2．久咳，失音。', '', '3', '【用法用量】煎服，3～10g。涩肠止泻宜煨用，敛肺清热利咽开音宜生用。\n【使用注意】凡外有表邪、内有湿热积滞者忌用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('453', '石榴皮', (select PK_ID from SYNDROME_SUBJECT where NAME = '__涩肠固脱'), '', 'SLP', '克', '酸、涩，温。归大肠经。', '涩肠止泻，杀虫，收敛止血。', '1．久泻，久痢。\n2．虫积腹痛。\n3．崩漏，便血。', '', '3', '【用法用量】煎服，3～10g。入汤剂生用，入丸、散多炒用，止血多炒炭用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('454', '肉豆蔻', (select PK_ID from SYNDROME_SUBJECT where NAME = '__涩肠固脱'), '', 'RDK', '克', '辛，温。归脾、胃、大肠经。', '涩肠止泻，温中行气。', '1．虚泻，冷痢。\n2．胃寒胀痛，食少呕吐。', '', '7', '【用法用量】煎服，3～9g；入丸、散服，每次0.5～1g。内服须煨熟去油用。\n【使用注意】湿热泻痢者忌用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('455', '赤石脂', (select PK_ID from SYNDROME_SUBJECT where NAME = '__涩肠固脱'), '', 'CSZ', '克', '甘、涩，温。归大肠、胃经。', '涩肠止泻，收敛止血，敛疮生肌。', '1．久泻，久痢。\n2．崩漏，便血。\n3．疮疡久溃。', '', '3', '【用法用量】煎服。10～20g 。外用适量。研细末撒患处或调敷。\n【使用注意】湿热积滞泻痢者忌服。孕妇慎用。畏官桂。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('456', '禹余粮', (select PK_ID from SYNDROME_SUBJECT where NAME = '__涩肠固脱'), '', 'YYL', '克', '甘、涩，平。归胃经。', '涩肠止泻，收敛止血，止带。', '1．久泻，久痢。\n2．崩漏，便血。\n3．带下。', '', '3', '【用法用量】煎服，10～20g。\n【使用注意】孕妇慎用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('457', '山茱萸', (select PK_ID from SYNDROME_SUBJECT where NAME = '__涩精止遗'), '', 'SZY', '克', '酸、 涩，微温。归肝、肾经。', '补益肝肾，收敛固涩。', '1．腰膝酸软，头晕耳鸣，阳痿。\n2．遗精滑精，遗尿尿频。\n3．崩漏，月经过多。\n 4．大汗不止，体虚欲脱。', '', '3', '【用法用量】煎服，5～10g，急救固脱20～30g。\n【使用注意】素有湿热而致小便淋涩者，不宜应用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('458', '覆盆子', (select PK_ID from SYNDROME_SUBJECT where NAME = '__涩精止遗'), '', 'FPZ', '克', '甘、酸，微温。入肝、肾经。', '固精缩尿，益肝肾明目。', '1．遗精滑精、遗尿尿频。\n2．肝肾不足，目暗不明。', '', '3', '【用法用量】煎服，5～10g。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('459', '桑螵蛸', (select PK_ID from SYNDROME_SUBJECT where NAME = '__涩精止遗'), '', 'SPX', '克', '甘、咸，平。归肝、肾经。', '固精缩尿，补肾助阳。', '1．遗精滑精，遗尿尿频，白浊。\n2．阳痿。', '', '3', '【用法用量】煎服，6～10g。\n【使用注意】本品助阳固涩，故阴虚多火，膀胱有热而小便频数者忌用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('460', '金樱子', (select PK_ID from SYNDROME_SUBJECT where NAME = '__涩精止遗'), '', 'JYZ', '克', '酸、涩，平。归肾、膀胱、大肠经。', '固精缩尿止带，涩肠止泻。', '1．遗精滑精、遗尿尿频、带下。\n2．久泻、久痢。', '', '3', '【用法用量】煎服。6～12g。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('461', '海螵蛸', (select PK_ID from SYNDROME_SUBJECT where NAME = '__涩精止遗'), '', 'HPX', '克', '咸、涩，微温。归肝、肾经。', '固精止带，收敛止血，制酸止痛，收湿敛疮。', '1．遗精，带下。\n2．崩漏，吐血，便血及外伤出血。\n3．胃痛吐酸。\n4．湿疮，湿疹，溃疡不敛。', '桑螵蛸', '3', '【用法用量】煎服，6～12g。散剂酌减。外用适量。\n【鉴别用药】海螵蛸与桑螵蛸，两药均有固精止遗作用，均可用以治疗肾虚精关不固之遗精、滑精等证。但桑螵蛸固涩之中又能补肾助阳，而海螵蛸固涩力较强。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('462', '莲子', (select PK_ID from SYNDROME_SUBJECT where NAME = '__涩精止遗'), '', 'LZ', '克', '甘、涩，平。归脾、肾、心经。', '固精止带，补脾止泻，益肾养心。', '1．遗精，滑精。\n2．带下。\n3． 脾虚泄泻。\n4．心悸，失眠。', '', '3', '【用法用量】煎服，10～15g。去心打碎用。\n 附药　莲须　莲房　莲子心 荷叶　荷梗\n1．莲须:为莲花中的雄蕊。味甘、涩，性平。功能固肾涩精。主治遗精、滑精、带下、尿频。煎服，1.5～5g 。\n2．莲房:为莲的成熟花托。味苦、涩，性温。功能止血化瘀。主治崩漏、尿血、痔疮出血、产后瘀阻、恶露不尽。炒炭用。煎服，5～10g 。\n3．莲子心:莲子中的青嫩胚芽。味苦，性寒。功能清心安神，交通心肾，涩精止血。主治热入心包，神昏谵语；心肾不交，失眠遗精；血热吐血。煎服，1.5～3g。  \n4．荷叶:为莲的叶片。味苦、涩，性平。功能清暑利湿，升阳止血。主治暑热病证、脾虚泄泻和多种出血证。煎服，3 ～10g 。\n5．荷梗:为莲的叶柄及花柄。味苦，性平。功能通气宽胸，和胃安胎。主治外感暑湿、胸闷不畅、妊娠呕吐、胎动不安。煎服，10～15g。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('463', '芡实', (select PK_ID from SYNDROME_SUBJECT where NAME = '__涩精止遗'), '', 'QS', '克', '甘、涩，平。归脾、肾经。', '益肾固精，健脾止泻，除湿止带。', '1．遗精，滑精。\n2．脾虚久泻。\n3． 带下。', '', '3', '【用法用量】煎服，10～15g。\n【鉴别用药】芡实与莲子，二者同科属，均为甘涩平，主归脾、肾经。均能益肾固精、补脾止泻、止带，其补中兼涩，主治肾虚遗精、遗尿；脾虚食少、泄泻；脾肾两虚之带下等。但芡实益脾肾固涩之中，又能除湿止带，故为虚、实带下证之常用药物。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('464', '刺猬皮', (select PK_ID from SYNDROME_SUBJECT where NAME = '__涩精止遗'), '', 'CWP', '克', '苦、涩，平。归肾、胃、大肠。', '固精缩尿，收敛止血，化瘀止痛。', '1．遗精滑精，遗尿尿频。\n2．便血，痔血。\n3．胃痛，呕吐。', '', '3', '【用法用量】煎服，3～10g；研末服1.5～3g。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('465', '椿皮', (select PK_ID from SYNDROME_SUBJECT where NAME = '__固崩止带'), '', 'CP', '克', '苦、涩，寒。归大肠、肝经。', '清热燥湿，收敛止带，止泻，止血。', '1．赤白带下。\n2．久泻久痢，湿热泻痢。\n3．崩漏经多，便血痔血。', '', '3', '【用法用量】煎服，6～9g。外用适量。\n【使用注意】脾胃虚寒者慎用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('466', '鸡冠花', (select PK_ID from SYNDROME_SUBJECT where NAME = '__固崩止带'), '', 'JGH', '克', '甘、涩，凉。归肝、大肠。', '收敛止带，止血，止痢。', '1．带下。\n2．崩漏，便血痔血。\n3．赤白下痢，久痢不止。', '', '3', '【用法用量】煎服，6～15g。\n【使用注意】瘀血阻滞崩漏及湿热下痢初起兼有寒热表证者不宜使用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('467', '常山', (select PK_ID from SYNDROME_SUBJECT where NAME = '涌吐'), '', 'CS', '克', '苦、辛，寒。有毒。归肺、心、肝经。', '涌吐痰涎，截疟。', '1．胸中痰饮证。\n2．疟疾。', '', '8', '【用法用量】煎服，4.5～9g；入丸、散酌减。涌吐可生用，截疟宜酒制用。治疟宜在病发作前半天或2小时服用，并配伍陈皮、半夏等减轻其致吐的副作用。\n【使用注意】本品有毒，且能催吐，故用量不宜过大，体虚及孕妇不宜用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('468', '瓜蒂', (select PK_ID from SYNDROME_SUBJECT where NAME = '涌吐'), '', 'GD', '枚', '苦，寒。有毒。归胃经。', '涌吐痰食，祛湿退黄。', '1．风痰、宿食停滞及食物中毒诸证。\n2．湿热黄疸。', '', '8', '【用法用量】煎服，2.5～5g；入丸、散服，每次0.3～1g。外用适量；研末吹鼻，待鼻中流出黄水即可停药。\n【使用注意】体虚、吐血、咯血、胃弱、孕妇及上部无实邪者忌用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('469', '胆矾', (select PK_ID from SYNDROME_SUBJECT where NAME = '涌吐'), '', 'DF', '克', '酸、涩、辛，寒。有毒。归肝、胆经。', '涌吐痰涎，解毒收湿，祛腐蚀疮。', '1．喉痹、癫痫、误食毒物。\n2．风眼赤烂、口疮、牙疳。\n3．胬肉、疮疡。', '', '8', '【用法用量】温水化服，0.3～0.6g。外用适量，研末撒或调敷，或以水溶化后外洗。\n【使用注意】体虚者忌用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('470', '雄黄', (select PK_ID from SYNDROME_SUBJECT where NAME = '驱虫'), '', 'XH', '克', '辛，温。有毒。归肝、胃、大肠经。', '解毒，杀虫。', '痈肿疔疮，湿疹疥癣，蛇虫咬伤。', '', '6', '【用法用量】外用适量，研末敷，香油调搽或烟熏。内服0.05～0.1g，入丸、散用。\n【使用注意】内服宜慎，不可久服。外用不宜大面积涂擦及长期持续使用。孕妇禁用。切忌火煅。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('471', '硫黄', (select PK_ID from SYNDROME_SUBJECT where NAME = '驱虫'), '', 'LH', '克', '酸，温。有毒。归肾、大肠经。', '外用解毒杀虫疗疮；内服补火助阳通便。', '1．外用治疥癣，湿疹，阴疽疮疡。\n2．内服治阳痿，虚喘冷哮，虚寒便秘。', '', '5', '【用法用量】外用适量，研末敷或加油调敷患处。内服1.5～3g，炮制后入丸、散服。\n【使用注意】阴虚火旺及孕妇忌服。\n【鉴别用药】硫黄和雄黄均能解毒杀虫，常外用于疥癣恶疮湿疹等症。然雄黄解毒疗疮力强，主治痈疽恶疮及虫蛇咬伤；内服又能杀虫，燥湿，祛痰，截疟，亦治虫积腹痛、哮喘、疟疾、惊痫等证。硫黄则杀虫止痒力强，多用于疥癣、湿疹及皮肤瘙痒；并具补火助阳通便之效，内服可疗寒喘、阳痿、虚寒便秘等证。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('472', '白矾', (select PK_ID from SYNDROME_SUBJECT where NAME = '驱虫'), '', 'BF', '克', '酸、涩，寒。归肺、脾、肝、大肠经。', '外用解毒杀虫，燥湿止痒；内服止血，止泻，化痰。', '1．外用治湿疹瘙痒，疮疡疥癣。\n2．内服治①便血、吐衄、崩漏。②久泻久痢。③痰厥癫狂痫证。', '', '6', '【用法用量】外用适量，研末撒布、调敷或化水洗患处。内服0.6～1.5g，入丸、散服。\n【使用注意】体虚胃弱及无湿热痰火者忌服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('473', '蛇床子', (select PK_ID from SYNDROME_SUBJECT where NAME = '驱虫'), '', 'SCZ', '克', '辛、苦，温。有小毒。归肾经。', '杀虫止痒，燥湿，温肾壮阳。', '1． 阴部湿痒，湿疹，疥癣。\n2．寒湿带下，湿痹腰痛。\n3．肾虚阳痿，宫冷不孕。', '', '3', '【用法用量】外用适量，多煎汤熏洗或研末调敷。内服3～9g。\n【使用注意】阴虚火旺或下焦有湿热者不宜内服。\n【鉴别用药】蛇床子、地肤子均可止痒，用治湿疮、湿疹、阴痒、带下。但蛇床子可散寒燥湿，杀虫止痒，宜于寒湿或虚寒所致者，并治疥癣；而地肤子为清热利湿以止痒，尤宜湿热所致者。再有，蛇床子又温肾壮阳，治阳痿、宫冷不孕以及湿痹腰痛；地肤子清热利湿之功又治小便不利、热淋涩痛。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('474', '蟾酥', (select PK_ID from SYNDROME_SUBJECT where NAME = '驱虫'), '', 'CC', '克', '辛，温。有毒。归心经。', '解毒，止痛，开窍醒神。', '1．痈疽疔疮，瘰疬，咽喉肿痛，牙痛。\n2．痧胀腹痛，神昏吐泻。', '', '6', '【用法用量】内服0.015～0.03g，研细，多入丸、散用。外用适量。\n【使用注意】本品有毒，内服慎勿过量。外用不可入目。孕妇忌用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('475', '樟脑', (select PK_ID from SYNDROME_SUBJECT where NAME = '驱虫'), '', 'ZN,ZL', '克', '辛，热。有毒。归心、脾经。', '除湿杀虫，温散止痛，开窍辟秽。', '1．疥癣瘙痒，湿疮溃烂。\n2．跌打伤痛，牙痛。\n3．痧胀腹痛，吐泻神昏。', '', '6', '【用法用量】外用适量，研末撒布或调敷。内服0.1～0.2g，入散剂或用酒溶化服。\n【使用注意】气虚阴亏，有热及孕妇忌服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('476', '木鳖子', (select PK_ID from SYNDROME_SUBJECT where NAME = '驱虫'), '', 'MBZ', '克', '苦、微甘，凉。有毒。归肝、脾、胃经。', '攻毒疗疮，消肿散结。', '1．疮疡肿毒，瘰疬，乳痈，痔疮肿痛，干癣，秃疮。\n2．筋脉拘挛。', '', '5', '【用法用量】外用适量，研末，用油或醋调涂患处。内服0.6～1.2g，多入丸、散用。\n【使用注意】孕妇及体虚者忌服。\n【鉴别用药】木鳖子、马钱子皆为有毒之品，均能消肿散结，通络止痛，用治疮痈肿痛，跌打伤痛等证。但是，木鳖子为胡芦科植物，长于攻毒疗疮，临床上多用于恶疮肿毒、瘰疬、乳痈、痔疮等证；而马钱子为马钱科植物，又名番木鳖，有大毒，应用宜慎，长于通经络，消结肿，止疼痛，临床多用于风湿顽痹，麻木不遂，跌打伤痛等证，止痛强于木鳖子。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('477', '土荆皮', (select PK_ID from SYNDROME_SUBJECT where NAME = '驱虫'), '', 'TJP', '克', '辛，温。有毒。归肺、脾经。', '杀虫，止痒。', '1．体癣、手足癣、头癣等多种癣病。\n2．湿疹，皮炎，皮肤瘙痒。', '', '5', '【用法用量】外用适量，酒或醋浸涂擦，或研末调涂患处。\n【使用注意】只供外用，不可内服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('478', '蜂房', (select PK_ID from SYNDROME_SUBJECT where NAME = '驱虫'), '', 'FF', '克', '甘，平。归胃经。', '攻毒杀虫，祛风止痛。', '1．疮疡肿毒，乳痈，瘰疬，顽癣瘙痒，癌肿。\n2．风湿痹痛，牙痛，风疹瘙痒。', '', '6', '【用法用量】外用适量，研末用油调敷或煎水漱口，或熏洗患处。内服，3～5g。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('479', '大蒜', (select PK_ID from SYNDROME_SUBJECT where NAME = '驱虫'), '', 'DS', '克', '辛，温。归脾、胃、肺经。', '解毒杀虫，消肿，止痢。', '1．用于痈肿疔毒，疥癣。\n2．痢疾，泄泻，肺痨，顿咳。\n3．钩虫病，蛲虫病。', '', '4', '【用法用量】外用适量，捣敷，切片擦或隔蒜灸。内服5～10g，或生食，或制成糖浆服。\n【使用注意】外服可引起皮肤发红、灼热甚至起泡，故不可敷之过久。阴虚火旺及有目、舌、喉、口齿诸疾不宜服用。孕妇忌灌肠用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('480', '升药', (select PK_ID from SYNDROME_SUBJECT where NAME = '拔毒化腐生肌'), '', 'SY', '克', '辛，热。有大毒。归肺、脾经。', '拔毒，去腐。', '痈疽溃后，脓出不畅，或腐肉不去，新肉难生。', '', '9', '【用法用量】外用适量。本品只供外用，不能内服。且不用纯品，而多配煅石膏外用。用时，研极细粉末，干掺或调敷，或以药捻沾药粉使用。\n【使用注意】本品有大毒，外用亦不可过量或持续使用。外疡腐肉已去或脓水已尽者，不宜用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('481', '轻粉', (select PK_ID from SYNDROME_SUBJECT where NAME = '拔毒化腐生肌'), '', 'QF', '克', '辛，寒。有毒。归大肠、小肠经。', '外用攻毒杀虫，敛疮。内服逐水通便。', '1．外用治疮疡溃烂，疥癣瘙痒，湿疹，酒齄鼻，梅毒下疳。\n2．内服治水肿胀满，二便不利。', '', '6', '【用法用量】外用适量，研末调涂或干掺，制膏外贴。内服每次0.1～0.2g，入丸、散服。\n【使用注意】本品有毒（可致汞中毒），内服宜慎，且服后应漱口。体虚及孕妇忌服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('482', '砒石', (select PK_ID from SYNDROME_SUBJECT where NAME = '拔毒化腐生肌'), '', 'PS', '克', '辛，大热。有大毒。归肺、肝经。', '外用攻毒杀虫，蚀疮去腐；内服劫痰平喘，截疟。', '1．腐肉不脱之恶疮，瘰疬，顽癣，牙疳，痔疮。\n2．寒痰哮喘。', '', '9', '【用法用量】外用适量，研末撒敷，宜作复方散剂或入膏药、药捻用。内服一次0.002～0.004g，入丸、散服。\n【使用注意】本品剧毒，内服宜慎；外用亦应注意，以防局部吸收中毒。孕妇忌服。不可作酒剂服。忌火煅。\n');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('483', '铅丹', (select PK_ID from SYNDROME_SUBJECT where NAME = '拔毒化腐生肌'), '', 'QD', '克', '辛，微寒。有毒。归心、肝经。', '拔毒生肌，杀虫止痒。', '1.外用治疮疡溃烂，湿疹瘙痒，疥癣，狐臭，酒齄鼻。\n2.此外，本品内服，可治惊痫癫狂，疟疾。因其有毒，现已很少应用。', '', '6', '【用法用量】外用适量，研末撒布或熬膏贴敷。内服每次0.3～0.6g，入丸、散服。\n【使用注意】本品有毒，用之不当可引起铅中毒，宜慎用；不可持续使用以防蓄积中毒。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('484', '炉甘石', (select PK_ID from SYNDROME_SUBJECT where NAME = '拔毒化腐生肌'), '', 'LGS', '克', '甘，平。归肝、胃经。', '解毒明目退翳，收湿止痒敛疮。', '1．目赤翳障。\n2．溃疡不敛，湿疮，湿疹，眼睑溃烂。', '', '5', '【用法用量】外用适量，研末撒布或调敷。水飞点眼、吹喉。一般不内服。\n【使用注意】宜炮制后用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('485', '硼砂', (select PK_ID from SYNDROME_SUBJECT where NAME = '拔毒化腐生肌'), '', 'PS', '克', '甘，咸，凉。归肺、胃经。', '外用清热解毒，内服清肺化痰。', '1．咽喉肿痛，口舌生疮，目赤翳障。\n2．痰热咳嗽。', '', '3', '【用法用量】外用适量，研极细末干撒或调敷患处；或化水含漱。内服，1.5～3g，入丸、散用。\n【使用注意】本品以外用为主，内服宜慎。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('486', '芍药', (select PK_ID from SYNDROME_SUBJECT where NAME = '__辛温解表'), '赤芍药', 'SY,CSY', '克', '酸苦，凉。入肝、脾经。', '行瘀，止痛，凉血，消肿。治瘀滞经闭，疝瘕积聚，腹痛，胁痛，衄血，血痢，肠风下血，目赤，痈肿。', '1.解痉作用.\n2.对循环系统的作用.\n3.镇痛、镇静、抗惊厥作用.\n4.抗炎、抗溃疡作用.\n5.抗菌、解热作用.', '', '3', '【用法用量】内服：煎汤，1.5～3钱；或入丸、散。\n【使用注意】血虚者慎服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('487', '银花', (select PK_ID from SYNDROME_SUBJECT where NAME = '__辛凉解表'), '金银花,忍冬花', 'YH,JYH,RDH', '克', '甘，寒。归肺、胃、大肠经。', '清热解毒，凉散风热。', '痈肿疔疮，喉痹，丹毒，热血毒痢，风热感冒，温病发热。', '', '3', '【用法用量】10-15g。外用适量。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('488', '枳壳', (select PK_ID from SYNDROME_SUBJECT where NAME = '__扶正解表'), '', 'ZK', '克', '苦、辛、酸，温。归脾、胃经。', '理气宽中，行滞消胀。', '用于胸胁气滞，胀满疼痛，食积不化，痰饮内停；胃下垂，脱肛，子官脱垂。', '', '3', '【用法用量】3～9g。\n【使用注意】孕妇慎用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('489', '牡丹', (select PK_ID from SYNDROME_SUBJECT where NAME = '__寒下'), '', 'MD', '克', '苦；淡；平. 肝经.', '活血调经。', '主妇女月经不调；经行腹痛.', '', '3', '【用法用量】内服：煎汤，3-6g。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('490', '瓜子', (select PK_ID from SYNDROME_SUBJECT where NAME = '__寒下'), '南瓜子', 'GZ,NGZ', '克', '味甘；性平. 归大肠经.', '杀虫；下乳；利水消肿。', '主绦虫；蛔虫；血吸虫；钩虫；蛲虫病；产后缺乳；后手足浮肿；百日咳；痔疮.', '', '3', '【用法用量】内服：煎汤，30-60g；研末或制成乳剂。外用：适量，煎水熏洗。\n【使用注意】《纲目拾遗》：多食壅气滞膈。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('491', '麻子仁', (select PK_ID from SYNDROME_SUBJECT where NAME = '__润下'), '', 'MZR', '克', '.', '.', '.', '', '3', '.');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('492', '赤小豆', (select PK_ID from SYNDROME_SUBJECT where NAME = '__表里双解'), '赤豆,红小豆', 'CXD,CD,HXD', '克', '甘酸，平。归心、小肠经。', '利水消肿，解毒排脓。', '水肿胀满，脚气浮肿，黄疸尿赤，风湿热痹。', '', '3', '【用法用量】10-30g。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('493', '椒目', (select PK_ID from SYNDROME_SUBJECT where NAME = '__表里双解'), '川椒目', 'JM,CJM', '克', '苦辛，寒，有毒。入脾、膀胱二经。', '治水肿胀满，痰饮喘逆。', '治水肿胀满，痰饮喘逆。', '', '5', '【用法用量】内服：煎汤，5～8分；或入丸、散。\n【使用注意】阴虚火旺者忌服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('494', '粳米', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清气分热'), '大米', 'JM,DM', '克', '甘，平。入脾、胃经。', '补中益气，健脾和胃，除烦渴，止泻痢。', '补中益气，健脾和胃，除烦渴，止泻痢。', '', '1', '【用法用量】内服：煎汤。\n【使用注意】《纲目》：炒米汤不去火毒，令人作渴。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('495', '元参', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清营凉血'), '黑参', 'YS,HS', '克', '甘、咸、微苦，寒。入肺、胃、肾经。', '凉血滋阴，泻火解毒，发烧烦渴，自汗盗汗，便秘，吐血鼻血，咽喉炎，肺结核。', '1.清热凉血;\n2.养阴清热;\n3.泻火解毒;\n4.软坚散结', '', '3', '【用法用量】9～15g。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('496', '朴硝', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清热解毒'), '盐硝', 'PX,YX', '克', '苦、寒、无毒。归胃,大肠经', '泻热润燥；清热消肿；软坚散结 .', '实热积滞；腹胀便秘；停痰积聚；目赤肿痛；喉痹；痈肿；乳肿；痔疮肿痛；停痰积聚；妇人瘀血腹痛 .', '', '3', '【用法用量】内服：溶入汤剂，1.5-3钱；或入丸、散。外用：研末吹喉或水化罨敷、点眼。 \n【使用注意】脾胃虚寒及孕妇禁服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('497', '皂角刺', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清热解毒'), '天丁,皂针', 'ZJC,TJ,ZZ', '克', '性温，味辛。归肝,肺经', '消肿托毒，排脓，杀虫。', '用于痈疽初起或脓化不溃；外治疥癣麻风。', '', '3', '【用法用量】内服：煎汤，3-9g；或入丸、散。外用：适量，醋煎涂，或研末撒，或调敷。\n【使用注意】《本草经疏》：凡痈疽已溃不宜服，孕妇亦忌之。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('498', '苇茎', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清脏腑热'), '', 'WJ', '克', '味甘，性寒。归心、肺经。', '功能清肺热。', '主治肺痈咳吐脓血痰液腥臭者。', '芦根', '3', '');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('499', '瓜瓣', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清脏腑热'), '冬瓜子,白瓜子', 'GB,DGZ,BGZ', '克', '气微，味微甜。甘，凉。入足厥阴经。', '润肺，化痰，消痈，利水。', '治痰热咳嗽，肺痈，肠痈，淋病，水肿，脚气，痔疮，鼻面酒皶。', '', '3', '【用法与用量】内服：煎汤，1～4钱；或研末。外用：煎水洗或研膏涂敷。\n【使用注意】忌久服寒中。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('500', '玉桂', (select PK_ID from SYNDROME_SUBJECT where NAME = '温里'), '官桂', 'YG,GG', '克', '辛、甘，热。归脾、肾、心、肝经。', '补火助阳，散寒止痛，温经通脉。', '1.用于肾阳衰弱的阳痿宫冷，虚喘心悸等。\n2.用于心腹冷痈，寒疝作痛等。本品甘热助阳以补虚，辛热散寒以止痛。\n3.用于寒痹腰痛，胸痹，阴疽。\n4.用于闭经，痛经。', '', '3', '【用法用量】 煎服，2～5g， 宜后下或局服； 研末冲服，每次1～2g。\n【使用注意】 畏赤石脂。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('501', '荷梗', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清热祛暑'), '藕杆,莲蓬杆', 'HG,OG,LPG', '克', '苦；性平. 归脾,膀胱经.', '解暑清热；理气化湿。', '主暑湿胸闷不舒；泄泻；痢疾；淋病；带下.', '', '3', '【用法用量】内服：煎汤，9-15g。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('502', '西瓜翠衣', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清热祛暑'), '西瓜皮,西瓜青', 'XGCY,XGP,XGQ', '克', '性凉，味甘。归心；胃；膀胱经.', '清暑解热，止渴，利小便。', '用于暑热烦渴、小便短少、水肿、口舌生疮。', '', '3', '【用法用量】内服：煎汤，9-30g；或焙干研末。外用：适量，烧存性研末撒.\n【使用注意】中寒湿盛者忌用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('503', '鹿角胶', (select PK_ID from SYNDROME_SUBJECT where NAME = '__温经散寒'), '白胶,鹿胶', 'LJJ,BJ,LJ', '克', '味甘；咸；性温. 归肝,肾经', '补益精血；安胎止血。', '主肾虚；精血不足；虚劳赢瘦；头晕耳鸣；腰膝酸软，阳痿滑精；宫寒不孕；胎动不安；崩漏带下；吐血；衄血；咯血；尿备；阴疽疮疡.', '', '3', '【用法用量】内服：开水或黄酒烊化，每次3g，每日9g；或入丸、散、膏剂。\n【使用注意】阴虚阳亢及火热内蕴之出血、咳嗽、疮疡、疟痢者禁服.');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('504', '姜炭', (select PK_ID from SYNDROME_SUBJECT where NAME = '__温经散寒'), '', 'JT', '克', '味苦；辛；涩；性温. 归脾；肝；肾经.', '温经止血；温脾止泻。', '主虚寒性吐血；便血；崩漏；阳虚泄泻.', '', '3', '【用法用量】内服：煎汤，1-6g； 或入丸、散。外用：适量，研末调敷。\n【使用注意】阴虚火旺者及孕妇慎服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('505', '糯米', (select PK_ID from SYNDROME_SUBJECT where NAME = '__气血双补'), '稻米,江米', 'NM,LM,DM,JM', '克', '性甘,温. \n归脾,胃,肺经.', '补中益气；健脾止泻；缩尿；剑汗；解毒。', '主脾胃虚寒泄泻；霍乱吐逆；消渴尿多；自汗；痘疮；痔疮.', '', '3', '【用法用量】内服：煎汤，30-60g；或入丸、散；或煮粥。外用：适量，研末调敷。\n【使用注意】脾肺虚寒者宜之。若素有痰热风病，及脾病不能转输，食之最能发病成积。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('506', '龟版胶', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补阴'), '龟胶', 'GBJ,GJ', '克', '味甘咸，平。', '滋阴，补血，止血。', '治阴虚血亏，劳热骨蒸，吐血，衄血，烦热惊悸，肾虚腰痛，脚膝痿弱，崩漏，带下。', '', '3', '【用法用量】开水或黄酒化服，1～3钱。\n【使用注意】胃有寒湿者忌服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('507', '冰糖', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补阴'), '', 'BT', '克', '性甘,平.\n归脾,肺经.', '健脾和胃；润肺止咳。', '主脾胃气虚；肺燥咳嗽；或痰中带血.', '', '3', '【用法用量】内服：入汤，10-15g；或含化；或入丸、膏剂。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('508', '干地黄', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补阳'), '', 'GDH', '克', '性味甘；苦；微寒.\n归心；肝；肾经.', '滋阴清热；凉血补血。', '主热病烦渴；内热消渴；骨蒸劳热；温病发斑；血热所致的吐血；崩漏；尿血；便血；血虚萎黄；眩晕心悸；血少经闭.', '', '3', '【用法用量】内服：煎汤，10-15g，大剂量可用至30g；赤可熬膏或入丸、散；或浸润后捣绞汁饮。外用：适量，捣敷。\n【使用注意】脾虚泄泻、胃虚食少、胸膈多痰者慎服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('509', '鹿角', (select PK_ID from SYNDROME_SUBJECT where NAME = '__阴阳并补'), '斑龙角', 'LJ,BLJ', '克', '性味咸；性温.\n归肾；肝经.', '补肾阳；益精血；强筋骨；行血消肿。', '主肾虚腰脊冷痛；阳痿遗精；崩漏；白带；尿频尿多；阴疽疮疡；乳痈肿痛；跌打瘀肿；筋骨疼痛.', '', '3', '【用法用量】内服：煎汤，5-10g；研末， 每次1-3g； 或入丸、散。 外用：适量，磨汁涂、研末撒或调敷。熟用偏于补肾益精，生用偏于散血消肿。\n【使用注意】阴虚火旺者禁服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('510', '龟版', (select PK_ID from SYNDROME_SUBJECT where NAME = '__阴阳并补'), '', 'GB', '克', '性咸甘，平。归肝、肾经。', '滋阴，潜阳，补肾，健骨。', '治肾阴不足，骨蒸劳热，吐血，衄血，久咳，遗精，崩漏，带下，腰痛，骨痿，阴虚风动，久痢，久疟，痔疮，小儿囟门不合。', '', '3', '【用法用量】内服：煎汤，3～8钱；熬膏或入丸、散。外用：烧灰研末敷。\n【使用注意】孕妇或胃有寒湿者忌服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('511', '黑豆', (select PK_ID from SYNDROME_SUBJECT where NAME = '__阴阳并补'), '', 'HD', '克', '', '养血祛风。', '主治阴虚盗汗、虚热、烦躁、头晕目昏，血寒，风痹。', '', '3', '【用法用量】2～4钱。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('512', '蒺藜', (select PK_ID from SYNDROME_SUBJECT where NAME = '__涩精止遗'), '', 'JL', '克', '性辛、苦，微温；有小毒。\n归肝经。\n', '平肝解郁，活血祛风，明目，止痒。', '用于头痛眩晕，胸胁胀痛，乳闭乳痈，目赤翳障，风疹瘙痒。', '', '4', '【用法用量】6～9g。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('513', '莲须', (select PK_ID from SYNDROME_SUBJECT where NAME = '__涩精止遗'), '', 'LX', '克', '甘；涩；平.\n归心；肾经.', '清心益肾；涩精止血。', '主遗精；尿频；遗尿；带下；吐血；崩漏.', '', '3', '【用法用量】内服：煎汤，3-9g； 或入入丸、散。\n【使用注意】忌地黄、葱、蒜; 小便不利者勿服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('514', '菖蒲', (select PK_ID from SYNDROME_SUBJECT where NAME = '__涩精止遗'), '', 'CP', '克', '辛、苦，温。归心、胃经。', '化湿开胃，开窍豁痰，醒神益智。', '用于脘痞不饥，噤口下痢，神昏癫痫，健忘耳聋。', '', '3', '【用法用量】3～9g。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('515', '椿根皮', (select PK_ID from SYNDROME_SUBJECT where NAME = '__固崩止带'), '', 'CGP', '克', '苦；微辛；性平.\n归肝；脾；肾经.', '祛风解表；消热利湿。', '主外感头痛；风湿腰痛；痢疾；泄泻；跌打损伤.', '', '3', '【用法用量】内服：煎汤，9-15g，鲜品30-60g；或浸酒。外用：适量，捣敷；或煎汤熏洗。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('516', '天门冬', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补养安神'), '', 'TMD', '克', '味甘；苦；性寒. \n归肺；肾经.', '滋阴润燥；清肺降火。', '主燥热咳嗽；阴虚劳嗽；热病伤阴；内热消渴；肠燥便秘；咽喉肿痛.', '', '3', '【用法用量】内服：煎汤，6-15g；熬膏,或入丸、散。外用：适量，鲜品捣敷或捣烂绞汁涂。\n【使用注意】虚寒泄泻及风寒咳嗽者禁服。虚寒假热，脾肾溏泄最忌。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('517', '小麦', (select PK_ID from SYNDROME_SUBJECT where NAME = '__补养安神'), '', 'XM', '克', '味甘；性凉. \n归心；脾；肾经.', '养心；益肾；除热；止渴。', '主脏躁；烦热；消渴；泄利；痈肿；外伤出血；烫伤.', '', '3', '【用法用量】内服：小麦煎汤，50-100g；或煮粥。小麦面炒黄温水调服。外用：适量，小麦炒黑研末调敷。小麦面干撒或炒黄调敷。\n【使用注意】小麦面畏汉椒、萝菔。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('518', '安息香', (select PK_ID from SYNDROME_SUBJECT where NAME = '__温开'), '', 'AXX', '克', '辛、苦，平。归心、脾经.', '开窍清神，行气活血，止痛.', '用于中风痰厥，气郁暴厥，中恶昏迷，心腹疼痛，产后血晕，小儿惊风.', '', '3', '');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('519', '毗黎勒', (select PK_ID from SYNDROME_SUBJECT where NAME = '__温开'), '', 'PLL', '克', '味苦；微涩；性寒.', '解毒利咽；止咳止痢；养血止血。', '主咽喉肿痛；咳嗽；泻痢；痔疮出血；崩漏；病后体虚.', '', '3', '【用法用量】内服：煎汤，3-10g；或研末。外用：适量，烧灰为末撒，或调涂。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('520', '红大戟', (select PK_ID from SYNDROME_SUBJECT where NAME = '__温开'), '', 'HDJ', '克', '苦；寒；有毒.\n归肺；脾；肾经.', '泻水逐饮；解毒散结。', '主水肿胀满；痰饮喘急；痈疮肿毒.', '', '5', '【用法用量】内服：煎汤，1.5-3g； 研末，0.3-1g； 或入丸、散；或泡酒。外用：适量，捣敷；或煎汤洗。\n【使用注意】体虚者及孕妇禁用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('521', '白酒', (select PK_ID from SYNDROME_SUBJECT where NAME = '__行气'), '', 'BJ', '毫升', '甘苦辛，温，有毒。\n入心、肝、肺、胃经。', '通血脉，御寒气，行药势。', '治风寒痹痛，筋脉挛急，胸痹，心腹冷痛。', '', '5', '【用法用量】内服：温饮、和药同煎或浸药。外用：淋洗、漱口或摩擦。\n【使用注意】阴虚、失血及湿热甚者忌服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('522', '苏叶', (select PK_ID from SYNDROME_SUBJECT where NAME = '__行气'), '荏叶', 'SY,RY(荏叶)', '克', '味辛；性温.\n归肺；脾经.', '疏风宣肺；理气消食，解鱼蟹毒。', '主感冒风寒；咳嗽气喘；脘腹胀闷；食积不化；吐泻；冷痢；中鱼蟹毒；男子阴肿；肢气肿毒；蛇虫咬伤.', '', '3', '【用法用量】内服：煎汤，5-10g；或研末。外用：适量，和醋捣敷。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('523', '橘核', (select PK_ID from SYNDROME_SUBJECT where NAME = '__行气'), '', 'JH', '克', '苦；平.\n归肝；肾；膀胱经.', '理气；散结；止痛。', '主疝气；睾丸肿痛；乳痈；腰痛.\n', '', '3', '【用法用量】内服：煎汤，3-9g； 或入丸、散。\n【使用注意】惟实证为宜，虚者禁用。以其味苦，大伤胃中冲和之气也。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('524', '海带', (select PK_ID from SYNDROME_SUBJECT where NAME = '__行气'), '', 'HD', '克', '咸，寒。', '软坚化痰，利水泄热。', '治瘿瘤结核，疝瘕，水肿，脚气。', '', '3', '内服：煎汤，1.5～3钱；或入丸、散。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('525', '橘皮', (select PK_ID from SYNDROME_SUBJECT where NAME = '__降气'), '', 'JP', '克', '辛苦，温。\n归入脾、肺经。', '理气，调中，燥湿，化痰。', '治胸腹胀满，不思饮食，呕吐哕逆，咳嗽痰多。亦解鱼、蟹毒。', '', '3', '【用法用量】内服：煎汤，1～3钱；或入丸、散。\n【使用注意】\n气虚及阴虚燥咳患者不宜。吐血证慎服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('526', '醋', (select PK_ID from SYNDROME_SUBJECT where NAME = '__活血祛瘀'), '', 'C', '克', '酸；甘；温.\n归肝,胃经.', '散瘀消积；止血；安蛔；解毒。', '主产后血晕；症瘕积聚；吐血；衄血；便血；虫积腹痛；鱼肉菜毒；痈肿疮毒.', '', '3', '【用法用量】内服：煎汤，10-30ml；或浸渍；或拌制。外用：适量，含漱；或调药敷；或熏蒸；或浸洗。\n【使用注意】脾胃湿重，痿痹、筋脉挛者慎服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('527', '荷叶', (select PK_ID from SYNDROME_SUBJECT where NAME = '__止血'), '', 'HY', '克', '苦；涩；平.\n归心；肝；脾；胆；肺经.', '清热解暑；升发清阳；散瘀止血。', '主暑湿烦渴；头痛眩晕；脾虚腹胀；大便泄泻；叶血下血；产后恶露不净.', '', '3', '【用法用量】内服：煎汤，3-10g（鲜品15-30g）；荷叶炭3-6g，或入丸、散。外用：适量，捣敷或煎水洗。\n【使用注意】升散消耗，虚者禁之。凡上焦邪盛，治宜清降者，切不可用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('528', '柏叶', (select PK_ID from SYNDROME_SUBJECT where NAME = '__止血'), '', 'BY', '克', '味苦、涩，微寒。归肝、肺、大肠经。', '凉血止血，止咳。', '用于吐血，咯血，便血，尿血，崩漏，烧烫伤，咳嗽痰稠。外用适量。止血多炒炭用；祛痰止咳多生用。', '', '3', '【用法用量】内服，煎汤，9-15g，或入丸、散；外用煎水洗、捣敷或研末调敷。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('529', '海粉', (select PK_ID from SYNDROME_SUBJECT where NAME = '__止血'), '', 'HF', '克', '味甘；咸；性寒.\n归肺；肾经.', '清热养阴；软坚消痰。', '主肺燥喘咳；鼻衄，瘿瘤；瘰疬.', '', '3', '【用法用量】内服：煎汤，30-60g；或入丸、散。\n【使用注意】性寒滑，脾虚人勿食。服甘草者忌之。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('530', '黄土', (select PK_ID from SYNDROME_SUBJECT where NAME = '__止血'), '', 'HT', '克', '甘，平，无毒。归心脾、胃经。', '和中解毒。', '治中暑吐泻，痢疾，痈疽肿毒，跌扑损伤。', '', '3', '【用法用量】内服：煎汤，1～3两。外用：调敷或炒热布裹温熨，或开水冲化澄清洗涤。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('531', '胡麻仁', (select PK_ID from SYNDROME_SUBJECT where NAME = '__疏散外风'), '', 'HMR', '克', '甘，平。\n入肺、脾、肝、肾经。', '润燥滑肠，滋养肝肾。', '用于津枯血燥、大便秘结，病后体虚、眩晕乏力等症。', '', '3', '【用法用量】三钱至一两，打碎，煎服；或炒熟研细，用白开水或蜂蜜调服；也可用炒熟研细，制成丸药吞服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('532', '茯神木', (select PK_ID from SYNDROME_SUBJECT where NAME = '__平熄内风'), '茯神', 'FSM,FS', '克', '甘；性平.\n归肝；心经.', '平肝安神。', '主惊悸健忘；中风语蹇；脚气转筋.', '', '3', '【用法用量】内服：煎汤，6-9g； 或入丸、散。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('533', '朱茯神', (select PK_ID from SYNDROME_SUBJECT where NAME = '__平熄内风'), '', 'ZFS', '克', '甘；性平.\n归肝；心经.', '平肝安神; 镇静安眠.', '主惊悸健忘；中风语蹇；心神不宁，心悸，失眠。', '', '5', '【炮制方法】朱茯神：取茯神块，喷淋清水，稍闷润，加朱砂细粉，撒布均匀，并随时翻动，至茯神外面粘满朱砂为度，然后晾干。(每茯神100斤，用朱砂30两)\n临床多用的是经过朱砂搅拌加工过的朱茯神，镇静安眠效果比未加工的茯神要好');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('534', '姜汁', (select PK_ID from SYNDROME_SUBJECT where NAME = '__化湿和胃'), '', 'JZ', '克', '辛，微温。', '化痰、止呕.', '主要用于恶心呕吐及咳嗽痰多等症。', '', '3', '【用法用量】三滴至十滴，冲服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('535', '白蔻仁', (select PK_ID from SYNDROME_SUBJECT where NAME = '__清热祛湿'), '', 'BKR', '克', '辛温。入肺、脾、胃三经。', '理气宽中，燥寒湿，解酒毒。', '治胃痛腹胀、噫气反胃等症。', '', '3', '【用法用量】五分至一钱。蔻仁捣碎和，入煎剂，后下。\n【使用注意】凡火郁所致之呕吐、反胃、腹痛等症均忌用。蔻壳、蔻花，与蔻仁功用相同而力较弱。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('536', '生姜皮', (select PK_ID from SYNDROME_SUBJECT where NAME = '__利水渗湿'), '姜皮,生姜衣', 'SJP,JP,SJY', '克', '味辛；性凉.\n归脾；肺经.', '行水消肿。', '主水肿初起，小便不利.', '', '3', '【用法用量】内服：煎汤，2-6g。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('537', '茯苓皮', (select PK_ID from SYNDROME_SUBJECT where NAME = '__利水渗湿'), '', 'FLP', '克', '甘；淡；性平.\n归肾；膀胱经.', '利水消肿。', '主水温肿满；小便不利.', '', '3', '【用法用量】内服：煎汤，3-5g。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('538', '猪牙皂角', (select PK_ID from SYNDROME_SUBJECT where NAME = '涌吐'), '小皂荚', 'ZYZJ,XZJ', '枚', '辛、咸，温；有小毒。归肺、大肠经。', '祛痰开窍，散结消肿。', '用于中风口噤，昏迷不醒，癫痫痰盛，关窍不通，喉痹痰阻，顽痰喘咳，咯痰不爽，大便燥结；外治痈肿。', '', '3', '【用法用量】 1～1.5g ， 多入丸散用。 外用适量，研末吹鼻取嚏或研末调敷患处。\n【使用注意】孕妇及咯血、吐血患者禁用。\n此药性极锐利，非痰结实症，虚弱者、孕妇以及有咯血倾向者均忌用。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('539', '食盐', (select PK_ID from SYNDROME_SUBJECT where NAME = '涌吐'), '', 'SY', '克', '咸；寒；无毒.\n归胃；肾；肺；肝；大肠；小肠经.', '涌吐；清火；凉血；解毒；软坚；杀虫；止痒。', '主食停上脘；心腹胀病；脑中痰癖；二便不通；齿龈出血；喉痛；牙痛；目翳；疮疡；毒虫螫伤.', '', '3', '\n【用法用量】内服：沸汤溶化，0.9～3g；作催吐用9～18g，宜炒黄。外用：炒热熨敷或水化点眼、漱口、洗疮。\n【使用注意】咳嗽、口渴慎服，水肿忌服。');
insert into MEDICINE (PK_ID, NAME, SYNDROME_ID, ALIAS, KEY_CODES, UNIT, PROPERTY, EFFICACY, INDICATION, SYNERGIST, POISON, DESCRIPTION) values ('540', '人参芦', (select PK_ID from SYNDROME_SUBJECT where NAME = '涌吐'), '参芦,竹节参', 'RSL,SL,ZJS', '克', '味甘；微苦；性温.\n归经胃；脾；肺经.', '升阳举陷。', '主脾虚气陷；久泻；脱肛.', '', '3', '【用法用量】内服：煎汤，3-10g；或入丸、散。');
